# 基础服务平台
版本 |  创建时间   | 作者 |  备注信息
---|---|---|---
v1.0|2022-01-20|zxfei| 接口文档

## 数据类型
类型名称|类型描述|参考样例
---|---|---
String |字符串|A、a、ab
Integer|数字类型|1、12、-1
Long|长整型数字|1、12、-1
date|时间类型,单位纳秒数字|167988745573
BigDecimal|小数类型|545.256
object|对象类型|{"name":"zhang3"}
arrays|数组类型|[{"name":"zhang3"},{"name":"zhang2"}]

## 系统服务
### 登录

**请求URL:** login/login

**请求方式:** POST


**内容类型:** application/json;charset=utf-8

**简要描述:** 用户登录

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
loginName|String|用户名称|是|-
password|String|用户密码|是|-
securityCode|String|校验码|是|-

**请求样例:**
```

{
    "loginName":"zhang3",
    "password":"123456",
    "securityCode":"5455"
}

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;currUserName|String|登录用户名|-
&emsp;id|Long|登录用户ID|-
&emsp;token|String|token|-
&emsp;expiresTime|Long|过期时间|-


**响应消息样例:**
```

{
    "msg":"登录成功",
    "code":1,
    "data":{

    }
}

```

### 登出

**请求URL:** login/logout

**请求方式:** POST


**内容类型:** application/json;charset=utf-8

**简要描述:** 用户退出注销

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---

**请求样例:**
```

{
}

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-


**响应消息样例:**
```

{
    "msg":"成功",
    "code":1,
    "data":{

    }
}

```

### 获取验证码

**请求URL:** securitycode/createCode

**请求方式:** GET


**内容类型:** image/gif

**简要描述:** 用户退出注销

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---

**请求样例:**
```

{
}

```
**响应参数:**



**响应消息样例:**
```

```

## 模块

### 查询模块列表

**请求URL:** model/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询模块

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
page|Integer|当前页|否|-
size|Integer|每页条数|否|-
modelName|String|模块名称|否|-
modelCode|String|模块编码|否|-

**请求样例:**
```

  {
        "modelName":"d515gr",
        "modelCode":"at9ccv",
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;per_page|Integer|每页条数|-
&emsp;total|Integer|总条数|-
&emsp;last_page|Integer|总页数|-
&emsp;current_page|Integer|当前页|-
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长|-
&emsp;&emsp;modelName|String|模块名称|-
&emsp;&emsp;modelCode|String|模块编码|-
&emsp;&emsp;modelIcon|String|模块图标|-
&emsp;&emsp;modelUrl|String|模块地址|-
&emsp;&emsp;remark|String|备注信息|-
&emsp;&emsp;sort|Integer|排序|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-
dict|object|字典对象|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "per_page":10,
        "total":0,
        "data":[],
        "last_page":0,
        "current_page":1
    },
    "query":{
        "modelCode":"phxt1",
        "modelName":"排号系统"
    }
}
```

### 编辑模块

**请求URL:** model/edit

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 编辑模块，返回实例详细信息

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|Long|主键,唯一|是|-

**请求样例:**
```

    http://localhost/model/edit?id=549

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|序号，主键，自增长|-
&emsp;modelName|String|模块名称|-
&emsp;modelCode|String|模块编码|-
&emsp;modelIcon|String|模块图标|-
&emsp;modelUrl|String|模块地址|-
&emsp;remark|String|备注信息|-
&emsp;sort|Integer|排序|-
&emsp;createTime|Date|创建时间|-
&emsp;createUserId|Long|创建用户|-
&emsp;updateTime|Date|修改时间|-
dict|object|字典对象|-


**响应消息样例:**
```

{
    "code": 1,
    "data": {
        "id":6176,
        "modelName":"04fih2",
        "modelCode":"kacpeg",
        "modelIcon":"oy5ihz",
        "modelUrl":"rmc4uz",
        "remark":"dtj1f0",
        "sort":1782,
        "createTime":"2022-01-20",
        "createUserId":8772,
        "updateTime":"2022-01-20"
        }
}

```

### 查看模块

**请求URL:** model/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看模块，返回实例详细信息

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|Long|主键,唯一|是|-

**请求样例:**
```

    http://localhost/model/info?id=549

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|序号，主键，自增长|-
&emsp;modelName|String|模块名称|-
&emsp;modelCode|String|模块编码|-
&emsp;modelIcon|String|模块图标|-
&emsp;modelUrl|String|模块地址|-
&emsp;remark|String|备注信息|-
&emsp;sort|Integer|排序|-
&emsp;createTime|Date|创建时间|-
&emsp;createUserId|Long|创建用户|-
&emsp;updateTime|Date|修改时间|-
dict|object|字典对象|-


**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":8731,
            "modelName":"b958b2",
            "modelCode":"sa3vfu",
            "modelIcon":"s8xfms",
            "modelUrl":"y5jder",
            "remark":"klqy48",
            "sort":8796,
            "createTime":"2022-01-20",
            "createUserId":2144,
            "updateTime":"2022-01-20"
        }
}
```

### 保存更新模块

**请求URL:** model/save

**请求方式:** POST


**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新模块：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
modelName|String|模块名称|是|-
modelCode|String|模块编码|是|-
modelIcon|String|模块图标|是|-
modelUrl|String|模块地址|是|-
remark|String|备注信息|是|-
sort|Integer|排序|是|-

**请求样例:**
```

{
    "modelName":"30pd0x",
    "modelCode":"smt1nv",
    "modelIcon":"7eoui4",
    "modelUrl":"cz11cs",
    "remark":"ifqtoy",
    "sort":8069,
}

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|保存后主键id|-
&emsp;entity|object|保存更新实体|对象
&emsp;&emsp;id|Long|序号，主键，自增长|-
&emsp;&emsp;modelName|String|模块名称|-
&emsp;&emsp;modelCode|String|模块编码|-
&emsp;&emsp;modelIcon|String|模块图标|-
&emsp;&emsp;modelUrl|String|模块地址|-
&emsp;&emsp;remark|String|备注信息|-
&emsp;&emsp;sort|Integer|排序|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-

**响应消息样例:**
```

{
    "msg":"新增模块成功",
    "code":1,
    "data":{
            "__mortals_form_state__":"ADD",
            "id":4,
            "entity":{
                "createTime":1642486776780,
                "id":4,
                "modelCode":"phxt1",
                "modelName":"排号系统4",
                "updateTime":1642486776780
            }
    }
}

```


### 删除模块

**请求URL:** model/delete

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除模块

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|String|字符串，多个逗号分隔|是|-

**请求样例:**
```

    http://localhost:8080/model/delete?id=1'

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-


**响应消息样例:**
```

{
    "code":1,
	"msg":"成功"

}

```



## 区域

### 查询区域列表

**请求URL:** area/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询区域

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
page|Integer|当前页|否|-
size|Integer|每页条数|否|-
name|String|区域名称|否|-

**请求样例:**
```

  {
        "name":"zt2h08",
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;per_page|Integer|每页条数|-
&emsp;total|Integer|总条数|-
&emsp;last_page|Integer|总页数|-
&emsp;current_page|Integer|当前页|-
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长|-
&emsp;&emsp;ancestors|String|祖级列表，逗号分隔|-
&emsp;&emsp;name|String|区域名称|-
&emsp;&emsp;iid|String|一体化的ID号|-
&emsp;&emsp;parentId|String|一体化的父id|-
&emsp;&emsp;haveSonArea|String|是否有下级区域（True.是，False.否）|-
&emsp;&emsp;haveSonDept|String|是否有下级部门（True.是，False.否）|-
&emsp;&emsp;haveGetDept|String|是否获取部门（true.是，false.否）|-
&emsp;&emsp;haveGetMatterList|String|是否获取事项列表（true.是，false.否）|-
&emsp;&emsp;areaCode|String|区域编码|-
&emsp;&emsp;areaLevel|Integer|区域等级(1.省，2.地市州，3.区县，4.街道，5.社区)|-
&emsp;&emsp;shortName|String|名称简称|-
&emsp;&emsp;domain|String|访问地址|-
&emsp;&emsp;status|Integer|区域状态 (0.停用，1.正常)|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-
dict|object|字典对象|-
&emsp;haveSonArea|object|字典属性对象，详见附录|-
&emsp;haveSonDept|object|字典属性对象，详见附录|-
&emsp;haveGetDept|object|字典属性对象，详见附录|-
&emsp;haveGetMatterList|object|字典属性对象，详见附录|-
&emsp;areaLevel|object|字典属性对象，详见附录|-
&emsp;status|object|字典属性对象，详见附录|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "per_page":10,
        "total":0,
        "data":[],
        "last_page":0,
        "current_page":1
    },
    "query":{
        "modelCode":"phxt1",
        "modelName":"排号系统"
    }
}
```

### 编辑区域

**请求URL:** area/edit

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 编辑区域，返回实例详细信息

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|Long|主键,唯一|是|-

**请求样例:**
```

    http://localhost/area/edit?id=549

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|序号，主键，自增长|-
&emsp;ancestors|String|祖级列表，逗号分隔|-
&emsp;name|String|区域名称|-
&emsp;iid|String|一体化的ID号|-
&emsp;parentId|String|一体化的父id|-
&emsp;haveSonArea|String|是否有下级区域（True.是，False.否）|-
&emsp;haveSonDept|String|是否有下级部门（True.是，False.否）|-
&emsp;haveGetDept|String|是否获取部门（true.是，false.否）|-
&emsp;haveGetMatterList|String|是否获取事项列表（true.是，false.否）|-
&emsp;areaCode|String|区域编码|-
&emsp;areaLevel|Integer|区域等级(1.省，2.地市州，3.区县，4.街道，5.社区)|-
&emsp;shortName|String|名称简称|-
&emsp;domain|String|访问地址|-
&emsp;status|Integer|区域状态 (0.停用，1.正常)|-
&emsp;createTime|Date|创建时间|-
&emsp;createUserId|Long|创建用户|-
&emsp;updateTime|Date|修改时间|-
dict|object|字典对象|-
&emsp;haveSonArea|object|字典属性对象，详见附录|-
&emsp;haveSonDept|object|字典属性对象，详见附录|-
&emsp;haveGetDept|object|字典属性对象，详见附录|-
&emsp;haveGetMatterList|object|字典属性对象，详见附录|-
&emsp;areaLevel|object|字典属性对象，详见附录|-
&emsp;status|object|字典属性对象，详见附录|-


**响应消息样例:**
```

{
    "code": 1,
    "data": {
        "id":2620,
        "ancestors":"m87uos",
        "name":"b4hjgi",
        "iid":"62ss1k",
        "parentId":"hx11g2",
        "haveSonArea":"7u3w55",
        "haveSonDept":"kltdr7",
        "haveGetDept":"o5ueuj",
        "haveGetMatterList":"y2zr0m",
        "areaCode":"o3wyjs",
        "areaLevel":4809,
        "shortName":"0p7dqk",
        "domain":"2ctrad",
        "status":6439,
        "createTime":"2022-01-20",
        "createUserId":291,
        "updateTime":"2022-01-20"
        }
}

```

### 查看区域

**请求URL:** area/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看区域，返回实例详细信息

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|Long|主键,唯一|是|-

**请求样例:**
```

    http://localhost/area/info?id=549

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|序号，主键，自增长|-
&emsp;ancestors|String|祖级列表，逗号分隔|-
&emsp;name|String|区域名称|-
&emsp;iid|String|一体化的ID号|-
&emsp;parentId|String|一体化的父id|-
&emsp;haveSonArea|String|是否有下级区域（True.是，False.否）|-
&emsp;haveSonDept|String|是否有下级部门（True.是，False.否）|-
&emsp;haveGetDept|String|是否获取部门（true.是，false.否）|-
&emsp;haveGetMatterList|String|是否获取事项列表（true.是，false.否）|-
&emsp;areaCode|String|区域编码|-
&emsp;areaLevel|Integer|区域等级(1.省，2.地市州，3.区县，4.街道，5.社区)|-
&emsp;shortName|String|名称简称|-
&emsp;domain|String|访问地址|-
&emsp;status|Integer|区域状态 (0.停用，1.正常)|-
&emsp;createTime|Date|创建时间|-
&emsp;createUserId|Long|创建用户|-
&emsp;updateTime|Date|修改时间|-
dict|object|字典对象|-
&emsp;haveSonArea|object|字典属性对象，详见附录|-
&emsp;haveSonDept|object|字典属性对象，详见附录|-
&emsp;haveGetDept|object|字典属性对象，详见附录|-
&emsp;haveGetMatterList|object|字典属性对象，详见附录|-
&emsp;areaLevel|object|字典属性对象，详见附录|-
&emsp;status|object|字典属性对象，详见附录|-


**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":9986,
            "ancestors":"utvqy6",
            "name":"bdmxue",
            "iid":"7l0u9z",
            "parentId":"ak7nvt",
            "haveSonArea":"iq8jb6",
            "haveSonDept":"1c888y",
            "haveGetDept":"253kpt",
            "haveGetMatterList":"vxnebl",
            "areaCode":"gfghh4",
            "areaLevel":2775,
            "shortName":"0q979l",
            "domain":"jafzub",
            "status":1821,
            "createTime":"2022-01-20",
            "createUserId":6736,
            "updateTime":"2022-01-20"
        }
}
```

### 查看区域子信息

**请求URL:** area/getListByParentId

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看区域，返回实例详细信息

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
parentId|String|区域树父id|是|-

**请求样例:**
```

    http://localhost/area/getListByParentId?parentId=549

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;data|object|数据对象|-
&emsp;&emsp;id|String|节点ID|-
&emsp;&emsp;label|String|节点名称|-
&emsp;&emsp;areaCode|String|区域编码|-
&emsp;&emsp;isLeaf|String|是否叶子节点|-
&emsp;&emsp;type|String|节点类型|-
&emsp;&emsp;icon|String|图标|-
&emsp;&emsp;children|Arrays|子节点|-

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":9986,

        }
}
```

### 获取所有区域信息

**请求URL:** area/treeselect

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 返回所有区域信息

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---

**请求样例:**
```

    http://localhost/area/treeselect

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;data|Arrays|数组对象|-
&emsp;&emsp;id|String|节点ID|-
&emsp;&emsp;label|String|节点名称|-
&emsp;&emsp;areaCode|String|区域编码|-
&emsp;&emsp;isLeaf|String|是否叶子节点|-
&emsp;&emsp;type|String|节点类型|-
&emsp;&emsp;icon|String|图标|-
&emsp;&emsp;children|Arrays|子节点|-

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":9986,

        }
}
```



###  区域保存与更新

**请求URL:** area/save

**请求方式:** POST


**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新区域：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
ancestors|String|祖级列表，逗号分隔|是|-
name|String|区域名称|是|-
iid|String|一体化的ID号|是|-
parentId|String|一体化的父id|是|-
haveSonArea|String|是否有下级区域（True.是，False.否）|是|-
haveSonDept|String|是否有下级部门（True.是，False.否）|是|-
haveGetDept|String|是否获取部门（true.是，false.否）|是|-
haveGetMatterList|String|是否获取事项列表（true.是，false.否）|是|-
areaCode|String|区域编码|是|-
areaLevel|Integer|区域等级(1.省，2.地市州，3.区县，4.街道，5.社区)|是|-
shortName|String|名称简称|是|-
domain|String|访问地址|是|-
status|Integer|区域状态 (0.停用，1.正常)|是|-

**请求样例:**
```

{
    "ancestors":"8irsxb",
    "name":"77h3nx",
    "iid":"wgcc7u",
    "parentId":"h1zwvh",
    "haveSonArea":"d636p4",
    "haveSonDept":"v152k3",
    "haveGetDept":"m55bew",
    "haveGetMatterList":"36afns",
    "areaCode":"sg2pvn",
    "areaLevel":4403,
    "shortName":"47synz",
    "domain":"sugw2m",
    "status":741,
}

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|保存后主键id|-
&emsp;entity|object|保存更新实体|对象
&emsp;&emsp;id|Long|序号，主键，自增长|-
&emsp;&emsp;ancestors|String|祖级列表，逗号分隔|-
&emsp;&emsp;name|String|区域名称|-
&emsp;&emsp;iid|String|一体化的ID号|-
&emsp;&emsp;parentId|String|一体化的父id|-
&emsp;&emsp;haveSonArea|String|是否有下级区域（True.是，False.否）|-
&emsp;&emsp;haveSonDept|String|是否有下级部门（True.是，False.否）|-
&emsp;&emsp;haveGetDept|String|是否获取部门（true.是，false.否）|-
&emsp;&emsp;haveGetMatterList|String|是否获取事项列表（true.是，false.否）|-
&emsp;&emsp;areaCode|String|区域编码|-
&emsp;&emsp;areaLevel|Integer|区域等级(1.省，2.地市州，3.区县，4.街道，5.社区)|-
&emsp;&emsp;shortName|String|名称简称|-
&emsp;&emsp;domain|String|访问地址|-
&emsp;&emsp;status|Integer|区域状态 (0.停用，1.正常)|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-

**响应消息样例:**
```

{
    "msg":"新增模块成功",
    "code":1,
    "data":{
            "__mortals_form_state__":"ADD",
            "id":4,
            "entity":{
                "createTime":1642486776780,
                "id":4,
                "modelCode":"phxt1",
                "modelName":"排号系统4",
                "updateTime":1642486776780
            }
    }
}

```


### 删除区域

**请求URL:** area/delete

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除区域

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|String|字符串，多个逗号分隔|是|-

**请求样例:**
```

    http://localhost:8080/area/delete?id=1'

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-


**响应消息样例:**
```

{
    "code":1,
	"msg":"成功"

}

```


## 站点

### 查询站点列表

**请求URL:** site/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询站点

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
page|Integer|当前页|否|-
size|Integer|每页条数|否|-
siteName|String|站点名称|否|-
areaID|String|区域Id|否|-

**请求样例:**
```

  {
        "siteName":"pmir1h",
        "areaID":"kzm70p",
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;per_page|Integer|每页条数|-
&emsp;total|Integer|总条数|-
&emsp;last_page|Integer|总页数|-
&emsp;current_page|Integer|当前页|-
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长|-
&emsp;&emsp;siteName|String|站点名称|-
&emsp;&emsp;siteCode|String|站点编号|-
&emsp;&emsp;areaID|String|区域Id|-
&emsp;&emsp;areaCode|String|区域编号|-
&emsp;&emsp;areaName|String|区域名称|-
&emsp;&emsp;proCode|String|省编码|-
&emsp;&emsp;cityCode|String|市编码|-
&emsp;&emsp;districtCode|String|区编码|-
&emsp;&emsp;siteIp|String|站点服务器ip|-
&emsp;&emsp;sitePort|String|站点服务器端口|-
&emsp;&emsp;longitude|String|经度|-
&emsp;&emsp;latitude|String|纬度|-
&emsp;&emsp;siteTel|String|中心联系电话|-
&emsp;&emsp;detailAddress|String|中心详细地址|-
&emsp;&emsp;siteRemark|String|中心介绍|-
&emsp;&emsp;amWorkStartTime|Date|上午上班开始时间|-
&emsp;&emsp;amWorkEndTime|Date|上午上班结束时间|-
&emsp;&emsp;pmWorkStartTime|Date|下午上班开始时间|-
&emsp;&emsp;pmWorkEndTime|Date|下午上班结束时间|-
&emsp;&emsp;workday1|Integer|周一 (1.上班，0.不上)|-
&emsp;&emsp;workday2|Integer|周二 (1.上班，0.不上)|-
&emsp;&emsp;workday3|Integer|周三 (1.上班，0.不上)|-
&emsp;&emsp;workday4|Integer|周四 (1.上班，0.不上)|-
&emsp;&emsp;workday5|Integer|周五 (1.上班，0.不上)|-
&emsp;&emsp;workday6|Integer|周六 (1.上班，0.不上)|-
&emsp;&emsp;workday7|Integer|周日 (1.上班，0.不上)|-
&emsp;&emsp;level|Integer|楼层|-
&emsp;&emsp;building|Integer|楼栋|-
&emsp;&emsp;modelIds|String|部署模块，逗号分隔|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-
dict|object|字典对象|-
&emsp;workday1|object|字典属性对象，详见附录|-
&emsp;workday2|object|字典属性对象，详见附录|-
&emsp;workday3|object|字典属性对象，详见附录|-
&emsp;workday4|object|字典属性对象，详见附录|-
&emsp;workday5|object|字典属性对象，详见附录|-
&emsp;workday6|object|字典属性对象，详见附录|-
&emsp;workday7|object|字典属性对象，详见附录|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "per_page":10,
        "total":0,
        "data":[],
        "last_page":0,
        "current_page":1
    },
    "query":{
        "modelCode":"phxt1",
        "modelName":"排号系统"
    }
}
```

### 编辑站点

**请求URL:** site/edit

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 编辑站点，返回实例详细信息

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|Long|主键,唯一|是|-

**请求样例:**
```

    http://localhost/site/edit?id=549

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|序号，主键，自增长|-
&emsp;siteName|String|站点名称|-
&emsp;siteCode|String|站点编号|-
&emsp;areaID|String|区域Id|-
&emsp;areaCode|String|区域编号|-
&emsp;areaName|String|区域名称|-
&emsp;proCode|String|省编码|-
&emsp;cityCode|String|市编码|-
&emsp;districtCode|String|区编码|-
&emsp;siteIp|String|站点服务器ip|-
&emsp;sitePort|String|站点服务器端口|-
&emsp;longitude|String|经度|-
&emsp;latitude|String|纬度|-
&emsp;siteTel|String|中心联系电话|-
&emsp;detailAddress|String|中心详细地址|-
&emsp;siteRemark|String|中心介绍|-
&emsp;amWorkStartTime|Date|上午上班开始时间|-
&emsp;amWorkEndTime|Date|上午上班结束时间|-
&emsp;pmWorkStartTime|Date|下午上班开始时间|-
&emsp;pmWorkEndTime|Date|下午上班结束时间|-
&emsp;workday1|Integer|周一 (1.上班，0.不上)|-
&emsp;workday2|Integer|周二 (1.上班，0.不上)|-
&emsp;workday3|Integer|周三 (1.上班，0.不上)|-
&emsp;workday4|Integer|周四 (1.上班，0.不上)|-
&emsp;workday5|Integer|周五 (1.上班，0.不上)|-
&emsp;workday6|Integer|周六 (1.上班，0.不上)|-
&emsp;workday7|Integer|周日 (1.上班，0.不上)|-
&emsp;level|Integer|楼层|-
&emsp;building|Integer|楼栋|-
&emsp;modelIds|String|部署模块，逗号分隔|-
&emsp;createTime|Date|创建时间|-
&emsp;createUserId|Long|创建用户|-
&emsp;updateTime|Date|修改时间|-
dict|object|字典对象|-
&emsp;workday1|object|字典属性对象，详见附录|-
&emsp;workday2|object|字典属性对象，详见附录|-
&emsp;workday3|object|字典属性对象，详见附录|-
&emsp;workday4|object|字典属性对象，详见附录|-
&emsp;workday5|object|字典属性对象，详见附录|-
&emsp;workday6|object|字典属性对象，详见附录|-
&emsp;workday7|object|字典属性对象，详见附录|-


**响应消息样例:**
```

{
    "code": 1,
    "data": {
        "amWorkEndTime": 1642987956000,
        "amWorkStartTime": 0,
        "areaCode": "510100000000",
        "areaID": "a1c5bc973eb74529b9329bcfd9680056",
        "areaName": "成都市",
        "building": 1,
        "cityCode": "rmlgz8",
        "createTime": 1642988135000,
        "createUserId": 1,
        "detailAddress": "pe7sux",
        "districtCode": "qp9pce",
        "id": 1,
        "latitude": "23.223",
        "level": 1,
        "longitude": "52.554",
        "modelIds": "1,2",
        "pmWorkEndTime": 1642987956000,
        "pmWorkStartTime": 1642987956000,
        "proCode": "marig7",
        "siteCode": "510100000000#1",
        "siteIp": "192.168.0.1",
        "siteName": "测试站点",
        "sitePort": "12",
        "siteRemark": "isntkh",
        "siteTel": "13808095770",
        "updateTime": 1642988135000,
        "workday1": 1,
        "workday2": 1,
        "workday3": 1,
        "workday4": 1,
        "workday5": 1,
        "workday6": 1,
        "workday7": 1
        }
}

```

### 查看站点

**请求URL:** site/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看站点，返回实例详细信息

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|Long|主键,唯一|是|-

**请求样例:**
```

    http://localhost/site/info?id=549

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|序号，主键，自增长|-
&emsp;siteName|String|站点名称|-
&emsp;siteCode|String|站点编号|-
&emsp;areaID|String|区域Id|-
&emsp;areaCode|String|区域编号|-
&emsp;areaName|String|区域名称|-
&emsp;proCode|String|省编码|-
&emsp;cityCode|String|市编码|-
&emsp;districtCode|String|区编码|-
&emsp;siteIp|String|站点服务器ip|-
&emsp;sitePort|String|站点服务器端口|-
&emsp;longitude|String|经度|-
&emsp;latitude|String|纬度|-
&emsp;siteTel|String|中心联系电话|-
&emsp;detailAddress|String|中心详细地址|-
&emsp;siteRemark|String|中心介绍|-
&emsp;amWorkStartTime|Date|上午上班开始时间|-
&emsp;amWorkEndTime|Date|上午上班结束时间|-
&emsp;pmWorkStartTime|Date|下午上班开始时间|-
&emsp;pmWorkEndTime|Date|下午上班结束时间|-
&emsp;workday1|Integer|周一 (1.上班，0.不上)|-
&emsp;workday2|Integer|周二 (1.上班，0.不上)|-
&emsp;workday3|Integer|周三 (1.上班，0.不上)|-
&emsp;workday4|Integer|周四 (1.上班，0.不上)|-
&emsp;workday5|Integer|周五 (1.上班，0.不上)|-
&emsp;workday6|Integer|周六 (1.上班，0.不上)|-
&emsp;workday7|Integer|周日 (1.上班，0.不上)|-
&emsp;level|Integer|楼层|-
&emsp;building|Integer|楼栋|-
&emsp;modelIds|String|部署模块，逗号分隔|-
&emsp;createTime|Date|创建时间|-
&emsp;createUserId|Long|创建用户|-
&emsp;updateTime|Date|修改时间|-
dict|object|字典对象|-
&emsp;workday1|object|字典属性对象，详见附录|-
&emsp;workday2|object|字典属性对象，详见附录|-
&emsp;workday3|object|字典属性对象，详见附录|-
&emsp;workday4|object|字典属性对象，详见附录|-
&emsp;workday5|object|字典属性对象，详见附录|-
&emsp;workday6|object|字典属性对象，详见附录|-
&emsp;workday7|object|字典属性对象，详见附录|-


**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "amWorkEndTime": 1642987956000,
            "amWorkStartTime": 0,
            "areaCode": "510100000000",
            "areaID": "a1c5bc973eb74529b9329bcfd9680056",
            "areaName": "成都市",
            "building": 1,
            "cityCode": "rmlgz8",
            "createTime": 1642988135000,
            "createUserId": 1,
            "detailAddress": "pe7sux",
            "districtCode": "qp9pce",
            "id": 1,
            "latitude": "23.223",
            "level": 1,
            "longitude": "52.554",
            "modelIds": "1,2",
            "pmWorkEndTime": 1642987956000,
            "pmWorkStartTime": 1642987956000,
            "proCode": "marig7",
            "siteCode": "510100000000#1",
            "siteIp": "192.168.0.1",
            "siteName": "测试站点",
            "sitePort": "12",
            "siteRemark": "isntkh",
            "siteTel": "13808095770",
            "updateTime": 1642988135000,
            "workday1": 1,
            "workday2": 1,
            "workday3": 1,
            "workday4": 1,
            "workday5": 1,
            "workday6": 1,
            "workday7": 1
        }
}
```

### 保存更新站点

**请求URL:** site/save

**请求方式:** POST


**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新站点：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
siteName|String|站点名称|是|-
siteCode|String|站点编号|是|-
areaID|String|区域Id|是|-
areaCode|String|区域编号|是|-
areaName|String|区域名称|是|-
proCode|String|省编码|是|-
cityCode|String|市编码|是|-
districtCode|String|区编码|是|-
siteIp|String|站点服务器ip|是|-
sitePort|String|站点服务器端口|是|-
longitude|String|经度|是|-
latitude|String|纬度|是|-
siteTel|String|中心联系电话|是|-
detailAddress|String|中心详细地址|是|-
siteRemark|String|中心介绍|是|-
amWorkStartTime|Date|上午上班开始时间|是|-
amWorkEndTime|Date|上午上班结束时间|是|-
pmWorkStartTime|Date|下午上班开始时间|是|-
pmWorkEndTime|Date|下午上班结束时间|是|-
workday1|Integer|周一 (1.上班，0.不上)|是|-
workday2|Integer|周二 (1.上班，0.不上)|是|-
workday3|Integer|周三 (1.上班，0.不上)|是|-
workday4|Integer|周四 (1.上班，0.不上)|是|-
workday5|Integer|周五 (1.上班，0.不上)|是|-
workday6|Integer|周六 (1.上班，0.不上)|是|-
workday7|Integer|周日 (1.上班，0.不上)|是|-
level|Integer|楼层|是|-
building|Integer|楼栋|是|-
modelIds|String|部署模块，逗号分隔|是|-

**请求样例:**
```

{
    "siteName":"测试站点",
        "areaID":"a1c5bc973eb74529b9329bcfd9680056",
        "areaCode":"510100000000",
        "areaName":"成都市",
        "proCode":"marig7",
        "cityCode":"rmlgz8",
        "districtCode":"qp9pce",
        "siteIp":"192.168.0.1",
        "sitePort":"12",
        "longitude":"52.554",
        "latitude":"23.223",
        "siteTel":"13808095770",
        "detailAddress":"pe7sux",
        "siteRemark":"isntkh",
        "amWorkStartTime":19,
        "amWorkEndTime":1642987956000,
        "pmWorkStartTime":1642987956000,
        "pmWorkEndTime":1642987956000,
        "workday1":1,
        "workday2":1,
        "workday3":1,
        "workday4":1,
        "workday5":1,
        "workday6":1,
        "workday7":1,
        "level":1,
        "building":1,
        "modelIds":"1,2"
}

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|保存后主键id|-
&emsp;entity|object|保存更新实体|对象
&emsp;&emsp;id|Long|序号，主键，自增长|-
&emsp;&emsp;siteName|String|站点名称|-
&emsp;&emsp;siteCode|String|站点编号|-
&emsp;&emsp;areaID|String|区域Id|-
&emsp;&emsp;areaCode|String|区域编号|-
&emsp;&emsp;areaName|String|区域名称|-
&emsp;&emsp;proCode|String|省编码|-
&emsp;&emsp;cityCode|String|市编码|-
&emsp;&emsp;districtCode|String|区编码|-
&emsp;&emsp;siteIp|String|站点服务器ip|-
&emsp;&emsp;sitePort|String|站点服务器端口|-
&emsp;&emsp;longitude|String|经度|-
&emsp;&emsp;latitude|String|纬度|-
&emsp;&emsp;siteTel|String|中心联系电话|-
&emsp;&emsp;detailAddress|String|中心详细地址|-
&emsp;&emsp;siteRemark|String|中心介绍|-
&emsp;&emsp;amWorkStartTime|Date|上午上班开始时间|-
&emsp;&emsp;amWorkEndTime|Date|上午上班结束时间|-
&emsp;&emsp;pmWorkStartTime|Date|下午上班开始时间|-
&emsp;&emsp;pmWorkEndTime|Date|下午上班结束时间|-
&emsp;&emsp;workday1|Integer|周一 (1.上班，0.不上)|-
&emsp;&emsp;workday2|Integer|周二 (1.上班，0.不上)|-
&emsp;&emsp;workday3|Integer|周三 (1.上班，0.不上)|-
&emsp;&emsp;workday4|Integer|周四 (1.上班，0.不上)|-
&emsp;&emsp;workday5|Integer|周五 (1.上班，0.不上)|-
&emsp;&emsp;workday6|Integer|周六 (1.上班，0.不上)|-
&emsp;&emsp;workday7|Integer|周日 (1.上班，0.不上)|-
&emsp;&emsp;level|Integer|楼层|-
&emsp;&emsp;building|Integer|楼栋|-
&emsp;&emsp;modelIds|String|部署模块，逗号分隔|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-

**响应消息样例:**
```

{
    "msg":"新增模块成功",
    "code":1,
    "data":{
            "__mortals_form_state__":"ADD",
            "id":4,
            "entity":{
                "createTime":1642486776780,
                "id":4,
                "modelCode":"phxt1",
                "modelName":"排号系统4",
                "updateTime":1642486776780
            }
    }
}

```


### 删除站点

**请求URL:** site/delete

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除站点

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|String|字符串，多个逗号分隔|是|-

**请求样例:**
```

    http://localhost:8080/site/delete?id=1'

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-


**响应消息样例:**
```

{
    "code":1,
	"msg":"成功"

}

```

### 导出站点

**请求URL:** site/exportExcel

**请求方式:** POST


**内容类型:** application/json;charset=utf-8

**简要描述:** 导出站点

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
idList|Arrays|id数组|否|需要导出的多项
        siteName|String|站点名称|否|参数查询条件
        areaID|String|区域Id|否|参数查询条件

**请求样例:**
```
{
    idList:[1,2],
        "siteName":"0hyd74",
        "areaID":"70hp6c",

}


```

**Response-example:**
```
...

```


## 站点事项

### 查询站点事项列表

**请求URL:** site/matter/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询站点与事项列表

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
page|Integer|当前页|否|-
size|Integer|每页条数|否|-
siteId|Long|站点ID|否|-
siteName|String|站点名称|否|-
matterId|Long|事项ID|否|-
matterName|String|事项名称|否|-

**请求样例:**
```

  {
        "siteId":9144,
        "siteName":"o68yk6",
        "matterId":2909,
        "matterName":"oz1oig",
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;per_page|Integer|每页条数|-
&emsp;total|Integer|总条数|-
&emsp;last_page|Integer|总页数|-
&emsp;current_page|Integer|当前页|-
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长|-
&emsp;&emsp;siteId|Long|站点ID|-
&emsp;&emsp;siteName|String|站点名称|-
&emsp;&emsp;matterId|Long|事项ID|-
&emsp;&emsp;matterName|String|事项名称|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-
&emsp;&emsp;deptId|Long|部门ID|-
&emsp;&emsp;deptName|String|部门名称|-
dict|object|字典对象|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "per_page":10,
        "total":0,
        "data":[],
        "last_page":0,
        "current_page":1
    },
    "query":{
        "modelCode":"phxt1",
        "modelName":"排号系统"
    }
}
```

### 编辑站点事项

**请求URL:** site/matter/edit

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 编辑站点事项，返回实例详细信息

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|Long|主键,唯一|是|-

**请求样例:**
```

    http://localhost/site/matter/edit?id=549

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|序号，主键，自增长|-
&emsp;siteId|Long|站点ID|-
&emsp;siteName|String|站点名称|-
&emsp;matterId|Long|事项ID|-
&emsp;matterName|String|事项名称|-
&emsp;createTime|Date|创建时间|-
&emsp;createUserId|Long|创建用户|-
&emsp;updateTime|Date|修改时间|-
&emsp;deptId|Long|部门ID|-
&emsp;deptName|String|部门名称|-
dict|object|字典对象|-


**响应消息样例:**
```

{
    "code": 1,
    "data": {
        "id":7081,
        "siteId":9331,
        "siteName":"igyj6v",
        "matterId":485,
        "matterName":"8mm0b1",
        "createTime":"2022-01-20",
        "createUserId":349,
        "updateTime":"2022-01-20",
        "deptId":3293,
        "deptName":"qo22cl"
        }
}

```

### 查看站点事项

**请求URL:** site/matter/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看站点事项，返回实例详细信息

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|Long|主键,唯一|是|-

**请求样例:**
```

    http://localhost/site/matter/info?id=549

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|序号，主键，自增长|-
&emsp;siteId|Long|站点ID|-
&emsp;siteName|String|站点名称|-
&emsp;matterId|Long|事项ID|-
&emsp;matterName|String|事项名称|-
&emsp;createTime|Date|创建时间|-
&emsp;createUserId|Long|创建用户|-
&emsp;updateTime|Date|修改时间|-
&emsp;deptId|Long|部门ID|-
&emsp;deptName|String|部门名称|-
dict|object|字典对象|-


**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":7628,
            "siteId":3905,
            "siteName":"9u3ley",
            "matterId":6878,
            "matterName":"k97mvs",
            "createTime":"2022-01-20",
            "createUserId":9396,
            "updateTime":"2022-01-20",
            "deptId":7460,
            "deptName":"l7a3jn"
        }
}
```

### 保存更新站点事项

**请求URL:** site/matter/save

**请求方式:** POST


**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新站点事项：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
siteId|Long|站点ID|是|-
siteName|String|站点名称|是|-
matterId|Long|事项ID|是|-
matterName|String|事项名称|是|-
deptId|Long|部门ID|是|-
deptName|String|部门名称|是|-

**请求样例:**
```

{
    "siteId":6033,
    "siteName":"n0klqr",
    "matterId":7292,
    "matterName":"3c3brx",
    "deptId":880,
    "deptName":"m8yw73"
}

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|保存后主键id|-
&emsp;entity|object|保存更新实体|对象
&emsp;&emsp;id|Long|序号，主键，自增长|-
&emsp;&emsp;siteId|Long|站点ID|-
&emsp;&emsp;siteName|String|站点名称|-
&emsp;&emsp;matterId|Long|事项ID|-
&emsp;&emsp;matterName|String|事项名称|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-
&emsp;&emsp;deptId|Long|部门ID|-
&emsp;&emsp;deptName|String|部门名称|-

**响应消息样例:**
```

{
    "msg":"新增模块成功",
    "code":1,
    "data":{
            "__mortals_form_state__":"ADD",
            "id":4,
            "entity":{
                "createTime":1642486776780,
                "id":4,
                "modelCode":"phxt1",
                "modelName":"排号系统4",
                "updateTime":1642486776780
            }
    }
}

```


### 删除站点事项

**请求URL:** site/matter/delete

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除站点事项

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|String|字符串，多个逗号分隔|是|-

**请求样例:**
```

    http://localhost:8080/site/matter/delete?id=1'

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-


**响应消息样例:**
```

{
    "code":1,
	"msg":"成功"

}

```


## 业务

### 查询站点业务列表

**请求URL:** business/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询站点业务

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
page|Integer|当前页|否|-
size|Integer|每页条数|否|-
name|String|业务名称|否|-
flownum|String|流水编号如A、B|否|-

**请求样例:**
```

  {
        "name":"q6pduw",
        "flownum":"twqunp",
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;per_page|Integer|每页条数|-
&emsp;total|Integer|总条数|-
&emsp;last_page|Integer|总页数|-
&emsp;current_page|Integer|当前页|-
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长|-
&emsp;&emsp;parentId|Long|父级ID|-
&emsp;&emsp;ancestors|String|祖级列表，逗号分隔|-
&emsp;&emsp;isBusiness|Integer|业务类型(0.一级业务,1.二级业务)|-
&emsp;&emsp;name|String|业务名称|-
&emsp;&emsp;remark|String|备注|-
&emsp;&emsp;canorder|Integer|是否允许预约（1.允许，0.不允许）|-
&emsp;&emsp;cantake|Integer|是否允许取号（1.允许，0.不允许）|-
&emsp;&emsp;datashow|Integer|大厅情况展示 （1.展示，0.不展示）|-
&emsp;&emsp;englishname|String|英语业务名|-
&emsp;&emsp;flownum|String|流水编号如A、B|-
&emsp;&emsp;businessType|Integer|业务类型 (0.一体化业务，1.自建业务)|-
&emsp;&emsp;status|Integer|业务状态 (0.停用，1.正常)|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-
dict|object|字典对象|-
&emsp;isBusiness|object|字典属性对象，详见附录|-
&emsp;canorder|object|字典属性对象，详见附录|-
&emsp;cantake|object|字典属性对象，详见附录|-
&emsp;datashow|object|字典属性对象，详见附录|-
&emsp;businessType|object|字典属性对象，详见附录|-
&emsp;status|object|字典属性对象，详见附录|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "per_page":10,
        "total":0,
        "data":[],
        "last_page":0,
        "current_page":1
    },
    "query":{
        "modelCode":"phxt1",
        "modelName":"排号系统"
    }
}
```

### 编辑站点业务

**请求URL:** business/edit

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 编辑站点业务，返回实例详细信息

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|Long|主键,唯一|是|-

**请求样例:**
```

    http://localhost/business/edit?id=549

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|序号，主键，自增长|-
&emsp;parentId|Long|父级ID|-
&emsp;ancestors|String|祖级列表，逗号分隔|-
&emsp;isBusiness|Integer|业务类型(0.一级业务,1.二级业务)|-
&emsp;name|String|业务名称|-
&emsp;remark|String|备注|-
&emsp;canorder|Integer|是否允许预约（1.允许，0.不允许）|-
&emsp;cantake|Integer|是否允许取号（1.允许，0.不允许）|-
&emsp;datashow|Integer|大厅情况展示 （1.展示，0.不展示）|-
&emsp;englishname|String|英语业务名|-
&emsp;flownum|String|流水编号如A、B|-
&emsp;businessType|Integer|业务类型 (0.一体化业务，1.自建业务)|-
&emsp;status|Integer|业务状态 (0.停用，1.正常)|-
&emsp;createTime|Date|创建时间|-
&emsp;createUserId|Long|创建用户|-
&emsp;updateTime|Date|修改时间|-
dict|object|字典对象|-
&emsp;isBusiness|object|字典属性对象，详见附录|-
&emsp;canorder|object|字典属性对象，详见附录|-
&emsp;cantake|object|字典属性对象，详见附录|-
&emsp;datashow|object|字典属性对象，详见附录|-
&emsp;businessType|object|字典属性对象，详见附录|-
&emsp;status|object|字典属性对象，详见附录|-


**响应消息样例:**
```

{
  "code": 1,
  "data": {
    "businessType": 1,
    "canorder": 1,
    "cantake": 1,
    "children": [],
    "createTime": 1643004759000,
    "createUserId": 1,
    "datashow": 1,
    "englishname": "foe6s9",
    "flownum": "k39shb",
    "id": 8,
    "isBusiness": 0,
    "name": "测试业务",
    "parentId": 0,
    "remark": "fvnn84",
    "status": 1,
    "updateTime": 1643004759000
  },
  "dict": {
    "cantake": {
      "0": "不允许",
      "1": "允许"
    },
    "isBusiness": {
      "0": "一级业务",
      "1": "二级业务"
    },
    "datashow": {
      "0": "不展示",
      "1": "展示"
    },
    "canorder": {
      "0": "不允许",
      "1": "允许"
    },
    "businessType": {
      "0": "一体化业务",
      "1": "自建业务"
    },
    "status": {
      "0": "停用",
      "1": "正常"
    }
  }
}

```

### 查看站点业务

**请求URL:** business/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看站点业务，返回实例详细信息

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|Long|主键,唯一|是|-

**请求样例:**
```

    http://localhost/business/info?id=549

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|序号，主键，自增长|-
&emsp;parentId|Long|父级ID|-
&emsp;ancestors|String|祖级列表，逗号分隔|-
&emsp;isBusiness|Integer|业务类型(0.一级业务,1.二级业务)|-
&emsp;name|String|业务名称|-
&emsp;remark|String|备注|-
&emsp;canorder|Integer|是否允许预约（1.允许，0.不允许）|-
&emsp;cantake|Integer|是否允许取号（1.允许，0.不允许）|-
&emsp;datashow|Integer|大厅情况展示 （1.展示，0.不展示）|-
&emsp;englishname|String|英语业务名|-
&emsp;flownum|String|流水编号如A、B|-
&emsp;businessType|Integer|业务类型 (0.一体化业务，1.自建业务)|-
&emsp;status|Integer|业务状态 (0.停用，1.正常)|-
&emsp;createTime|Date|创建时间|-
&emsp;createUserId|Long|创建用户|-
&emsp;updateTime|Date|修改时间|-
dict|object|字典对象|-
&emsp;isBusiness|object|字典属性对象，详见附录|-
&emsp;canorder|object|字典属性对象，详见附录|-
&emsp;cantake|object|字典属性对象，详见附录|-
&emsp;datashow|object|字典属性对象，详见附录|-
&emsp;businessType|object|字典属性对象，详见附录|-
&emsp;status|object|字典属性对象，详见附录|-


**响应消息样例:**
```
{
  "code": 1,
  "data": {
    "businessType": 1,
    "canorder": 1,
    "cantake": 1,
    "children": [],
    "createTime": 1643004759000,
    "createUserId": 1,
    "datashow": 1,
    "englishname": "foe6s9",
    "flownum": "k39shb",
    "id": 8,
    "isBusiness": 0,
    "name": "测试业务",
    "parentId": 0,
    "remark": "fvnn84",
    "status": 1,
    "updateTime": 1643004759000
  }
}
```

### 保存更新站点业务

**请求URL:** business/save

**请求方式:** POST


**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新站点业务：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
parentId|Long|父级ID|是|默认顶级为0，当业务类型为二级时parentId不为0
isBusiness|Integer|业务类型(0.一级业务,1.二级业务)|是|当为二级业务时paraentId为一级业务的主id
name|String|业务名称|是|-
remark|String|备注|是|-
canorder|Integer|是否允许预约（1.允许，0.不允许）|是|-
cantake|Integer|是否允许取号（1.允许，0.不允许）|是|-
datashow|Integer|大厅情况展示 （1.展示，0.不展示）|是|-
englishname|String|英语业务名|是|-
flownum|String|流水编号如A、B|是|-
businessType|Integer|业务类型 (0.一体化业务，1.自建业务)|是|-
status|Integer|业务状态 (0.停用，1.正常)|是|-

**请求样例:**
```

{
  "parentId":0,
  "isBusiness":0,
  "name":"测试业务",
  "remark":"fvnn84",
  "canorder":1,
  "cantake":1,
  "datashow":1,
  "englishname":"foe6s9",
  "flownum":"k39shb",
  "businessType":1,
  "status":1
}

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|保存后主键id|-
&emsp;entity|object|保存更新实体|对象
&emsp;&emsp;id|Long|序号，主键，自增长|-
&emsp;&emsp;parentId|Long|父级ID|-
&emsp;&emsp;ancestors|String|祖级列表，逗号分隔|-
&emsp;&emsp;isBusiness|Integer|业务类型(0.一级业务,1.二级业务)|-
&emsp;&emsp;name|String|业务名称|-
&emsp;&emsp;remark|String|备注|-
&emsp;&emsp;canorder|Integer|是否允许预约（1.允许，0.不允许）|-
&emsp;&emsp;cantake|Integer|是否允许取号（1.允许，0.不允许）|-
&emsp;&emsp;datashow|Integer|大厅情况展示 （1.展示，0.不展示）|-
&emsp;&emsp;englishname|String|英语业务名|-
&emsp;&emsp;flownum|String|流水编号如A、B|-
&emsp;&emsp;businessType|Integer|业务类型 (0.一体化业务，1.自建业务)|-
&emsp;&emsp;status|Integer|业务状态 (0.停用，1.正常)|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-

**响应消息样例:**
```

{
    "msg":"新增模块成功",
    "code":1,
    "data":{
            "__mortals_form_state__":"ADD",
            "id":4,
            "entity":{
                "createTime":1642486776780,
                "id":4,
                "modelCode":"phxt1",
                "modelName":"排号系统4",
                "updateTime":1642486776780
            }
    }
}

```


### 删除业务

**请求URL:** business/delete

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除业务

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|String|字符串，多个逗号分隔|是|-

**请求样例:**
```

    http://localhost:8080/business/delete?id=1'

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-


**响应消息样例:**
```

{
    "code":1,
	"msg":"成功"

}

```


### 添加业务到站点

**请求URL:** business/addBusinessToSite

**请求方式:** POST


**内容类型:** application/json;charset=utf-8

**简要描述:** 添加业务id到分站点上

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
siteId|Long|站点ID|是|-
businessIds|String|业务id|是|多个逗号分隔


**请求样例:**
```

{
    "siteId":520,
    "businessIds":"1,2",
}

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```

{
    "msg":"新增模块成功",
    "code":1,
    "data":{
    }
}

```





## 基础事项

### 查询基础事项列表

**请求URL:** matter/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询基础事项

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
page|Integer|当前页|否|-
size|Integer|每页条数|否|-
matterName|String|事项名称|否|-
matterNo|String|事项编号|否|-
belongDept|String|所属部门|否|-

**请求样例:**
```

  {
        "matterName":"phh423",
        "matterNo":"1ccc9a",
        "belongDept":"ao0cxh",
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;per_page|Integer|每页条数|-
&emsp;total|Integer|总条数|-
&emsp;last_page|Integer|总页数|-
&emsp;current_page|Integer|当前页|-
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长|-
&emsp;&emsp;siteId|Long|站点ID|-
&emsp;&emsp;tid|String|从政务系统来的事项id|-
&emsp;&emsp;tcode|String|从政务系统来的事项code|-
&emsp;&emsp;tname|String|从政务系统来的事项name|-
&emsp;&emsp;matterName|String|事项名称|-
&emsp;&emsp;englishName|String|英语事项名|-
&emsp;&emsp;matterNo|String|事项编号|-
&emsp;&emsp;belongDept|String|所属部门|-
&emsp;&emsp;appoveObjectShow|String|服务对象 （事业法人.事业法人，社会组织法人.社会组织法人，非法人企业.非法人企业，企业法人.企业法人，自然人.自然人，其他组织.其他组织）|-
&emsp;&emsp;operatScopeShow|String|通办范围 （无.无，全国.全国，全市.全市，全县.全县，全镇[乡 街道].全镇[乡 街道]，跨村[社区].跨村[社区]）|-
&emsp;&emsp;appoveTimeLimitShow|String|办件类型（网络办件.网络办件，行政审批一般件.行政审批一般件，综合窗口件.综合窗口件）|-
&emsp;&emsp;handleType|String|办理形式（窗口办理.窗口办理，网上办理.网上办理）	|-
&emsp;&emsp;legalTimeLimitShow|String|法定办结时限|-
&emsp;&emsp;legalEndExplain|String|法定时限办结说明|-
&emsp;&emsp;promiseTimeLimitShow|String|承诺办结时限|-
&emsp;&emsp;promiseEndExplain|String|承诺时限办结说明|-
&emsp;&emsp;isChargesShow|String|是否收费（否.否，是.是）|-
&emsp;&emsp;certificationLevelsShow|String|认证等级需求（实名认证.实名认证，单次面签.单次面签，每次面签.每次面签）|-
&emsp;&emsp;planTakeTime|Date|计划生效日期|-
&emsp;&emsp;promiseTakeTime|Date|承诺生效日期|-
&emsp;&emsp;specialProcedure|String|特别程序|-
&emsp;&emsp;windowToTheSceneNum|Integer|窗口到现场次数|-
&emsp;&emsp;isOnlineSubscribeShow|String|是否网上预约,窗口办理选（否.否，是.是）|-
&emsp;&emsp;isExpressTakeShow|String|物流快递,窗口办理选（否.否，是.是）|-
&emsp;&emsp;isProvinceAcquisitionShow|String|是否支持全省范围就近取件（否.否，是.是）|-
&emsp;&emsp;isApplyProvinceShow|String|是否支持全省范围就近办理（否.否，是.是）|-
&emsp;&emsp;mustSceneExplain|String|必须到现场原因|-
&emsp;&emsp;onlineType|String|网办类型（原件预审.原件预审，原件核验.原件核验，全程网办.全程网办）|-
&emsp;&emsp;onlineToTheSceneNum|Integer|网办到现场次数|-
&emsp;&emsp;onlineOperatDeep|String|网络办理深度（互联网咨询.互联网咨询，互联网收件.互联网收件，互联网预审.互联网预审，互联网受理.互联网受理，互联网办理.互联网办理，互联网办理结果信息反馈.互联网办理结果信息反馈，其他.其他）|-
&emsp;&emsp;isExpressTakeOnlineShow|String|物流快递，网上办理选（否.否，是.是）|-
&emsp;&emsp;isDoorTakeShow|String|是否支持上门收取申请（否.否，是.是）|-
&emsp;&emsp;onlineMustSceneExplain|String|网上必须到现场原因|-
&emsp;&emsp;performDeptType|String|实施主体|-
&emsp;&emsp;matterEdition|String|事项版本|-
&emsp;&emsp;eventTypeShow|String|事项类型名称（行政许可.行政许可，行政处罚.行政处罚，行政强制.行政强制，行政征收.行政征收，行政给付.行政给付，行政检查.行政检查，行政确认.行政确认，行政奖励.行政奖励，行政裁决.行政裁决，其他行政权力.其他行政权力，主动服务.主动服务，依申请服务.依申请服务，咨询查询.咨询查询，未归类事项.未归类事项）|-
&emsp;&emsp;performHierarchyShow|String|行使层级名称（省级.省级，市级.市级，县级.县级，镇[乡 街道].镇[乡 街道]，村[社区]级.村[社区]级）|-
&emsp;&emsp;powerSourceShow|String|权力来源（法定本级行使.法定本级行使，上级下放.上级下放，上级授权.上级授权，同级授权.同级授权，上级委托.上级委托，同级委托.同级委托）|-
&emsp;&emsp;performDeptTypeShow|String|实施主体性质（法定机关.法定机关，授权组织.授权组织，受委托组织.受委托组织）|-
&emsp;&emsp;goveServiceCenterShow|String|是否进驻中心（否.否，是.是）|-
&emsp;&emsp;isConvenientCenterShow|String|是否纳入便民服务中心（否.否，是.是）|-
&emsp;&emsp;terminalHandle|String|自助终端办理 （否.否，是.是）|-
&emsp;&emsp;isOnline|String|是否网办 （否.否，是.是）|-
&emsp;&emsp;isOnlinePayShow|String|支持网上支付（否.否，是.是）|-
&emsp;&emsp;entrustmentDepartmen|String|委托部门（否.否，是.是）|-
&emsp;&emsp;jointInfoShow|String|联办机构|-
&emsp;&emsp;matterStatus|String|事项状态（停用.停用，在用.在用）|-
&emsp;&emsp;numberLimit|Long|数量限制|-
&emsp;&emsp;type|String|主题类型|-
&emsp;&emsp;baseCode|String|基本编码|-
&emsp;&emsp;implementCode|String|实施编码|-
&emsp;&emsp;implementBodyCode|String|实施主体编码|-
&emsp;&emsp;operateItemCode|String|办理项编码|-
&emsp;&emsp;townshipName|String|乡镇街道名称|-
&emsp;&emsp;townshipCode|String|乡镇街道代码|-
&emsp;&emsp;villageName|String|村居社区名称|-
&emsp;&emsp;villageCode|String|村居社区代码|-
&emsp;&emsp;operateTime|String|办理时间|-
&emsp;&emsp;operateSite|String|办理地点|-
&emsp;&emsp;cousultingShow|String|咨询方式|-
&emsp;&emsp;cousultingTelephoneShow|String|咨询电话|-
&emsp;&emsp;superviseShow|String|监督投诉方式|-
&emsp;&emsp;sort|Integer|排序|-
&emsp;&emsp;source|Integer|事项来源(0.政务网，1.自定义)|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-
dict|object|字典对象|-
&emsp;appoveObjectShow|object|字典属性对象，详见附录|-
&emsp;operatScopeShow|object|字典属性对象，详见附录|-
&emsp;appoveTimeLimitShow|object|字典属性对象，详见附录|-
&emsp;handleType|object|字典属性对象，详见附录|-
&emsp;isChargesShow|object|字典属性对象，详见附录|-
&emsp;certificationLevelsShow|object|字典属性对象，详见附录|-
&emsp;isOnlineSubscribeShow|object|字典属性对象，详见附录|-
&emsp;isExpressTakeShow|object|字典属性对象，详见附录|-
&emsp;isProvinceAcquisitionShow|object|字典属性对象，详见附录|-
&emsp;isApplyProvinceShow|object|字典属性对象，详见附录|-
&emsp;onlineType|object|字典属性对象，详见附录|-
&emsp;onlineOperatDeep|object|字典属性对象，详见附录|-
&emsp;isExpressTakeOnlineShow|object|字典属性对象，详见附录|-
&emsp;isDoorTakeShow|object|字典属性对象，详见附录|-
&emsp;eventTypeShow|object|字典属性对象，详见附录|-
&emsp;performHierarchyShow|object|字典属性对象，详见附录|-
&emsp;powerSourceShow|object|字典属性对象，详见附录|-
&emsp;performDeptTypeShow|object|字典属性对象，详见附录|-
&emsp;goveServiceCenterShow|object|字典属性对象，详见附录|-
&emsp;isConvenientCenterShow|object|字典属性对象，详见附录|-
&emsp;terminalHandle|object|字典属性对象，详见附录|-
&emsp;isOnline|object|字典属性对象，详见附录|-
&emsp;isOnlinePayShow|object|字典属性对象，详见附录|-
&emsp;entrustmentDepartmen|object|字典属性对象，详见附录|-
&emsp;matterStatus|object|字典属性对象，详见附录|-
&emsp;source|object|字典属性对象，详见附录|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "per_page":10,
        "total":0,
        "data":[],
        "last_page":0,
        "current_page":1
    },
    "query":{
        "modelCode":"phxt1",
        "modelName":"排号系统"
    }
}
```

### 编辑基础事项

**请求URL:** matter/edit

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 编辑基础事项，返回实例详细信息

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|Long|主键,唯一|是|-

**请求样例:**
```

    http://localhost/matter/edit?id=549

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|序号，主键，自增长|-
&emsp;siteId|Long|站点ID|-
&emsp;tid|String|从政务系统来的事项id|-
&emsp;tcode|String|从政务系统来的事项code|-
&emsp;tname|String|从政务系统来的事项name|-
&emsp;matterName|String|事项名称|-
&emsp;englishName|String|英语事项名|-
&emsp;matterNo|String|事项编号|-
&emsp;belongDept|String|所属部门|-
&emsp;appoveObjectShow|String|服务对象 （事业法人.事业法人，社会组织法人.社会组织法人，非法人企业.非法人企业，企业法人.企业法人，自然人.自然人，其他组织.其他组织）|-
&emsp;operatScopeShow|String|通办范围 （无.无，全国.全国，全市.全市，全县.全县，全镇[乡 街道].全镇[乡 街道]，跨村[社区].跨村[社区]）|-
&emsp;appoveTimeLimitShow|String|办件类型（网络办件.网络办件，行政审批一般件.行政审批一般件，综合窗口件.综合窗口件）|-
&emsp;handleType|String|办理形式（窗口办理.窗口办理，网上办理.网上办理）	|-
&emsp;legalTimeLimitShow|String|法定办结时限|-
&emsp;legalEndExplain|String|法定时限办结说明|-
&emsp;promiseTimeLimitShow|String|承诺办结时限|-
&emsp;promiseEndExplain|String|承诺时限办结说明|-
&emsp;isChargesShow|String|是否收费（否.否，是.是）|-
&emsp;certificationLevelsShow|String|认证等级需求（实名认证.实名认证，单次面签.单次面签，每次面签.每次面签）|-
&emsp;planTakeTime|Date|计划生效日期|-
&emsp;promiseTakeTime|Date|承诺生效日期|-
&emsp;specialProcedure|String|特别程序|-
&emsp;windowToTheSceneNum|Integer|窗口到现场次数|-
&emsp;isOnlineSubscribeShow|String|是否网上预约,窗口办理选（否.否，是.是）|-
&emsp;isExpressTakeShow|String|物流快递,窗口办理选（否.否，是.是）|-
&emsp;isProvinceAcquisitionShow|String|是否支持全省范围就近取件（否.否，是.是）|-
&emsp;isApplyProvinceShow|String|是否支持全省范围就近办理（否.否，是.是）|-
&emsp;mustSceneExplain|String|必须到现场原因|-
&emsp;onlineType|String|网办类型（原件预审.原件预审，原件核验.原件核验，全程网办.全程网办）|-
&emsp;onlineToTheSceneNum|Integer|网办到现场次数|-
&emsp;onlineOperatDeep|String|网络办理深度（互联网咨询.互联网咨询，互联网收件.互联网收件，互联网预审.互联网预审，互联网受理.互联网受理，互联网办理.互联网办理，互联网办理结果信息反馈.互联网办理结果信息反馈，其他.其他）|-
&emsp;isExpressTakeOnlineShow|String|物流快递，网上办理选（否.否，是.是）|-
&emsp;isDoorTakeShow|String|是否支持上门收取申请（否.否，是.是）|-
&emsp;onlineMustSceneExplain|String|网上必须到现场原因|-
&emsp;performDeptType|String|实施主体|-
&emsp;matterEdition|String|事项版本|-
&emsp;eventTypeShow|String|事项类型名称（行政许可.行政许可，行政处罚.行政处罚，行政强制.行政强制，行政征收.行政征收，行政给付.行政给付，行政检查.行政检查，行政确认.行政确认，行政奖励.行政奖励，行政裁决.行政裁决，其他行政权力.其他行政权力，主动服务.主动服务，依申请服务.依申请服务，咨询查询.咨询查询，未归类事项.未归类事项）|-
&emsp;performHierarchyShow|String|行使层级名称（省级.省级，市级.市级，县级.县级，镇[乡 街道].镇[乡 街道]，村[社区]级.村[社区]级）|-
&emsp;powerSourceShow|String|权力来源（法定本级行使.法定本级行使，上级下放.上级下放，上级授权.上级授权，同级授权.同级授权，上级委托.上级委托，同级委托.同级委托）|-
&emsp;performDeptTypeShow|String|实施主体性质（法定机关.法定机关，授权组织.授权组织，受委托组织.受委托组织）|-
&emsp;goveServiceCenterShow|String|是否进驻中心（否.否，是.是）|-
&emsp;isConvenientCenterShow|String|是否纳入便民服务中心（否.否，是.是）|-
&emsp;terminalHandle|String|自助终端办理 （否.否，是.是）|-
&emsp;isOnline|String|是否网办 （否.否，是.是）|-
&emsp;isOnlinePayShow|String|支持网上支付（否.否，是.是）|-
&emsp;entrustmentDepartmen|String|委托部门（否.否，是.是）|-
&emsp;jointInfoShow|String|联办机构|-
&emsp;matterStatus|String|事项状态（停用.停用，在用.在用）|-
&emsp;numberLimit|Long|数量限制|-
&emsp;type|String|主题类型|-
&emsp;baseCode|String|基本编码|-
&emsp;implementCode|String|实施编码|-
&emsp;implementBodyCode|String|实施主体编码|-
&emsp;operateItemCode|String|办理项编码|-
&emsp;townshipName|String|乡镇街道名称|-
&emsp;townshipCode|String|乡镇街道代码|-
&emsp;villageName|String|村居社区名称|-
&emsp;villageCode|String|村居社区代码|-
&emsp;operateTime|String|办理时间|-
&emsp;operateSite|String|办理地点|-
&emsp;cousultingShow|String|咨询方式|-
&emsp;cousultingTelephoneShow|String|咨询电话|-
&emsp;superviseShow|String|监督投诉方式|-
&emsp;sort|Integer|排序|-
&emsp;source|Integer|事项来源(0.政务网，1.自定义)|-
&emsp;createTime|Date|创建时间|-
&emsp;createUserId|Long|创建用户|-
&emsp;updateTime|Date|修改时间|-
dict|object|字典对象|-
&emsp;appoveObjectShow|object|字典属性对象，详见附录|-
&emsp;operatScopeShow|object|字典属性对象，详见附录|-
&emsp;appoveTimeLimitShow|object|字典属性对象，详见附录|-
&emsp;handleType|object|字典属性对象，详见附录|-
&emsp;isChargesShow|object|字典属性对象，详见附录|-
&emsp;certificationLevelsShow|object|字典属性对象，详见附录|-
&emsp;isOnlineSubscribeShow|object|字典属性对象，详见附录|-
&emsp;isExpressTakeShow|object|字典属性对象，详见附录|-
&emsp;isProvinceAcquisitionShow|object|字典属性对象，详见附录|-
&emsp;isApplyProvinceShow|object|字典属性对象，详见附录|-
&emsp;onlineType|object|字典属性对象，详见附录|-
&emsp;onlineOperatDeep|object|字典属性对象，详见附录|-
&emsp;isExpressTakeOnlineShow|object|字典属性对象，详见附录|-
&emsp;isDoorTakeShow|object|字典属性对象，详见附录|-
&emsp;eventTypeShow|object|字典属性对象，详见附录|-
&emsp;performHierarchyShow|object|字典属性对象，详见附录|-
&emsp;powerSourceShow|object|字典属性对象，详见附录|-
&emsp;performDeptTypeShow|object|字典属性对象，详见附录|-
&emsp;goveServiceCenterShow|object|字典属性对象，详见附录|-
&emsp;isConvenientCenterShow|object|字典属性对象，详见附录|-
&emsp;terminalHandle|object|字典属性对象，详见附录|-
&emsp;isOnline|object|字典属性对象，详见附录|-
&emsp;isOnlinePayShow|object|字典属性对象，详见附录|-
&emsp;entrustmentDepartmen|object|字典属性对象，详见附录|-
&emsp;matterStatus|object|字典属性对象，详见附录|-
&emsp;source|object|字典属性对象，详见附录|-


**响应消息样例:**
```

{
    "code": 1,
    "data": {
        "id":1513,
        "siteId":3411,
        "tid":"rknybh",
        "tcode":"nyxs5s",
        "tname":"6hucty",
        "matterName":"8cvlog",
        "englishName":"tp6ph0",
        "matterNo":"1pv2pv",
        "belongDept":"p73meo",
        "appoveObjectShow":"40ug5a",
        "operatScopeShow":"wi5se3",
        "appoveTimeLimitShow":"kaz4jp",
        "handleType":"mtjyra",
        "legalTimeLimitShow":"agt6mk",
        "legalEndExplain":"dccymh",
        "promiseTimeLimitShow":"nm36j6",
        "promiseEndExplain":"xd6mne",
        "isChargesShow":"klljax",
        "certificationLevelsShow":"3tgw84",
        "planTakeTime":"2022-01-20",
        "promiseTakeTime":"2022-01-20",
        "specialProcedure":"jgif0z",
        "windowToTheSceneNum":1798,
        "isOnlineSubscribeShow":"yhzp4d",
        "isExpressTakeShow":"1opov3",
        "isProvinceAcquisitionShow":"32tcmd",
        "isApplyProvinceShow":"i7qmv1",
        "mustSceneExplain":"wqx092",
        "onlineType":"qr56dg",
        "onlineToTheSceneNum":2361,
        "onlineOperatDeep":"2x51ur",
        "isExpressTakeOnlineShow":"1o007k",
        "isDoorTakeShow":"g769vv",
        "onlineMustSceneExplain":"jt37u2",
        "performDeptType":"7tf30x",
        "matterEdition":"j9ue98",
        "eventTypeShow":"7l3fgr",
        "performHierarchyShow":"ujtdx7",
        "powerSourceShow":"8y1dxf",
        "performDeptTypeShow":"ou89sg",
        "goveServiceCenterShow":"w7b9fa",
        "isConvenientCenterShow":"mzwssp",
        "terminalHandle":"zdskwd",
        "isOnline":"x4taod",
        "isOnlinePayShow":"kyxnb3",
        "entrustmentDepartmen":"y3n4fj",
        "jointInfoShow":"y7m51o",
        "matterStatus":"e19mru",
        "numberLimit":8493,
        "type":"cys78w",
        "baseCode":"vqhtis",
        "implementCode":"1anjz4",
        "implementBodyCode":"dmhyfn",
        "operateItemCode":"uglwe6",
        "townshipName":"l6td41",
        "townshipCode":"79hvbs",
        "villageName":"yn015f",
        "villageCode":"vkm5aw",
        "operateTime":"7aem4f",
        "operateSite":"ilj5yw",
        "cousultingShow":"pvarqa",
        "cousultingTelephoneShow":"zgrm40",
        "superviseShow":"0d1vsr",
        "sort":4329,
        "source":7738,
        "createTime":"2022-01-20",
        "createUserId":5257,
        "updateTime":"2022-01-20"
        }
}

```

### 查看基础事项

**请求URL:** matter/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看基础事项，返回实例详细信息

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|Long|主键,唯一|是|-

**请求样例:**
```

    http://localhost/matter/info?id=549

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|序号，主键，自增长|-
&emsp;siteId|Long|站点ID|-
&emsp;tid|String|从政务系统来的事项id|-
&emsp;tcode|String|从政务系统来的事项code|-
&emsp;tname|String|从政务系统来的事项name|-
&emsp;matterName|String|事项名称|-
&emsp;englishName|String|英语事项名|-
&emsp;matterNo|String|事项编号|-
&emsp;belongDept|String|所属部门|-
&emsp;appoveObjectShow|String|服务对象 （事业法人.事业法人，社会组织法人.社会组织法人，非法人企业.非法人企业，企业法人.企业法人，自然人.自然人，其他组织.其他组织）|-
&emsp;operatScopeShow|String|通办范围 （无.无，全国.全国，全市.全市，全县.全县，全镇[乡 街道].全镇[乡 街道]，跨村[社区].跨村[社区]）|-
&emsp;appoveTimeLimitShow|String|办件类型（网络办件.网络办件，行政审批一般件.行政审批一般件，综合窗口件.综合窗口件）|-
&emsp;handleType|String|办理形式（窗口办理.窗口办理，网上办理.网上办理）	|-
&emsp;legalTimeLimitShow|String|法定办结时限|-
&emsp;legalEndExplain|String|法定时限办结说明|-
&emsp;promiseTimeLimitShow|String|承诺办结时限|-
&emsp;promiseEndExplain|String|承诺时限办结说明|-
&emsp;isChargesShow|String|是否收费（否.否，是.是）|-
&emsp;certificationLevelsShow|String|认证等级需求（实名认证.实名认证，单次面签.单次面签，每次面签.每次面签）|-
&emsp;planTakeTime|Date|计划生效日期|-
&emsp;promiseTakeTime|Date|承诺生效日期|-
&emsp;specialProcedure|String|特别程序|-
&emsp;windowToTheSceneNum|Integer|窗口到现场次数|-
&emsp;isOnlineSubscribeShow|String|是否网上预约,窗口办理选（否.否，是.是）|-
&emsp;isExpressTakeShow|String|物流快递,窗口办理选（否.否，是.是）|-
&emsp;isProvinceAcquisitionShow|String|是否支持全省范围就近取件（否.否，是.是）|-
&emsp;isApplyProvinceShow|String|是否支持全省范围就近办理（否.否，是.是）|-
&emsp;mustSceneExplain|String|必须到现场原因|-
&emsp;onlineType|String|网办类型（原件预审.原件预审，原件核验.原件核验，全程网办.全程网办）|-
&emsp;onlineToTheSceneNum|Integer|网办到现场次数|-
&emsp;onlineOperatDeep|String|网络办理深度（互联网咨询.互联网咨询，互联网收件.互联网收件，互联网预审.互联网预审，互联网受理.互联网受理，互联网办理.互联网办理，互联网办理结果信息反馈.互联网办理结果信息反馈，其他.其他）|-
&emsp;isExpressTakeOnlineShow|String|物流快递，网上办理选（否.否，是.是）|-
&emsp;isDoorTakeShow|String|是否支持上门收取申请（否.否，是.是）|-
&emsp;onlineMustSceneExplain|String|网上必须到现场原因|-
&emsp;performDeptType|String|实施主体|-
&emsp;matterEdition|String|事项版本|-
&emsp;eventTypeShow|String|事项类型名称（行政许可.行政许可，行政处罚.行政处罚，行政强制.行政强制，行政征收.行政征收，行政给付.行政给付，行政检查.行政检查，行政确认.行政确认，行政奖励.行政奖励，行政裁决.行政裁决，其他行政权力.其他行政权力，主动服务.主动服务，依申请服务.依申请服务，咨询查询.咨询查询，未归类事项.未归类事项）|-
&emsp;performHierarchyShow|String|行使层级名称（省级.省级，市级.市级，县级.县级，镇[乡 街道].镇[乡 街道]，村[社区]级.村[社区]级）|-
&emsp;powerSourceShow|String|权力来源（法定本级行使.法定本级行使，上级下放.上级下放，上级授权.上级授权，同级授权.同级授权，上级委托.上级委托，同级委托.同级委托）|-
&emsp;performDeptTypeShow|String|实施主体性质（法定机关.法定机关，授权组织.授权组织，受委托组织.受委托组织）|-
&emsp;goveServiceCenterShow|String|是否进驻中心（否.否，是.是）|-
&emsp;isConvenientCenterShow|String|是否纳入便民服务中心（否.否，是.是）|-
&emsp;terminalHandle|String|自助终端办理 （否.否，是.是）|-
&emsp;isOnline|String|是否网办 （否.否，是.是）|-
&emsp;isOnlinePayShow|String|支持网上支付（否.否，是.是）|-
&emsp;entrustmentDepartmen|String|委托部门（否.否，是.是）|-
&emsp;jointInfoShow|String|联办机构|-
&emsp;matterStatus|String|事项状态（停用.停用，在用.在用）|-
&emsp;numberLimit|Long|数量限制|-
&emsp;type|String|主题类型|-
&emsp;baseCode|String|基本编码|-
&emsp;implementCode|String|实施编码|-
&emsp;implementBodyCode|String|实施主体编码|-
&emsp;operateItemCode|String|办理项编码|-
&emsp;townshipName|String|乡镇街道名称|-
&emsp;townshipCode|String|乡镇街道代码|-
&emsp;villageName|String|村居社区名称|-
&emsp;villageCode|String|村居社区代码|-
&emsp;operateTime|String|办理时间|-
&emsp;operateSite|String|办理地点|-
&emsp;cousultingShow|String|咨询方式|-
&emsp;cousultingTelephoneShow|String|咨询电话|-
&emsp;superviseShow|String|监督投诉方式|-
&emsp;sort|Integer|排序|-
&emsp;source|Integer|事项来源(0.政务网，1.自定义)|-
&emsp;createTime|Date|创建时间|-
&emsp;createUserId|Long|创建用户|-
&emsp;updateTime|Date|修改时间|-
dict|object|字典对象|-
&emsp;appoveObjectShow|object|字典属性对象，详见附录|-
&emsp;operatScopeShow|object|字典属性对象，详见附录|-
&emsp;appoveTimeLimitShow|object|字典属性对象，详见附录|-
&emsp;handleType|object|字典属性对象，详见附录|-
&emsp;isChargesShow|object|字典属性对象，详见附录|-
&emsp;certificationLevelsShow|object|字典属性对象，详见附录|-
&emsp;isOnlineSubscribeShow|object|字典属性对象，详见附录|-
&emsp;isExpressTakeShow|object|字典属性对象，详见附录|-
&emsp;isProvinceAcquisitionShow|object|字典属性对象，详见附录|-
&emsp;isApplyProvinceShow|object|字典属性对象，详见附录|-
&emsp;onlineType|object|字典属性对象，详见附录|-
&emsp;onlineOperatDeep|object|字典属性对象，详见附录|-
&emsp;isExpressTakeOnlineShow|object|字典属性对象，详见附录|-
&emsp;isDoorTakeShow|object|字典属性对象，详见附录|-
&emsp;eventTypeShow|object|字典属性对象，详见附录|-
&emsp;performHierarchyShow|object|字典属性对象，详见附录|-
&emsp;powerSourceShow|object|字典属性对象，详见附录|-
&emsp;performDeptTypeShow|object|字典属性对象，详见附录|-
&emsp;goveServiceCenterShow|object|字典属性对象，详见附录|-
&emsp;isConvenientCenterShow|object|字典属性对象，详见附录|-
&emsp;terminalHandle|object|字典属性对象，详见附录|-
&emsp;isOnline|object|字典属性对象，详见附录|-
&emsp;isOnlinePayShow|object|字典属性对象，详见附录|-
&emsp;entrustmentDepartmen|object|字典属性对象，详见附录|-
&emsp;matterStatus|object|字典属性对象，详见附录|-
&emsp;source|object|字典属性对象，详见附录|-


**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":5000,
            "siteId":1036,
            "tid":"vg4owh",
            "tcode":"cn4ko1",
            "tname":"aa3omh",
            "matterName":"nx5f1p",
            "englishName":"shrdj0",
            "matterNo":"tr65pe",
            "belongDept":"4bfi5o",
            "appoveObjectShow":"2kg9vp",
            "operatScopeShow":"zazo9n",
            "appoveTimeLimitShow":"qh8f9v",
            "handleType":"ji2yne",
            "legalTimeLimitShow":"ao61jf",
            "legalEndExplain":"w5u5iq",
            "promiseTimeLimitShow":"619q04",
            "promiseEndExplain":"ewgt50",
            "isChargesShow":"fnycln",
            "certificationLevelsShow":"8y0cxo",
            "planTakeTime":"2022-01-20",
            "promiseTakeTime":"2022-01-20",
            "specialProcedure":"yb32hc",
            "windowToTheSceneNum":7370,
            "isOnlineSubscribeShow":"k13o3k",
            "isExpressTakeShow":"ud3nsn",
            "isProvinceAcquisitionShow":"nyafga",
            "isApplyProvinceShow":"i8yiie",
            "mustSceneExplain":"zqdakt",
            "onlineType":"0lmar8",
            "onlineToTheSceneNum":7901,
            "onlineOperatDeep":"yc637k",
            "isExpressTakeOnlineShow":"uzcqlu",
            "isDoorTakeShow":"cisnlw",
            "onlineMustSceneExplain":"98ske2",
            "performDeptType":"oqfhto",
            "matterEdition":"9dr9h0",
            "eventTypeShow":"czzu89",
            "performHierarchyShow":"r0uj8s",
            "powerSourceShow":"w3d0r6",
            "performDeptTypeShow":"ef06e5",
            "goveServiceCenterShow":"vvzy2e",
            "isConvenientCenterShow":"aqh3kw",
            "terminalHandle":"22w3a0",
            "isOnline":"bf1f5y",
            "isOnlinePayShow":"84o2w5",
            "entrustmentDepartmen":"56b0tq",
            "jointInfoShow":"3iuubg",
            "matterStatus":"0l5dg4",
            "numberLimit":7263,
            "type":"i2csfq",
            "baseCode":"g9zlyr",
            "implementCode":"4wwv98",
            "implementBodyCode":"wihfue",
            "operateItemCode":"slxvhy",
            "townshipName":"5bviwi",
            "townshipCode":"l8cwsc",
            "villageName":"gf369e",
            "villageCode":"2o0fio",
            "operateTime":"uhokg1",
            "operateSite":"dr9sax",
            "cousultingShow":"e660fi",
            "cousultingTelephoneShow":"o1ed8s",
            "superviseShow":"2cczgc",
            "sort":4614,
            "source":4929,
            "createTime":"2022-01-20",
            "createUserId":734,
            "updateTime":"2022-01-20"
        }
}
```

### 保存更新基础事项

**请求URL:** matter/save

**请求方式:** POST


**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新基础事项：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
siteId|Long|站点ID|是|-
tid|String|从政务系统来的事项id|是|-
tcode|String|从政务系统来的事项code|是|-
tname|String|从政务系统来的事项name|是|-
matterName|String|事项名称|是|-
englishName|String|英语事项名|是|-
matterNo|String|事项编号|是|-
belongDept|String|所属部门|是|-
appoveObjectShow|String|服务对象 （事业法人.事业法人，社会组织法人.社会组织法人，非法人企业.非法人企业，企业法人.企业法人，自然人.自然人，其他组织.其他组织）|是|-
operatScopeShow|String|通办范围 （无.无，全国.全国，全市.全市，全县.全县，全镇[乡 街道].全镇[乡 街道]，跨村[社区].跨村[社区]）|是|-
appoveTimeLimitShow|String|办件类型（网络办件.网络办件，行政审批一般件.行政审批一般件，综合窗口件.综合窗口件）|是|-
handleType|String|办理形式（窗口办理.窗口办理，网上办理.网上办理）	|是|-
legalTimeLimitShow|String|法定办结时限|是|-
legalEndExplain|String|法定时限办结说明|是|-
promiseTimeLimitShow|String|承诺办结时限|是|-
promiseEndExplain|String|承诺时限办结说明|是|-
isChargesShow|String|是否收费（否.否，是.是）|是|-
certificationLevelsShow|String|认证等级需求（实名认证.实名认证，单次面签.单次面签，每次面签.每次面签）|是|-
planTakeTime|Date|计划生效日期|是|-
promiseTakeTime|Date|承诺生效日期|是|-
specialProcedure|String|特别程序|是|-
windowToTheSceneNum|Integer|窗口到现场次数|是|-
isOnlineSubscribeShow|String|是否网上预约,窗口办理选（否.否，是.是）|是|-
isExpressTakeShow|String|物流快递,窗口办理选（否.否，是.是）|是|-
isProvinceAcquisitionShow|String|是否支持全省范围就近取件（否.否，是.是）|是|-
isApplyProvinceShow|String|是否支持全省范围就近办理（否.否，是.是）|是|-
mustSceneExplain|String|必须到现场原因|是|-
onlineType|String|网办类型（原件预审.原件预审，原件核验.原件核验，全程网办.全程网办）|是|-
onlineToTheSceneNum|Integer|网办到现场次数|是|-
onlineOperatDeep|String|网络办理深度（互联网咨询.互联网咨询，互联网收件.互联网收件，互联网预审.互联网预审，互联网受理.互联网受理，互联网办理.互联网办理，互联网办理结果信息反馈.互联网办理结果信息反馈，其他.其他）|是|-
isExpressTakeOnlineShow|String|物流快递，网上办理选（否.否，是.是）|是|-
isDoorTakeShow|String|是否支持上门收取申请（否.否，是.是）|是|-
onlineMustSceneExplain|String|网上必须到现场原因|是|-
performDeptType|String|实施主体|是|-
matterEdition|String|事项版本|是|-
eventTypeShow|String|事项类型名称（行政许可.行政许可，行政处罚.行政处罚，行政强制.行政强制，行政征收.行政征收，行政给付.行政给付，行政检查.行政检查，行政确认.行政确认，行政奖励.行政奖励，行政裁决.行政裁决，其他行政权力.其他行政权力，主动服务.主动服务，依申请服务.依申请服务，咨询查询.咨询查询，未归类事项.未归类事项）|是|-
performHierarchyShow|String|行使层级名称（省级.省级，市级.市级，县级.县级，镇[乡 街道].镇[乡 街道]，村[社区]级.村[社区]级）|是|-
powerSourceShow|String|权力来源（法定本级行使.法定本级行使，上级下放.上级下放，上级授权.上级授权，同级授权.同级授权，上级委托.上级委托，同级委托.同级委托）|是|-
performDeptTypeShow|String|实施主体性质（法定机关.法定机关，授权组织.授权组织，受委托组织.受委托组织）|是|-
goveServiceCenterShow|String|是否进驻中心（否.否，是.是）|是|-
isConvenientCenterShow|String|是否纳入便民服务中心（否.否，是.是）|是|-
terminalHandle|String|自助终端办理 （否.否，是.是）|是|-
isOnline|String|是否网办 （否.否，是.是）|是|-
isOnlinePayShow|String|支持网上支付（否.否，是.是）|是|-
entrustmentDepartmen|String|委托部门（否.否，是.是）|是|-
jointInfoShow|String|联办机构|是|-
matterStatus|String|事项状态（停用.停用，在用.在用）|是|-
numberLimit|Long|数量限制|是|-
type|String|主题类型|是|-
baseCode|String|基本编码|是|-
implementCode|String|实施编码|是|-
implementBodyCode|String|实施主体编码|是|-
operateItemCode|String|办理项编码|是|-
townshipName|String|乡镇街道名称|是|-
townshipCode|String|乡镇街道代码|是|-
villageName|String|村居社区名称|是|-
villageCode|String|村居社区代码|是|-
operateTime|String|办理时间|是|-
operateSite|String|办理地点|是|-
cousultingShow|String|咨询方式|是|-
cousultingTelephoneShow|String|咨询电话|是|-
superviseShow|String|监督投诉方式|是|-
sort|Integer|排序|是|-
source|Integer|事项来源(0.政务网，1.自定义)|是|-

**请求样例:**
```

{
    "siteId":2175,
    "tid":"vj0c4k",
    "tcode":"xgdx1h",
    "tname":"q70ok3",
    "matterName":"p5vb46",
    "englishName":"2uihks",
    "matterNo":"2ghatn",
    "belongDept":"1kscro",
    "appoveObjectShow":"mw37kz",
    "operatScopeShow":"qlsd3k",
    "appoveTimeLimitShow":"obii9w",
    "handleType":"1gb2jc",
    "legalTimeLimitShow":"nrca5t",
    "legalEndExplain":"167abw",
    "promiseTimeLimitShow":"ns9i3k",
    "promiseEndExplain":"nye4ew",
    "isChargesShow":"2qvtup",
    "certificationLevelsShow":"kko737",
    "planTakeTime":"2022-01-20",
    "promiseTakeTime":"2022-01-20",
    "specialProcedure":"62yyl9",
    "windowToTheSceneNum":9829,
    "isOnlineSubscribeShow":"y9v60s",
    "isExpressTakeShow":"wc40e0",
    "isProvinceAcquisitionShow":"k0pgs5",
    "isApplyProvinceShow":"30l80o",
    "mustSceneExplain":"8ebrm8",
    "onlineType":"ovovnc",
    "onlineToTheSceneNum":8702,
    "onlineOperatDeep":"iab9pq",
    "isExpressTakeOnlineShow":"xtbu12",
    "isDoorTakeShow":"0q5kbc",
    "onlineMustSceneExplain":"mhe9fu",
    "performDeptType":"y5ohc3",
    "matterEdition":"ufb276",
    "eventTypeShow":"eflcbp",
    "performHierarchyShow":"c0g79p",
    "powerSourceShow":"fqu166",
    "performDeptTypeShow":"v3kk6y",
    "goveServiceCenterShow":"k5ldlb",
    "isConvenientCenterShow":"6d57bh",
    "terminalHandle":"pzr7vt",
    "isOnline":"ro6utf",
    "isOnlinePayShow":"u8o4dv",
    "entrustmentDepartmen":"12asoe",
    "jointInfoShow":"pigyms",
    "matterStatus":"46ay6p",
    "numberLimit":5020,
    "type":"8qjcu2",
    "baseCode":"tsf1yr",
    "implementCode":"lvovef",
    "implementBodyCode":"bkoy0s",
    "operateItemCode":"0sb48q",
    "townshipName":"uz2wyo",
    "townshipCode":"j130q7",
    "villageName":"goc778",
    "villageCode":"0i58kc",
    "operateTime":"yfaklr",
    "operateSite":"7fyl9r",
    "cousultingShow":"qldvhk",
    "cousultingTelephoneShow":"i59woq",
    "superviseShow":"gusljq",
    "sort":7296,
    "source":2283,
}

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|保存后主键id|-
&emsp;entity|object|保存更新实体|对象
&emsp;&emsp;id|Long|序号，主键，自增长|-
&emsp;&emsp;siteId|Long|站点ID|-
&emsp;&emsp;tid|String|从政务系统来的事项id|-
&emsp;&emsp;tcode|String|从政务系统来的事项code|-
&emsp;&emsp;tname|String|从政务系统来的事项name|-
&emsp;&emsp;matterName|String|事项名称|-
&emsp;&emsp;englishName|String|英语事项名|-
&emsp;&emsp;matterNo|String|事项编号|-
&emsp;&emsp;belongDept|String|所属部门|-
&emsp;&emsp;appoveObjectShow|String|服务对象 （事业法人.事业法人，社会组织法人.社会组织法人，非法人企业.非法人企业，企业法人.企业法人，自然人.自然人，其他组织.其他组织）|-
&emsp;&emsp;operatScopeShow|String|通办范围 （无.无，全国.全国，全市.全市，全县.全县，全镇[乡 街道].全镇[乡 街道]，跨村[社区].跨村[社区]）|-
&emsp;&emsp;appoveTimeLimitShow|String|办件类型（网络办件.网络办件，行政审批一般件.行政审批一般件，综合窗口件.综合窗口件）|-
&emsp;&emsp;handleType|String|办理形式（窗口办理.窗口办理，网上办理.网上办理）	|-
&emsp;&emsp;legalTimeLimitShow|String|法定办结时限|-
&emsp;&emsp;legalEndExplain|String|法定时限办结说明|-
&emsp;&emsp;promiseTimeLimitShow|String|承诺办结时限|-
&emsp;&emsp;promiseEndExplain|String|承诺时限办结说明|-
&emsp;&emsp;isChargesShow|String|是否收费（否.否，是.是）|-
&emsp;&emsp;certificationLevelsShow|String|认证等级需求（实名认证.实名认证，单次面签.单次面签，每次面签.每次面签）|-
&emsp;&emsp;planTakeTime|Date|计划生效日期|-
&emsp;&emsp;promiseTakeTime|Date|承诺生效日期|-
&emsp;&emsp;specialProcedure|String|特别程序|-
&emsp;&emsp;windowToTheSceneNum|Integer|窗口到现场次数|-
&emsp;&emsp;isOnlineSubscribeShow|String|是否网上预约,窗口办理选（否.否，是.是）|-
&emsp;&emsp;isExpressTakeShow|String|物流快递,窗口办理选（否.否，是.是）|-
&emsp;&emsp;isProvinceAcquisitionShow|String|是否支持全省范围就近取件（否.否，是.是）|-
&emsp;&emsp;isApplyProvinceShow|String|是否支持全省范围就近办理（否.否，是.是）|-
&emsp;&emsp;mustSceneExplain|String|必须到现场原因|-
&emsp;&emsp;onlineType|String|网办类型（原件预审.原件预审，原件核验.原件核验，全程网办.全程网办）|-
&emsp;&emsp;onlineToTheSceneNum|Integer|网办到现场次数|-
&emsp;&emsp;onlineOperatDeep|String|网络办理深度（互联网咨询.互联网咨询，互联网收件.互联网收件，互联网预审.互联网预审，互联网受理.互联网受理，互联网办理.互联网办理，互联网办理结果信息反馈.互联网办理结果信息反馈，其他.其他）|-
&emsp;&emsp;isExpressTakeOnlineShow|String|物流快递，网上办理选（否.否，是.是）|-
&emsp;&emsp;isDoorTakeShow|String|是否支持上门收取申请（否.否，是.是）|-
&emsp;&emsp;onlineMustSceneExplain|String|网上必须到现场原因|-
&emsp;&emsp;performDeptType|String|实施主体|-
&emsp;&emsp;matterEdition|String|事项版本|-
&emsp;&emsp;eventTypeShow|String|事项类型名称（行政许可.行政许可，行政处罚.行政处罚，行政强制.行政强制，行政征收.行政征收，行政给付.行政给付，行政检查.行政检查，行政确认.行政确认，行政奖励.行政奖励，行政裁决.行政裁决，其他行政权力.其他行政权力，主动服务.主动服务，依申请服务.依申请服务，咨询查询.咨询查询，未归类事项.未归类事项）|-
&emsp;&emsp;performHierarchyShow|String|行使层级名称（省级.省级，市级.市级，县级.县级，镇[乡 街道].镇[乡 街道]，村[社区]级.村[社区]级）|-
&emsp;&emsp;powerSourceShow|String|权力来源（法定本级行使.法定本级行使，上级下放.上级下放，上级授权.上级授权，同级授权.同级授权，上级委托.上级委托，同级委托.同级委托）|-
&emsp;&emsp;performDeptTypeShow|String|实施主体性质（法定机关.法定机关，授权组织.授权组织，受委托组织.受委托组织）|-
&emsp;&emsp;goveServiceCenterShow|String|是否进驻中心（否.否，是.是）|-
&emsp;&emsp;isConvenientCenterShow|String|是否纳入便民服务中心（否.否，是.是）|-
&emsp;&emsp;terminalHandle|String|自助终端办理 （否.否，是.是）|-
&emsp;&emsp;isOnline|String|是否网办 （否.否，是.是）|-
&emsp;&emsp;isOnlinePayShow|String|支持网上支付（否.否，是.是）|-
&emsp;&emsp;entrustmentDepartmen|String|委托部门（否.否，是.是）|-
&emsp;&emsp;jointInfoShow|String|联办机构|-
&emsp;&emsp;matterStatus|String|事项状态（停用.停用，在用.在用）|-
&emsp;&emsp;numberLimit|Long|数量限制|-
&emsp;&emsp;type|String|主题类型|-
&emsp;&emsp;baseCode|String|基本编码|-
&emsp;&emsp;implementCode|String|实施编码|-
&emsp;&emsp;implementBodyCode|String|实施主体编码|-
&emsp;&emsp;operateItemCode|String|办理项编码|-
&emsp;&emsp;townshipName|String|乡镇街道名称|-
&emsp;&emsp;townshipCode|String|乡镇街道代码|-
&emsp;&emsp;villageName|String|村居社区名称|-
&emsp;&emsp;villageCode|String|村居社区代码|-
&emsp;&emsp;operateTime|String|办理时间|-
&emsp;&emsp;operateSite|String|办理地点|-
&emsp;&emsp;cousultingShow|String|咨询方式|-
&emsp;&emsp;cousultingTelephoneShow|String|咨询电话|-
&emsp;&emsp;superviseShow|String|监督投诉方式|-
&emsp;&emsp;sort|Integer|排序|-
&emsp;&emsp;source|Integer|事项来源(0.政务网，1.自定义)|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-

**响应消息样例:**
```

{
    "msg":"新增模块成功",
    "code":1,
    "data":{
            "__mortals_form_state__":"ADD",
            "id":4,
            "entity":{
                "createTime":1642486776780,
                "id":4,
                "modelCode":"phxt1",
                "modelName":"排号系统4",
                "updateTime":1642486776780
            }
    }
}

```


### 删除基础事项

**请求URL:** matter/delete

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除基础事项

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|String|字符串，多个逗号分隔|是|-

**请求样例:**
```

    http://localhost:8080/matter/delete?id=1'

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-


**响应消息样例:**
```

{
    "code":1,
	"msg":"成功"

}

```

### 导出基础事项

**请求URL:** matter/exportExcel

**请求方式:** POST


**内容类型:** application/json;charset=utf-8

**简要描述:** 导出基础事项

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
idList|Arrays|id数组|否|需要导出的多项
        matterName|String|事项名称|否|参数查询条件
        matterNo|String|事项编号|否|参数查询条件
        belongDept|String|所属部门|否|参数查询条件

**请求样例:**
```
{
    idList:[1,2],
        "matterName":"vlpkb2",
        "matterNo":"1oqkpu",
        "belongDept":"yybosj",

}


```

**Response-example:**
```
...

```



## 事项申请材料

### 查询事项申请材料列表

**请求URL:** matter/datum/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询事项申请材料

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
page|Integer|当前页|否|-
size|Integer|每页条数|否|-
matterId|Long|事项id|否|-
matterName|String|事项名称|否|-
materialName|String|材料名|否|-

**请求样例:**
```

  {
        "matterId":6998,
        "matterName":"w9aqxs",
        "materialName":"ga7uwz",
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;per_page|Integer|每页条数|-
&emsp;total|Integer|总条数|-
&emsp;last_page|Integer|总页数|-
&emsp;current_page|Integer|当前页|-
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|主键，自增长|-
&emsp;&emsp;matterId|Long|事项id|-
&emsp;&emsp;matterName|String|事项名称|-
&emsp;&emsp;materialName|String|材料名|-
&emsp;&emsp;isMust|String|必交性（非必要.非必要，必要.必要，必要|容缺后补.必要|容缺后补，非必要|容缺后补.非必要|容缺后补）|-
&emsp;&emsp;materialType|String|材料类型（无.无，原件.原件，复印件.复印件，原件和复印件.原件和复印件)|-
&emsp;&emsp;materialProperty|String|材料形式（纸质.纸质，电子.电子，纸质|电子.纸质|电子）|-
&emsp;&emsp;electronicgs|String|电子材料格式（无.无，不限.不限，jpg.jpg，jpeg.jpeg，pdf.pdf，word.word，pdf|jpg|jpeg.pdf|jpg|jpeg，pdf|jpg.pdf|jpg）|-
&emsp;&emsp;materialSource|String|材料来源渠道（无.无，申请人自备.申请人自备，政府部门核发.政府部门核发，其他.其他）|-
&emsp;&emsp;paperNum|Integer|纸质材料份数|-
&emsp;&emsp;paperGg|String|纸质材料规格|-
&emsp;&emsp;jianmMs|String|减免模式（无.无，减.减，免.免）|-
&emsp;&emsp;sealWay|String|盖章方式|-
&emsp;&emsp;isjianm|String|是否减免（否.否，是.是）|-
&emsp;&emsp;isLack|String|材料是否容缺（必要.必要，非必要.非必要）|-
&emsp;&emsp;ybUrl|String|材料地址|-
&emsp;&emsp;materialSourceSm|String|来源渠道说明|-
&emsp;&emsp;remarkSub|String|填报须知|-
&emsp;&emsp;clauseContent|String|要求提供材料的依据|-
&emsp;&emsp;summary|String|受理标准|-
&emsp;&emsp;remark|String|备注|-
&emsp;&emsp;source|Integer|事项来源(0.政务网，1.自定义)|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-
dict|object|字典对象|-
&emsp;isMust|object|字典属性对象，详见附录|-
&emsp;materialProperty|object|字典属性对象，详见附录|-
&emsp;electronicgs|object|字典属性对象，详见附录|-
&emsp;materialSource|object|字典属性对象，详见附录|-
&emsp;jianmMs|object|字典属性对象，详见附录|-
&emsp;isjianm|object|字典属性对象，详见附录|-
&emsp;isLack|object|字典属性对象，详见附录|-
&emsp;source|object|字典属性对象，详见附录|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "per_page":10,
        "total":0,
        "data":[],
        "last_page":0,
        "current_page":1
    },
    "query":{
        "modelCode":"phxt1",
        "modelName":"排号系统"
    }
}
```

### 编辑事项申请材料

**请求URL:** matter/datum/edit

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 编辑事项申请材料，返回实例详细信息

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|Long|主键,唯一|是|-

**请求样例:**
```

    http://localhost/matter/datum/edit?id=549

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|主键，自增长|-
&emsp;matterId|Long|事项id|-
&emsp;matterName|String|事项名称|-
&emsp;materialName|String|材料名|-
&emsp;isMust|String|必交性（非必要.非必要，必要.必要，必要|容缺后补.必要|容缺后补，非必要|容缺后补.非必要|容缺后补）|-
&emsp;materialType|String|材料类型（无.无，原件.原件，复印件.复印件，原件和复印件.原件和复印件)|-
&emsp;materialProperty|String|材料形式（纸质.纸质，电子.电子，纸质|电子.纸质|电子）|-
&emsp;electronicgs|String|电子材料格式（无.无，不限.不限，jpg.jpg，jpeg.jpeg，pdf.pdf，word.word，pdf|jpg|jpeg.pdf|jpg|jpeg，pdf|jpg.pdf|jpg）|-
&emsp;materialSource|String|材料来源渠道（无.无，申请人自备.申请人自备，政府部门核发.政府部门核发，其他.其他）|-
&emsp;paperNum|Integer|纸质材料份数|-
&emsp;paperGg|String|纸质材料规格|-
&emsp;jianmMs|String|减免模式（无.无，减.减，免.免）|-
&emsp;sealWay|String|盖章方式|-
&emsp;isjianm|String|是否减免（否.否，是.是）|-
&emsp;isLack|String|材料是否容缺（必要.必要，非必要.非必要）|-
&emsp;ybUrl|String|材料地址|-
&emsp;materialSourceSm|String|来源渠道说明|-
&emsp;remarkSub|String|填报须知|-
&emsp;clauseContent|String|要求提供材料的依据|-
&emsp;summary|String|受理标准|-
&emsp;remark|String|备注|-
&emsp;source|Integer|事项来源(0.政务网，1.自定义)|-
&emsp;createTime|Date|创建时间|-
&emsp;createUserId|Long|创建用户|-
&emsp;updateTime|Date|修改时间|-
dict|object|字典对象|-
&emsp;isMust|object|字典属性对象，详见附录|-
&emsp;materialProperty|object|字典属性对象，详见附录|-
&emsp;electronicgs|object|字典属性对象，详见附录|-
&emsp;materialSource|object|字典属性对象，详见附录|-
&emsp;jianmMs|object|字典属性对象，详见附录|-
&emsp;isjianm|object|字典属性对象，详见附录|-
&emsp;isLack|object|字典属性对象，详见附录|-
&emsp;source|object|字典属性对象，详见附录|-


**响应消息样例:**
```

{
    "code": 1,
    "data": {
        "id":670,
        "matterId":6276,
        "matterName":"z7tdo4",
        "materialName":"wn8wpn",
        "isMust":"4kcnpb",
        "materialType":"jjpxmd",
        "materialProperty":"6597q2",
        "electronicgs":"twnulm",
        "materialSource":"tbg5wx",
        "paperNum":7902,
        "paperGg":"3js3bk",
        "jianmMs":"znkya7",
        "sealWay":"psc6z7",
        "isjianm":"hskl90",
        "isLack":"2urz4c",
        "ybUrl":"p37ya7",
        "materialSourceSm":"o7hlpt",
        "remarkSub":"ylkmkh",
        "clauseContent":"6pee5m",
        "summary":"6hu4m2",
        "remark":"e5dzib",
        "source":4058,
        "createTime":"2022-01-20",
        "createUserId":4086,
        "updateTime":"2022-01-20"
        }
}

```

### 查看事项申请材料

**请求URL:** matter/datum/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看事项申请材料，返回实例详细信息

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|Long|主键,唯一|是|-

**请求样例:**
```

    http://localhost/matter/datum/info?id=549

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|主键，自增长|-
&emsp;matterId|Long|事项id|-
&emsp;matterName|String|事项名称|-
&emsp;materialName|String|材料名|-
&emsp;isMust|String|必交性（非必要.非必要，必要.必要，必要|容缺后补.必要|容缺后补，非必要|容缺后补.非必要|容缺后补）|-
&emsp;materialType|String|材料类型（无.无，原件.原件，复印件.复印件，原件和复印件.原件和复印件)|-
&emsp;materialProperty|String|材料形式（纸质.纸质，电子.电子，纸质|电子.纸质|电子）|-
&emsp;electronicgs|String|电子材料格式（无.无，不限.不限，jpg.jpg，jpeg.jpeg，pdf.pdf，word.word，pdf|jpg|jpeg.pdf|jpg|jpeg，pdf|jpg.pdf|jpg）|-
&emsp;materialSource|String|材料来源渠道（无.无，申请人自备.申请人自备，政府部门核发.政府部门核发，其他.其他）|-
&emsp;paperNum|Integer|纸质材料份数|-
&emsp;paperGg|String|纸质材料规格|-
&emsp;jianmMs|String|减免模式（无.无，减.减，免.免）|-
&emsp;sealWay|String|盖章方式|-
&emsp;isjianm|String|是否减免（否.否，是.是）|-
&emsp;isLack|String|材料是否容缺（必要.必要，非必要.非必要）|-
&emsp;ybUrl|String|材料地址|-
&emsp;materialSourceSm|String|来源渠道说明|-
&emsp;remarkSub|String|填报须知|-
&emsp;clauseContent|String|要求提供材料的依据|-
&emsp;summary|String|受理标准|-
&emsp;remark|String|备注|-
&emsp;source|Integer|事项来源(0.政务网，1.自定义)|-
&emsp;createTime|Date|创建时间|-
&emsp;createUserId|Long|创建用户|-
&emsp;updateTime|Date|修改时间|-
dict|object|字典对象|-
&emsp;isMust|object|字典属性对象，详见附录|-
&emsp;materialProperty|object|字典属性对象，详见附录|-
&emsp;electronicgs|object|字典属性对象，详见附录|-
&emsp;materialSource|object|字典属性对象，详见附录|-
&emsp;jianmMs|object|字典属性对象，详见附录|-
&emsp;isjianm|object|字典属性对象，详见附录|-
&emsp;isLack|object|字典属性对象，详见附录|-
&emsp;source|object|字典属性对象，详见附录|-


**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":6667,
            "matterId":2264,
            "matterName":"jng4l0",
            "materialName":"z8sbp5",
            "isMust":"0hxxob",
            "materialType":"w1yygh",
            "materialProperty":"0yug39",
            "electronicgs":"j80y60",
            "materialSource":"cu9kw0",
            "paperNum":1296,
            "paperGg":"wlfcmr",
            "jianmMs":"gvfg9j",
            "sealWay":"ttxnju",
            "isjianm":"j2i6tm",
            "isLack":"jrt0gg",
            "ybUrl":"kh58p3",
            "materialSourceSm":"yelwmv",
            "remarkSub":"e0efbu",
            "clauseContent":"eytgh0",
            "summary":"gatoti",
            "remark":"blro75",
            "source":5220,
            "createTime":"2022-01-20",
            "createUserId":6949,
            "updateTime":"2022-01-20"
        }
}
```

### 保存更新事项申请材料

**请求URL:** matter/datum/save

**请求方式:** POST


**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新事项申请材料：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
matterId|Long|事项id|是|-
matterName|String|事项名称|是|-
materialName|String|材料名|是|-
isMust|String|必交性（非必要.非必要，必要.必要，必要|容缺后补.必要|容缺后补，非必要|容缺后补.非必要|容缺后补）|是|-
materialType|String|材料类型（无.无，原件.原件，复印件.复印件，原件和复印件.原件和复印件)|是|-
materialProperty|String|材料形式（纸质.纸质，电子.电子，纸质|电子.纸质|电子）|是|-
electronicgs|String|电子材料格式（无.无，不限.不限，jpg.jpg，jpeg.jpeg，pdf.pdf，word.word，pdf|jpg|jpeg.pdf|jpg|jpeg，pdf|jpg.pdf|jpg）|是|-
materialSource|String|材料来源渠道（无.无，申请人自备.申请人自备，政府部门核发.政府部门核发，其他.其他）|是|-
paperNum|Integer|纸质材料份数|是|-
paperGg|String|纸质材料规格|是|-
jianmMs|String|减免模式（无.无，减.减，免.免）|是|-
sealWay|String|盖章方式|是|-
isjianm|String|是否减免（否.否，是.是）|是|-
isLack|String|材料是否容缺（必要.必要，非必要.非必要）|是|-
ybUrl|String|材料地址|是|-
materialSourceSm|String|来源渠道说明|是|-
remarkSub|String|填报须知|是|-
clauseContent|String|要求提供材料的依据|是|-
summary|String|受理标准|是|-
remark|String|备注|是|-
source|Integer|事项来源(0.政务网，1.自定义)|是|-

**请求样例:**
```

{
    "matterId":7609,
    "matterName":"0i0f7m",
    "materialName":"38wo9f",
    "isMust":"bzcjjz",
    "materialType":"mofras",
    "materialProperty":"ptstna",
    "electronicgs":"qz2si5",
    "materialSource":"24ymqm",
    "paperNum":3994,
    "paperGg":"8zeplw",
    "jianmMs":"t11uzz",
    "sealWay":"fhbkrb",
    "isjianm":"1ok97h",
    "isLack":"svnfb3",
    "ybUrl":"sdq3he",
    "materialSourceSm":"i9x14u",
    "remarkSub":"ppmp5k",
    "clauseContent":"tfwm2f",
    "summary":"8mq799",
    "remark":"2ldpi1",
    "source":6614,
}

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|保存后主键id|-
&emsp;entity|object|保存更新实体|对象
&emsp;&emsp;id|Long|主键，自增长|-
&emsp;&emsp;matterId|Long|事项id|-
&emsp;&emsp;matterName|String|事项名称|-
&emsp;&emsp;materialName|String|材料名|-
&emsp;&emsp;isMust|String|必交性（非必要.非必要，必要.必要，必要|容缺后补.必要|容缺后补，非必要|容缺后补.非必要|容缺后补）|-
&emsp;&emsp;materialType|String|材料类型（无.无，原件.原件，复印件.复印件，原件和复印件.原件和复印件)|-
&emsp;&emsp;materialProperty|String|材料形式（纸质.纸质，电子.电子，纸质|电子.纸质|电子）|-
&emsp;&emsp;electronicgs|String|电子材料格式（无.无，不限.不限，jpg.jpg，jpeg.jpeg，pdf.pdf，word.word，pdf|jpg|jpeg.pdf|jpg|jpeg，pdf|jpg.pdf|jpg）|-
&emsp;&emsp;materialSource|String|材料来源渠道（无.无，申请人自备.申请人自备，政府部门核发.政府部门核发，其他.其他）|-
&emsp;&emsp;paperNum|Integer|纸质材料份数|-
&emsp;&emsp;paperGg|String|纸质材料规格|-
&emsp;&emsp;jianmMs|String|减免模式（无.无，减.减，免.免）|-
&emsp;&emsp;sealWay|String|盖章方式|-
&emsp;&emsp;isjianm|String|是否减免（否.否，是.是）|-
&emsp;&emsp;isLack|String|材料是否容缺（必要.必要，非必要.非必要）|-
&emsp;&emsp;ybUrl|String|材料地址|-
&emsp;&emsp;materialSourceSm|String|来源渠道说明|-
&emsp;&emsp;remarkSub|String|填报须知|-
&emsp;&emsp;clauseContent|String|要求提供材料的依据|-
&emsp;&emsp;summary|String|受理标准|-
&emsp;&emsp;remark|String|备注|-
&emsp;&emsp;source|Integer|事项来源(0.政务网，1.自定义)|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-

**响应消息样例:**
```

{
    "msg":"新增模块成功",
    "code":1,
    "data":{
            "__mortals_form_state__":"ADD",
            "id":4,
            "entity":{
                "createTime":1642486776780,
                "id":4,
                "modelCode":"phxt1",
                "modelName":"排号系统4",
                "updateTime":1642486776780
            }
    }
}

```


### 删除事项申请材料

**请求URL:** matter/datum/delete

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除事项申请材料

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|String|字符串，多个逗号分隔|是|-

**请求样例:**
```

    http://localhost:8080/matter/datum/delete?id=1'

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-


**响应消息样例:**
```

{
    "code":1,
	"msg":"成功"

}

```

### 导出事项申请材料

**请求URL:** matter/datum/exportExcel

**请求方式:** POST


**内容类型:** application/json;charset=utf-8

**简要描述:** 导出事项申请材料

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
idList|Arrays|id数组|否|需要导出的多项
        matterId|Long|事项id|否|参数查询条件
        matterName|String|事项名称|否|参数查询条件
        materialName|String|材料名|否|参数查询条件

**请求样例:**
```
{
    idList:[1,2],
        "matterId":5235,
        "matterName":"6k6le3",
        "materialName":"rbaz4e",

}


```

**Response-example:**
```
...

```

 


## 事项受理条件

### 查询事项受理条件列表

**请求URL:** matter/accept/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询事项受理条件

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
page|Integer|当前页|否|-
size|Integer|每页条数|否|-
matterId|Long|基础事项表id|否|-
matterName|String|事项名称|否|-

**请求样例:**
```

  {
        "matterId":3134,
        "matterName":"hzziqb",
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;per_page|Integer|每页条数|-
&emsp;total|Integer|总条数|-
&emsp;last_page|Integer|总页数|-
&emsp;current_page|Integer|当前页|-
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|主键，自增长|-
&emsp;&emsp;matterId|Long|基础事项表id|-
&emsp;&emsp;matterName|String|事项名称|-
&emsp;&emsp;content|String|受理条件|-
&emsp;&emsp;source|Integer|事项来源 (0.政务网，1.自定义)|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-
dict|object|字典对象|-
&emsp;source|object|字典属性对象，详见附录|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "per_page":10,
        "total":0,
        "data":[],
        "last_page":0,
        "current_page":1
    },
    "query":{
        "modelCode":"phxt1",
        "modelName":"排号系统"
    }
}
```

### 编辑事项受理条件

**请求URL:** matter/accept/edit

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 编辑事项受理条件，返回实例详细信息

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|Long|主键,唯一|是|-

**请求样例:**
```

    http://localhost/matter/accept/edit?id=549

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|主键，自增长|-
&emsp;matterId|Long|基础事项表id|-
&emsp;matterName|String|事项名称|-
&emsp;content|String|受理条件|-
&emsp;source|Integer|事项来源 (0.政务网，1.自定义)|-
&emsp;createTime|Date|创建时间|-
&emsp;createUserId|Long|创建用户|-
&emsp;updateTime|Date|修改时间|-
dict|object|字典对象|-
&emsp;source|object|字典属性对象，详见附录|-


**响应消息样例:**
```

{
    "code": 1,
    "data": {
        "id":8955,
        "matterId":7532,
        "matterName":"bh6wti",
        "content":"nuxr5y",
        "source":3626,
        "createTime":"2022-01-20",
        "createUserId":396,
        "updateTime":"2022-01-20"
        }
}

```

### 查看事项受理条件

**请求URL:** matter/accept/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看事项受理条件，返回实例详细信息

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|Long|主键,唯一|是|-

**请求样例:**
```

    http://localhost/matter/accept/info?id=549

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|主键，自增长|-
&emsp;matterId|Long|基础事项表id|-
&emsp;matterName|String|事项名称|-
&emsp;content|String|受理条件|-
&emsp;source|Integer|事项来源 (0.政务网，1.自定义)|-
&emsp;createTime|Date|创建时间|-
&emsp;createUserId|Long|创建用户|-
&emsp;updateTime|Date|修改时间|-
dict|object|字典对象|-
&emsp;source|object|字典属性对象，详见附录|-


**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":6306,
            "matterId":7846,
            "matterName":"ixu1jj",
            "content":"ngsx83",
            "source":1663,
            "createTime":"2022-01-20",
            "createUserId":2733,
            "updateTime":"2022-01-20"
        }
}
```

### 保存更新事项受理条件

**请求URL:** matter/accept/save

**请求方式:** POST


**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新事项受理条件：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
matterId|Long|基础事项表id|是|-
matterName|String|事项名称|是|-
content|String|受理条件|是|-
source|Integer|事项来源 (0.政务网，1.自定义)|是|-

**请求样例:**
```

{
    "matterId":4751,
    "matterName":"ck29y9",
    "content":"mpvy7g",
    "source":4828,
}

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|保存后主键id|-
&emsp;entity|object|保存更新实体|对象
&emsp;&emsp;id|Long|主键，自增长|-
&emsp;&emsp;matterId|Long|基础事项表id|-
&emsp;&emsp;matterName|String|事项名称|-
&emsp;&emsp;content|String|受理条件|-
&emsp;&emsp;source|Integer|事项来源 (0.政务网，1.自定义)|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-

**响应消息样例:**
```

{
    "msg":"新增模块成功",
    "code":1,
    "data":{
            "__mortals_form_state__":"ADD",
            "id":4,
            "entity":{
                "createTime":1642486776780,
                "id":4,
                "modelCode":"phxt1",
                "modelName":"排号系统4",
                "updateTime":1642486776780
            }
    }
}

```


### 删除事项受理条件

**请求URL:** matter/accept/delete

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除事项受理条件

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|String|字符串，多个逗号分隔|是|-

**请求样例:**
```

    http://localhost:8080/matter/accept/delete?id=1'

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-


**响应消息样例:**
```

{
    "code":1,
	"msg":"成功"

}

```

### 导出事项受理条件

**请求URL:** matter/accept/exportExcel

**请求方式:** POST


**内容类型:** application/json;charset=utf-8

**简要描述:** 导出事项受理条件

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
idList|Arrays|id数组|否|需要导出的多项
        matterId|Long|基础事项表id|否|参数查询条件
        matterName|String|事项名称|否|参数查询条件

**请求样例:**
```
{
    idList:[1,2],
        "matterId":6667,
        "matterName":"wa8mkv",

}


```

**Response-example:**
```
...

```


## 事项收费标准

### 查询事项收费标准列表

**请求URL:** matter/charges/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询事项收费标准

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
page|Integer|当前页|否|-
size|Integer|每页条数|否|-
matterId|Long|事项基础表matter id|否|-
matterName|String|事项名称|否|-

**请求样例:**
```

  {
        "matterId":8677,
        "matterName":"un0w0b",
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;per_page|Integer|每页条数|-
&emsp;total|Integer|总条数|-
&emsp;last_page|Integer|总页数|-
&emsp;current_page|Integer|当前页|-
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|主键，自增长|-
&emsp;&emsp;matterId|Long|事项基础表matter id|-
&emsp;&emsp;matterName|String|事项名称|-
&emsp;&emsp;content|String|收费标准|-
&emsp;&emsp;source|Integer|事项来源，(0.政务网，1.自定义)|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-
dict|object|字典对象|-
&emsp;source|object|字典属性对象，详见附录|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "per_page":10,
        "total":0,
        "data":[],
        "last_page":0,
        "current_page":1
    },
    "query":{
        "modelCode":"phxt1",
        "modelName":"排号系统"
    }
}
```

### 编辑事项收费标准

**请求URL:** matter/charges/edit

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 编辑事项收费标准，返回实例详细信息

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|Long|主键,唯一|是|-

**请求样例:**
```

    http://localhost/matter/charges/edit?id=549

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|主键，自增长|-
&emsp;matterId|Long|事项基础表matter id|-
&emsp;matterName|String|事项名称|-
&emsp;content|String|收费标准|-
&emsp;source|Integer|事项来源，(0.政务网，1.自定义)|-
&emsp;createTime|Date|创建时间|-
&emsp;createUserId|Long|创建用户|-
&emsp;updateTime|Date|修改时间|-
dict|object|字典对象|-
&emsp;source|object|字典属性对象，详见附录|-


**响应消息样例:**
```

{
    "code": 1,
    "data": {
        "id":2899,
        "matterId":5573,
        "matterName":"0as36q",
        "content":"degcx1",
        "source":2320,
        "createTime":"2022-01-20",
        "createUserId":9638,
        "updateTime":"2022-01-20"
        }
}

```

### 查看事项收费标准

**请求URL:** matter/charges/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看事项收费标准，返回实例详细信息

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|Long|主键,唯一|是|-

**请求样例:**
```

    http://localhost/matter/charges/info?id=549

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|主键，自增长|-
&emsp;matterId|Long|事项基础表matter id|-
&emsp;matterName|String|事项名称|-
&emsp;content|String|收费标准|-
&emsp;source|Integer|事项来源，(0.政务网，1.自定义)|-
&emsp;createTime|Date|创建时间|-
&emsp;createUserId|Long|创建用户|-
&emsp;updateTime|Date|修改时间|-
dict|object|字典对象|-
&emsp;source|object|字典属性对象，详见附录|-


**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":2450,
            "matterId":7827,
            "matterName":"h01l8w",
            "content":"2dhalp",
            "source":52,
            "createTime":"2022-01-20",
            "createUserId":1089,
            "updateTime":"2022-01-20"
        }
}
```

### 保存更新事项收费标准

**请求URL:** matter/charges/save

**请求方式:** POST


**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新事项收费标准：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
matterId|Long|事项基础表matter id|是|-
matterName|String|事项名称|是|-
content|String|收费标准|是|-
source|Integer|事项来源，(0.政务网，1.自定义)|是|-

**请求样例:**
```

{
    "matterId":7458,
    "matterName":"o7rf01",
    "content":"dn7ppd",
    "source":4400,
}

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|保存后主键id|-
&emsp;entity|object|保存更新实体|对象
&emsp;&emsp;id|Long|主键，自增长|-
&emsp;&emsp;matterId|Long|事项基础表matter id|-
&emsp;&emsp;matterName|String|事项名称|-
&emsp;&emsp;content|String|收费标准|-
&emsp;&emsp;source|Integer|事项来源，(0.政务网，1.自定义)|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-

**响应消息样例:**
```

{
    "msg":"新增模块成功",
    "code":1,
    "data":{
            "__mortals_form_state__":"ADD",
            "id":4,
            "entity":{
                "createTime":1642486776780,
                "id":4,
                "modelCode":"phxt1",
                "modelName":"排号系统4",
                "updateTime":1642486776780
            }
    }
}

```


### 删除事项收费标准

**请求URL:** matter/charges/delete

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除事项收费标准

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|String|字符串，多个逗号分隔|是|-

**请求样例:**
```

    http://localhost:8080/matter/charges/delete?id=1'

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-


**响应消息样例:**
```

{
    "code":1,
	"msg":"成功"

}

```

### 导出事项收费标准

**请求URL:** matter/charges/exportExcel

**请求方式:** POST


**内容类型:** application/json;charset=utf-8

**简要描述:** 导出事项收费标准

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
idList|Arrays|id数组|否|需要导出的多项
        matterId|Long|事项基础表matter id|否|参数查询条件
        matterName|String|事项名称|否|参数查询条件

**请求样例:**
```
{
    idList:[1,2],
        "matterId":4015,
        "matterName":"f99ohh",

}


```

**Response-example:**
```
...

```


## 材料附件

### 查询材料附件列表

**请求URL:** matter/datum/file/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询材料附件

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
page|Integer|当前页|否|-
size|Integer|每页条数|否|-
datumId|Long|材料id|否|-
fileName|String|附件名称|否|-

**请求样例:**
```

  {
        "datumId":6854,
        "fileName":"cmvaf0",
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;per_page|Integer|每页条数|-
&emsp;total|Integer|总条数|-
&emsp;last_page|Integer|总页数|-
&emsp;current_page|Integer|当前页|-
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|主键，自增长|-
&emsp;&emsp;datumId|Long|材料id|-
&emsp;&emsp;fileName|String|附件名称|-
&emsp;&emsp;fileUrl|String|附件下载地址|-
&emsp;&emsp;filetype|Integer|附件类型 (1.示例样表，2.空白表格)|-
&emsp;&emsp;source|Integer|附件来源 (0.政务网，1.自定义)|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-
&emsp;&emsp;materialName|String|材料名|-
dict|object|字典对象|-
&emsp;filetype|object|字典属性对象，详见附录|-
&emsp;source|object|字典属性对象，详见附录|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "per_page":10,
        "total":0,
        "data":[],
        "last_page":0,
        "current_page":1
    },
    "query":{
        "modelCode":"phxt1",
        "modelName":"排号系统"
    }
}
```

### 编辑材料附件

**请求URL:** matter/datum/file/edit

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 编辑材料附件，返回实例详细信息

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|Long|主键,唯一|是|-

**请求样例:**
```

    http://localhost/matter/datum/file/edit?id=549

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|主键，自增长|-
&emsp;datumId|Long|材料id|-
&emsp;fileName|String|附件名称|-
&emsp;fileUrl|String|附件下载地址|-
&emsp;filetype|Integer|附件类型 (1.示例样表，2.空白表格)|-
&emsp;source|Integer|附件来源 (0.政务网，1.自定义)|-
&emsp;createTime|Date|创建时间|-
&emsp;createUserId|Long|创建用户|-
&emsp;updateTime|Date|修改时间|-
&emsp;materialName|String|材料名|-
dict|object|字典对象|-
&emsp;filetype|object|字典属性对象，详见附录|-
&emsp;source|object|字典属性对象，详见附录|-


**响应消息样例:**
```

{
    "code": 1,
    "data": {
        "id":6775,
        "datumId":9124,
        "fileName":"rgzjjs",
        "fileUrl":"5qenio",
        "filetype":7576,
        "source":9021,
        "createTime":"2022-01-20",
        "createUserId":4466,
        "updateTime":"2022-01-20",
        "materialName":"xbrok4"
        }
}

```

### 查看材料附件

**请求URL:** matter/datum/file/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看材料附件，返回实例详细信息

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|Long|主键,唯一|是|-

**请求样例:**
```

    http://localhost/matter/datum/file/info?id=549

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|主键，自增长|-
&emsp;datumId|Long|材料id|-
&emsp;fileName|String|附件名称|-
&emsp;fileUrl|String|附件下载地址|-
&emsp;filetype|Integer|附件类型 (1.示例样表，2.空白表格)|-
&emsp;source|Integer|附件来源 (0.政务网，1.自定义)|-
&emsp;createTime|Date|创建时间|-
&emsp;createUserId|Long|创建用户|-
&emsp;updateTime|Date|修改时间|-
&emsp;materialName|String|材料名|-
dict|object|字典对象|-
&emsp;filetype|object|字典属性对象，详见附录|-
&emsp;source|object|字典属性对象，详见附录|-


**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":6421,
            "datumId":8129,
            "fileName":"323vu4",
            "fileUrl":"r2k16i",
            "filetype":1122,
            "source":7522,
            "createTime":"2022-01-20",
            "createUserId":6432,
            "updateTime":"2022-01-20",
            "materialName":"lyfq8o"
        }
}
```

### 保存更新材料附件

**请求URL:** matter/datum/file/save

**请求方式:** POST


**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新材料附件：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
datumId|Long|材料id|是|-
fileName|String|附件名称|是|-
fileUrl|String|附件下载地址|是|-
filetype|Integer|附件类型 (1.示例样表，2.空白表格)|是|-
source|Integer|附件来源 (0.政务网，1.自定义)|是|-
materialName|String|材料名|是|-

**请求样例:**
```

{
    "datumId":3896,
    "fileName":"ekgiva",
    "fileUrl":"rzkwum",
    "filetype":3934,
    "source":2574,
    "materialName":"ifpw37"
}

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|保存后主键id|-
&emsp;entity|object|保存更新实体|对象
&emsp;&emsp;id|Long|主键，自增长|-
&emsp;&emsp;datumId|Long|材料id|-
&emsp;&emsp;fileName|String|附件名称|-
&emsp;&emsp;fileUrl|String|附件下载地址|-
&emsp;&emsp;filetype|Integer|附件类型 (1.示例样表，2.空白表格)|-
&emsp;&emsp;source|Integer|附件来源 (0.政务网，1.自定义)|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-
&emsp;&emsp;materialName|String|材料名|-

**响应消息样例:**
```

{
    "msg":"新增模块成功",
    "code":1,
    "data":{
            "__mortals_form_state__":"ADD",
            "id":4,
            "entity":{
                "createTime":1642486776780,
                "id":4,
                "modelCode":"phxt1",
                "modelName":"排号系统4",
                "updateTime":1642486776780
            }
    }
}

```


### 删除材料附件

**请求URL:** matter/datum/file/delete

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除材料附件

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|String|字符串，多个逗号分隔|是|-

**请求样例:**
```

    http://localhost:8080/matter/datum/file/delete?id=1'

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-


**响应消息样例:**
```

{
    "code":1,
	"msg":"成功"

}

```

### 导出材料附件

**请求URL:** matter/datum/file/exportExcel

**请求方式:** POST


**内容类型:** application/json;charset=utf-8

**简要描述:** 导出材料附件

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
idList|Arrays|id数组|否|需要导出的多项
        datumId|Long|材料id|否|参数查询条件
        fileName|String|附件名称|否|参数查询条件

**请求样例:**
```
{
    idList:[1,2],
        "datumId":7231,
        "fileName":"z17rsx",

}


```

**Response-example:**
```
...

```


## 事项办理流程

### 查询事项办理流程列表

**请求URL:** matter/flowlimit/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询事项办理流程

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
page|Integer|当前页|否|-
size|Integer|每页条数|否|-
matterId|Long|事项基础表id|否|-
matterName|String|事项名称|否|-

**请求样例:**
```

  {
        "matterId":2173,
        "matterName":"cqy04f",
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;per_page|Integer|每页条数|-
&emsp;total|Integer|总条数|-
&emsp;last_page|Integer|总页数|-
&emsp;current_page|Integer|当前页|-
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|主键，自增长|-
&emsp;&emsp;matterId|Long|事项基础表id|-
&emsp;&emsp;matterName|String|事项名称|-
&emsp;&emsp;flowName|String|办理流程|-
&emsp;&emsp;flowTime|String|办理时长|-
&emsp;&emsp;flowLimit|String|转外时限|-
&emsp;&emsp;flowDesc|String|办理流程说明|-
&emsp;&emsp;source|Integer|事项来源(0.政务网，1.自定义)|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-
dict|object|字典对象|-
&emsp;source|object|字典属性对象，详见附录|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "per_page":10,
        "total":0,
        "data":[],
        "last_page":0,
        "current_page":1
    },
    "query":{
        "modelCode":"phxt1",
        "modelName":"排号系统"
    }
}
```

### 编辑事项办理流程

**请求URL:** matter/flowlimit/edit

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 编辑事项办理流程，返回实例详细信息

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|Long|主键,唯一|是|-

**请求样例:**
```

    http://localhost/matter/flowlimit/edit?id=549

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|主键，自增长|-
&emsp;matterId|Long|事项基础表id|-
&emsp;matterName|String|事项名称|-
&emsp;flowName|String|办理流程|-
&emsp;flowTime|String|办理时长|-
&emsp;flowLimit|String|转外时限|-
&emsp;flowDesc|String|办理流程说明|-
&emsp;source|Integer|事项来源(0.政务网，1.自定义)|-
&emsp;createTime|Date|创建时间|-
&emsp;createUserId|Long|创建用户|-
&emsp;updateTime|Date|修改时间|-
dict|object|字典对象|-
&emsp;source|object|字典属性对象，详见附录|-


**响应消息样例:**
```

{
    "code": 1,
    "data": {
        "id":7326,
        "matterId":3725,
        "matterName":"fdrjms",
        "flowName":"fh0erz",
        "flowTime":"fs1m9y",
        "flowLimit":"ia56aa",
        "flowDesc":"4k4dcc",
        "source":9435,
        "createTime":"2022-01-20",
        "createUserId":34,
        "updateTime":"2022-01-20"
        }
}

```

### 查看事项办理流程

**请求URL:** matter/flowlimit/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看事项办理流程，返回实例详细信息

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|Long|主键,唯一|是|-

**请求样例:**
```

    http://localhost/matter/flowlimit/info?id=549

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|主键，自增长|-
&emsp;matterId|Long|事项基础表id|-
&emsp;matterName|String|事项名称|-
&emsp;flowName|String|办理流程|-
&emsp;flowTime|String|办理时长|-
&emsp;flowLimit|String|转外时限|-
&emsp;flowDesc|String|办理流程说明|-
&emsp;source|Integer|事项来源(0.政务网，1.自定义)|-
&emsp;createTime|Date|创建时间|-
&emsp;createUserId|Long|创建用户|-
&emsp;updateTime|Date|修改时间|-
dict|object|字典对象|-
&emsp;source|object|字典属性对象，详见附录|-


**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":3909,
            "matterId":3205,
            "matterName":"h6i683",
            "flowName":"yb5ugg",
            "flowTime":"ev49kh",
            "flowLimit":"a4saqm",
            "flowDesc":"svo4o3",
            "source":5527,
            "createTime":"2022-01-20",
            "createUserId":88,
            "updateTime":"2022-01-20"
        }
}
```

### 保存更新事项办理流程

**请求URL:** matter/flowlimit/save

**请求方式:** POST


**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新事项办理流程：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
matterId|Long|事项基础表id|是|-
matterName|String|事项名称|是|-
flowName|String|办理流程|是|-
flowTime|String|办理时长|是|-
flowLimit|String|转外时限|是|-
flowDesc|String|办理流程说明|是|-
source|Integer|事项来源(0.政务网，1.自定义)|是|-

**请求样例:**
```

{
    "matterId":3168,
    "matterName":"swsnrv",
    "flowName":"vr4lg2",
    "flowTime":"3a6cft",
    "flowLimit":"lscqsy",
    "flowDesc":"wsfp3o",
    "source":273,
}

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|保存后主键id|-
&emsp;entity|object|保存更新实体|对象
&emsp;&emsp;id|Long|主键，自增长|-
&emsp;&emsp;matterId|Long|事项基础表id|-
&emsp;&emsp;matterName|String|事项名称|-
&emsp;&emsp;flowName|String|办理流程|-
&emsp;&emsp;flowTime|String|办理时长|-
&emsp;&emsp;flowLimit|String|转外时限|-
&emsp;&emsp;flowDesc|String|办理流程说明|-
&emsp;&emsp;source|Integer|事项来源(0.政务网，1.自定义)|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-

**响应消息样例:**
```

{
    "msg":"新增模块成功",
    "code":1,
    "data":{
            "__mortals_form_state__":"ADD",
            "id":4,
            "entity":{
                "createTime":1642486776780,
                "id":4,
                "modelCode":"phxt1",
                "modelName":"排号系统4",
                "updateTime":1642486776780
            }
    }
}

```


### 删除事项办理流程

**请求URL:** matter/flowlimit/delete

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除事项办理流程

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|String|字符串，多个逗号分隔|是|-

**请求样例:**
```

    http://localhost:8080/matter/flowlimit/delete?id=1'

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-


**响应消息样例:**
```

{
    "code":1,
	"msg":"成功"

}

```

### 导出事项办理流程

**请求URL:** matter/flowlimit/exportExcel

**请求方式:** POST


**内容类型:** application/json;charset=utf-8

**简要描述:** 导出事项办理流程

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
idList|Arrays|id数组|否|需要导出的多项
        matterId|Long|事项基础表id|否|参数查询条件
        matterName|String|事项名称|否|参数查询条件

**请求样例:**
```
{
    idList:[1,2],
        "matterId":7251,
        "matterName":"xrnfds",

}


```

**Response-example:**
```
...

```


## 事项中介服务

### 查询事项中介服务列表

**请求URL:** matter/intermediary/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询事项中介服务

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
page|Integer|当前页|否|-
size|Integer|每页条数|否|-
matterId|Long|事项matter id|否|-
matterName|String|事项名称|否|-
title|String|中介服务事项名称|否|-

**请求样例:**
```

  {
        "matterId":7330,
        "matterName":"kzotex",
        "title":"unhpcs",
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;per_page|Integer|每页条数|-
&emsp;total|Integer|总条数|-
&emsp;last_page|Integer|总页数|-
&emsp;current_page|Integer|当前页|-
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|主键，自增长|-
&emsp;&emsp;matterId|Long|事项matter id|-
&emsp;&emsp;matterName|String|事项名称|-
&emsp;&emsp;title|String|中介服务事项名称|-
&emsp;&emsp;intermediaryRequest|String|中介服务实施机构及资质资格要求|-
&emsp;&emsp;intermediaryRequestTime|String|服务时限|-
&emsp;&emsp;remark|String|备注|-
&emsp;&emsp;source|Integer|事项来源，(0.政务网，1.自定义)|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-
dict|object|字典对象|-
&emsp;source|object|字典属性对象，详见附录|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "per_page":10,
        "total":0,
        "data":[],
        "last_page":0,
        "current_page":1
    },
    "query":{
        "modelCode":"phxt1",
        "modelName":"排号系统"
    }
}
```

### 编辑事项中介服务

**请求URL:** matter/intermediary/edit

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 编辑事项中介服务，返回实例详细信息

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|Long|主键,唯一|是|-

**请求样例:**
```

    http://localhost/matter/intermediary/edit?id=549

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|主键，自增长|-
&emsp;matterId|Long|事项matter id|-
&emsp;matterName|String|事项名称|-
&emsp;title|String|中介服务事项名称|-
&emsp;intermediaryRequest|String|中介服务实施机构及资质资格要求|-
&emsp;intermediaryRequestTime|String|服务时限|-
&emsp;remark|String|备注|-
&emsp;source|Integer|事项来源，(0.政务网，1.自定义)|-
&emsp;createTime|Date|创建时间|-
&emsp;createUserId|Long|创建用户|-
&emsp;updateTime|Date|修改时间|-
dict|object|字典对象|-
&emsp;source|object|字典属性对象，详见附录|-


**响应消息样例:**
```

{
    "code": 1,
    "data": {
        "id":9734,
        "matterId":1940,
        "matterName":"kkewfy",
        "title":"x5kqzd",
        "intermediaryRequest":"l5348d",
        "intermediaryRequestTime":"ytj6b6",
        "remark":"3iajdb",
        "source":5053,
        "createTime":"2022-01-20",
        "createUserId":9657,
        "updateTime":"2022-01-20"
        }
}

```

### 查看事项中介服务

**请求URL:** matter/intermediary/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看事项中介服务，返回实例详细信息

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|Long|主键,唯一|是|-

**请求样例:**
```

    http://localhost/matter/intermediary/info?id=549

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|主键，自增长|-
&emsp;matterId|Long|事项matter id|-
&emsp;matterName|String|事项名称|-
&emsp;title|String|中介服务事项名称|-
&emsp;intermediaryRequest|String|中介服务实施机构及资质资格要求|-
&emsp;intermediaryRequestTime|String|服务时限|-
&emsp;remark|String|备注|-
&emsp;source|Integer|事项来源，(0.政务网，1.自定义)|-
&emsp;createTime|Date|创建时间|-
&emsp;createUserId|Long|创建用户|-
&emsp;updateTime|Date|修改时间|-
dict|object|字典对象|-
&emsp;source|object|字典属性对象，详见附录|-


**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":4634,
            "matterId":4889,
            "matterName":"3wyffd",
            "title":"fqhmyq",
            "intermediaryRequest":"okwe65",
            "intermediaryRequestTime":"4pqpz8",
            "remark":"d82t6c",
            "source":5689,
            "createTime":"2022-01-20",
            "createUserId":6033,
            "updateTime":"2022-01-20"
        }
}
```

### 保存更新事项中介服务

**请求URL:** matter/intermediary/save

**请求方式:** POST


**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新事项中介服务：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
matterId|Long|事项matter id|是|-
matterName|String|事项名称|是|-
title|String|中介服务事项名称|是|-
intermediaryRequest|String|中介服务实施机构及资质资格要求|是|-
intermediaryRequestTime|String|服务时限|是|-
remark|String|备注|是|-
source|Integer|事项来源，(0.政务网，1.自定义)|是|-

**请求样例:**
```

{
    "matterId":5339,
    "matterName":"hrjf8x",
    "title":"qrajcn",
    "intermediaryRequest":"ugmqee",
    "intermediaryRequestTime":"w1h2ly",
    "remark":"umnliy",
    "source":9668,
}

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|保存后主键id|-
&emsp;entity|object|保存更新实体|对象
&emsp;&emsp;id|Long|主键，自增长|-
&emsp;&emsp;matterId|Long|事项matter id|-
&emsp;&emsp;matterName|String|事项名称|-
&emsp;&emsp;title|String|中介服务事项名称|-
&emsp;&emsp;intermediaryRequest|String|中介服务实施机构及资质资格要求|-
&emsp;&emsp;intermediaryRequestTime|String|服务时限|-
&emsp;&emsp;remark|String|备注|-
&emsp;&emsp;source|Integer|事项来源，(0.政务网，1.自定义)|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-

**响应消息样例:**
```

{
    "msg":"新增模块成功",
    "code":1,
    "data":{
            "__mortals_form_state__":"ADD",
            "id":4,
            "entity":{
                "createTime":1642486776780,
                "id":4,
                "modelCode":"phxt1",
                "modelName":"排号系统4",
                "updateTime":1642486776780
            }
    }
}

```


### 删除事项中介服务

**请求URL:** matter/intermediary/delete

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除事项中介服务

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|String|字符串，多个逗号分隔|是|-

**请求样例:**
```

    http://localhost:8080/matter/intermediary/delete?id=1'

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-


**响应消息样例:**
```

{
    "code":1,
	"msg":"成功"

}

```

### 导出事项中介服务

**请求URL:** matter/intermediary/exportExcel

**请求方式:** POST


**内容类型:** application/json;charset=utf-8

**简要描述:** 导出事项中介服务

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
idList|Arrays|id数组|否|需要导出的多项
        matterId|Long|事项matter id|否|参数查询条件
        matterName|String|事项名称|否|参数查询条件
        title|String|中介服务事项名称|否|参数查询条件

**请求样例:**
```
{
    idList:[1,2],
        "matterId":4026,
        "matterName":"m5ltxu",
        "title":"7vm3bc",

}


```

**Response-example:**
```
...

```


## 事项常见问题

### 查询事项常见问题列表

**请求URL:** matter/question/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询事项常见问题

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
page|Integer|当前页|否|-
size|Integer|每页条数|否|-
matterId|Long|事项基础表matter id|否|-
matterName|String|事项名称|否|-
question|String|问题|否|-

**请求样例:**
```

  {
        "matterId":4001,
        "matterName":"471szs",
        "question":"nl7vkv",
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;per_page|Integer|每页条数|-
&emsp;total|Integer|总条数|-
&emsp;last_page|Integer|总页数|-
&emsp;current_page|Integer|当前页|-
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|主键，自增长|-
&emsp;&emsp;matterId|Long|事项基础表matter id|-
&emsp;&emsp;matterName|String|事项名称|-
&emsp;&emsp;question|String|问题|-
&emsp;&emsp;answer|String|常见问题|-
&emsp;&emsp;source|Integer|事项来源，(0.政务网，1.自定义)|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-
dict|object|字典对象|-
&emsp;source|object|字典属性对象，详见附录|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "per_page":10,
        "total":0,
        "data":[],
        "last_page":0,
        "current_page":1
    },
    "query":{
        "modelCode":"phxt1",
        "modelName":"排号系统"
    }
}
```

### 编辑事项常见问题

**请求URL:** matter/question/edit

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 编辑事项常见问题，返回实例详细信息

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|Long|主键,唯一|是|-

**请求样例:**
```

    http://localhost/matter/question/edit?id=549

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|主键，自增长|-
&emsp;matterId|Long|事项基础表matter id|-
&emsp;matterName|String|事项名称|-
&emsp;question|String|问题|-
&emsp;answer|String|常见问题|-
&emsp;source|Integer|事项来源，(0.政务网，1.自定义)|-
&emsp;createTime|Date|创建时间|-
&emsp;createUserId|Long|创建用户|-
&emsp;updateTime|Date|修改时间|-
dict|object|字典对象|-
&emsp;source|object|字典属性对象，详见附录|-


**响应消息样例:**
```

{
    "code": 1,
    "data": {
        "id":1092,
        "matterId":5058,
        "matterName":"4j3mcw",
        "question":"o38jmk",
        "answer":"no9gx6",
        "source":2466,
        "createTime":"2022-01-20",
        "createUserId":5913,
        "updateTime":"2022-01-20"
        }
}

```

### 查看事项常见问题

**请求URL:** matter/question/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看事项常见问题，返回实例详细信息

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|Long|主键,唯一|是|-

**请求样例:**
```

    http://localhost/matter/question/info?id=549

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|主键，自增长|-
&emsp;matterId|Long|事项基础表matter id|-
&emsp;matterName|String|事项名称|-
&emsp;question|String|问题|-
&emsp;answer|String|常见问题|-
&emsp;source|Integer|事项来源，(0.政务网，1.自定义)|-
&emsp;createTime|Date|创建时间|-
&emsp;createUserId|Long|创建用户|-
&emsp;updateTime|Date|修改时间|-
dict|object|字典对象|-
&emsp;source|object|字典属性对象，详见附录|-


**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":7822,
            "matterId":7731,
            "matterName":"914nyn",
            "question":"gmyh3g",
            "answer":"qf1xo0",
            "source":829,
            "createTime":"2022-01-20",
            "createUserId":9937,
            "updateTime":"2022-01-20"
        }
}
```

### 保存更新事项常见问题

**请求URL:** matter/question/save

**请求方式:** POST


**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新事项常见问题：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
matterId|Long|事项基础表matter id|是|-
matterName|String|事项名称|是|-
question|String|问题|是|-
answer|String|常见问题|是|-
source|Integer|事项来源，(0.政务网，1.自定义)|是|-

**请求样例:**
```

{
    "matterId":4640,
    "matterName":"00jhnp",
    "question":"o429o9",
    "answer":"o1kldp",
    "source":6338,
}

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|保存后主键id|-
&emsp;entity|object|保存更新实体|对象
&emsp;&emsp;id|Long|主键，自增长|-
&emsp;&emsp;matterId|Long|事项基础表matter id|-
&emsp;&emsp;matterName|String|事项名称|-
&emsp;&emsp;question|String|问题|-
&emsp;&emsp;answer|String|常见问题|-
&emsp;&emsp;source|Integer|事项来源，(0.政务网，1.自定义)|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-

**响应消息样例:**
```

{
    "msg":"新增模块成功",
    "code":1,
    "data":{
            "__mortals_form_state__":"ADD",
            "id":4,
            "entity":{
                "createTime":1642486776780,
                "id":4,
                "modelCode":"phxt1",
                "modelName":"排号系统4",
                "updateTime":1642486776780
            }
    }
}

```


### 删除事项常见问题

**请求URL:** matter/question/delete

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除事项常见问题

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|String|字符串，多个逗号分隔|是|-

**请求样例:**
```

    http://localhost:8080/matter/question/delete?id=1'

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-


**响应消息样例:**
```

{
    "code":1,
	"msg":"成功"

}

```

### 导出事项常见问题

**请求URL:** matter/question/exportExcel

**请求方式:** POST


**内容类型:** application/json;charset=utf-8

**简要描述:** 导出事项常见问题

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
idList|Arrays|id数组|否|需要导出的多项
        matterId|Long|事项基础表matter id|否|参数查询条件
        matterName|String|事项名称|否|参数查询条件
        question|String|问题|否|参数查询条件

**请求样例:**
```
{
    idList:[1,2],
        "matterId":7626,
        "matterName":"ppcezh",
        "question":"kcpd8k",

}


```

**Response-example:**
```
...

```


## 事项设定依据

### 查询事项设定依据列表

**请求URL:** matter/setbase/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询事项设定依据

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
page|Integer|当前页|否|-
size|Integer|每页条数|否|-
matterId|Long|事项matter id|否|-
matterName|String|事项名称|否|-
policyName|String|法规标题|否|-

**请求样例:**
```

  {
        "matterId":3556,
        "matterName":"1d5nhh",
        "policyName":"5jnt3e",
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;per_page|Integer|每页条数|-
&emsp;total|Integer|总条数|-
&emsp;last_page|Integer|总页数|-
&emsp;current_page|Integer|当前页|-
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|主键，自增长|-
&emsp;&emsp;matterId|Long|事项matter id|-
&emsp;&emsp;matterName|String|事项名称|-
&emsp;&emsp;policyName|String|法规标题|-
&emsp;&emsp;policyType|String|法规类型，(1.法律，2.行政法规，3.地方法规，4.部门规章，5.其他，6.政府规章，7.规范性文件)|-
&emsp;&emsp;policyitem|String|条例|-
&emsp;&emsp;content|String|条款内容|-
&emsp;&emsp;source|Integer|事项来源，(0.政务网，1.自定义)|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-
dict|object|字典对象|-
&emsp;policyType|object|字典属性对象，详见附录|-
&emsp;source|object|字典属性对象，详见附录|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "per_page":10,
        "total":0,
        "data":[],
        "last_page":0,
        "current_page":1
    },
    "query":{
        "modelCode":"phxt1",
        "modelName":"排号系统"
    }
}
```

### 编辑事项设定依据

**请求URL:** matter/setbase/edit

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 编辑事项设定依据，返回实例详细信息

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|Long|主键,唯一|是|-

**请求样例:**
```

    http://localhost/matter/setbase/edit?id=549

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|主键，自增长|-
&emsp;matterId|Long|事项matter id|-
&emsp;matterName|String|事项名称|-
&emsp;policyName|String|法规标题|-
&emsp;policyType|String|法规类型，(1.法律，2.行政法规，3.地方法规，4.部门规章，5.其他，6.政府规章，7.规范性文件)|-
&emsp;policyitem|String|条例|-
&emsp;content|String|条款内容|-
&emsp;source|Integer|事项来源，(0.政务网，1.自定义)|-
&emsp;createTime|Date|创建时间|-
&emsp;createUserId|Long|创建用户|-
&emsp;updateTime|Date|修改时间|-
dict|object|字典对象|-
&emsp;policyType|object|字典属性对象，详见附录|-
&emsp;source|object|字典属性对象，详见附录|-


**响应消息样例:**
```

{
    "code": 1,
    "data": {
        "id":3796,
        "matterId":6490,
        "matterName":"psm5c1",
        "policyName":"2xr1pz",
        "policyType":"18xiaq",
        "policyitem":"1ixhk1",
        "content":"3maumh",
        "source":6627,
        "createTime":"2022-01-20",
        "createUserId":1201,
        "updateTime":"2022-01-20"
        }
}

```

### 查看事项设定依据

**请求URL:** matter/setbase/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看事项设定依据，返回实例详细信息

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|Long|主键,唯一|是|-

**请求样例:**
```

    http://localhost/matter/setbase/info?id=549

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|主键，自增长|-
&emsp;matterId|Long|事项matter id|-
&emsp;matterName|String|事项名称|-
&emsp;policyName|String|法规标题|-
&emsp;policyType|String|法规类型，(1.法律，2.行政法规，3.地方法规，4.部门规章，5.其他，6.政府规章，7.规范性文件)|-
&emsp;policyitem|String|条例|-
&emsp;content|String|条款内容|-
&emsp;source|Integer|事项来源，(0.政务网，1.自定义)|-
&emsp;createTime|Date|创建时间|-
&emsp;createUserId|Long|创建用户|-
&emsp;updateTime|Date|修改时间|-
dict|object|字典对象|-
&emsp;policyType|object|字典属性对象，详见附录|-
&emsp;source|object|字典属性对象，详见附录|-


**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":6432,
            "matterId":2527,
            "matterName":"ons1sf",
            "policyName":"b6ehen",
            "policyType":"xx0ax8",
            "policyitem":"nyp1a1",
            "content":"m2gx91",
            "source":7499,
            "createTime":"2022-01-20",
            "createUserId":9100,
            "updateTime":"2022-01-20"
        }
}
```

### 保存更新事项设定依据

**请求URL:** matter/setbase/save

**请求方式:** POST


**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新事项设定依据：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
matterId|Long|事项matter id|是|-
matterName|String|事项名称|是|-
policyName|String|法规标题|是|-
policyType|String|法规类型，(1.法律，2.行政法规，3.地方法规，4.部门规章，5.其他，6.政府规章，7.规范性文件)|是|-
policyitem|String|条例|是|-
content|String|条款内容|是|-
source|Integer|事项来源，(0.政务网，1.自定义)|是|-

**请求样例:**
```

{
    "matterId":1721,
    "matterName":"pbovtq",
    "policyName":"5bqm2b",
    "policyType":"cs39ba",
    "policyitem":"inci0i",
    "content":"8xrmlm",
    "source":8483,
}

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|保存后主键id|-
&emsp;entity|object|保存更新实体|对象
&emsp;&emsp;id|Long|主键，自增长|-
&emsp;&emsp;matterId|Long|事项matter id|-
&emsp;&emsp;matterName|String|事项名称|-
&emsp;&emsp;policyName|String|法规标题|-
&emsp;&emsp;policyType|String|法规类型，(1.法律，2.行政法规，3.地方法规，4.部门规章，5.其他，6.政府规章，7.规范性文件)|-
&emsp;&emsp;policyitem|String|条例|-
&emsp;&emsp;content|String|条款内容|-
&emsp;&emsp;source|Integer|事项来源，(0.政务网，1.自定义)|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-

**响应消息样例:**
```

{
    "msg":"新增模块成功",
    "code":1,
    "data":{
            "__mortals_form_state__":"ADD",
            "id":4,
            "entity":{
                "createTime":1642486776780,
                "id":4,
                "modelCode":"phxt1",
                "modelName":"排号系统4",
                "updateTime":1642486776780
            }
    }
}

```


### 删除事项设定依据

**请求URL:** matter/setbase/delete

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除事项设定依据

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|String|字符串，多个逗号分隔|是|-

**请求样例:**
```

    http://localhost:8080/matter/setbase/delete?id=1'

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-


**响应消息样例:**
```

{
    "code":1,
	"msg":"成功"

}

```

### 导出事项设定依据

**请求URL:** matter/setbase/exportExcel

**请求方式:** POST


**内容类型:** application/json;charset=utf-8

**简要描述:** 导出事项设定依据

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
idList|Arrays|id数组|否|需要导出的多项
        matterId|Long|事项matter id|否|参数查询条件
        matterName|String|事项名称|否|参数查询条件
        policyName|String|法规标题|否|参数查询条件

**请求样例:**
```
{
    idList:[1,2],
        "matterId":883,
        "matterName":"18e96m",
        "policyName":"i6va9p",

}


```

**Response-example:**
```
...

```


## 部门

### 查询部门列表

**请求URL:** dept/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询部门

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
page|Integer|当前页|否|-
size|Integer|每页条数|否|-
name|String|部门名称|否|-
deptAbb|String|部门简称|否|-
deptNumber|String|部门编号|否|-

**请求样例:**
```

  {
        "name":"8xbeej",
        "deptAbb":"lk7pnx",
        "deptNumber":"jjfxah",
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;per_page|Integer|每页条数|-
&emsp;total|Integer|总条数|-
&emsp;last_page|Integer|总页数|-
&emsp;current_page|Integer|当前页|-
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长|-
&emsp;&emsp;tid|String|从政务系统来的部门id|-
&emsp;&emsp;tname|String|从政务系统来的部门name|-
&emsp;&emsp;name|String|部门名称|-
&emsp;&emsp;simpleName|String|从政务系统来的别名|-
&emsp;&emsp;siteId|Long|站点ID|-
&emsp;&emsp;deptAbb|String|部门简称|-
&emsp;&emsp;deptTelphone|String|部门电话|-
&emsp;&emsp;deptNumber|String|部门编号|-
&emsp;&emsp;isAutotable|Integer|填单机展示 (0.否，1.是) |-
&emsp;&emsp;isOrder|Integer|预约展示 (0.否，1.是) |-
&emsp;&emsp;isBkb|Integer|背靠背展示 (0.否，1.是) |-
&emsp;&emsp;isWorkGuide|Integer|办事指南展示 (0.否，1.是) |-
&emsp;&emsp;usValid|Integer|是否使用 (0.否，1.是) |-
&emsp;&emsp;isSecphone|Integer|部门电话是否展示 (0.否，1.是) |-
&emsp;&emsp;isEnglish|Integer|是否展示英文 (0.否，1.是) |-
&emsp;&emsp;sort|Integer|排序|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-
dict|object|字典对象|-
&emsp;isAutotable|object|字典属性对象，详见附录|-
&emsp;isOrder|object|字典属性对象，详见附录|-
&emsp;isBkb|object|字典属性对象，详见附录|-
&emsp;isWorkGuide|object|字典属性对象，详见附录|-
&emsp;usValid|object|字典属性对象，详见附录|-
&emsp;isSecphone|object|字典属性对象，详见附录|-
&emsp;isEnglish|object|字典属性对象，详见附录|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "per_page":10,
        "total":0,
        "data":[],
        "last_page":0,
        "current_page":1
    },
    "query":{
        "modelCode":"phxt1",
        "modelName":"排号系统"
    }
}
```

### 编辑部门

**请求URL:** dept/edit

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 编辑部门，返回实例详细信息

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|Long|主键,唯一|是|-

**请求样例:**
```

    http://localhost/dept/edit?id=549

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|序号，主键，自增长|-
&emsp;tid|String|从政务系统来的部门id|-
&emsp;tname|String|从政务系统来的部门name|-
&emsp;name|String|部门名称|-
&emsp;simpleName|String|从政务系统来的别名|-
&emsp;siteId|Long|站点ID|-
&emsp;deptAbb|String|部门简称|-
&emsp;deptTelphone|String|部门电话|-
&emsp;deptNumber|String|部门编号|-
&emsp;isAutotable|Integer|填单机展示 (0.否，1.是) |-
&emsp;isOrder|Integer|预约展示 (0.否，1.是) |-
&emsp;isBkb|Integer|背靠背展示 (0.否，1.是) |-
&emsp;isWorkGuide|Integer|办事指南展示 (0.否，1.是) |-
&emsp;usValid|Integer|是否使用 (0.否，1.是) |-
&emsp;isSecphone|Integer|部门电话是否展示 (0.否，1.是) |-
&emsp;isEnglish|Integer|是否展示英文 (0.否，1.是) |-
&emsp;sort|Integer|排序|-
&emsp;createTime|Date|创建时间|-
&emsp;createUserId|Long|创建用户|-
&emsp;updateTime|Date|修改时间|-
dict|object|字典对象|-
&emsp;isAutotable|object|字典属性对象，详见附录|-
&emsp;isOrder|object|字典属性对象，详见附录|-
&emsp;isBkb|object|字典属性对象，详见附录|-
&emsp;isWorkGuide|object|字典属性对象，详见附录|-
&emsp;usValid|object|字典属性对象，详见附录|-
&emsp;isSecphone|object|字典属性对象，详见附录|-
&emsp;isEnglish|object|字典属性对象，详见附录|-


**响应消息样例:**
```

{
  "code": 1,
  "data": {
    "createTime": 1643006419000,
    "createUserId": 1,
    "deptAbb": "mly6ov",
    "deptNumber": "o9mdz123131w",
    "deptTelphone": "1328444586",
    "id": 1,
    "isAutotable": 1,
    "isBkb": 1,
    "isEnglish": 1,
    "isOrder": 1,
    "isSecphone": 1,
    "isWorkGuide": 1,
    "name": "测试站点部门",
    "simpleName": "测试站点部门",
    "siteId": 1,
    "sort": 1,
    "tid": "pnvi0e",
    "tname": "g8b6wr",
    "updateTime": 1643006419000,
    "usValid": 1
  },
  "dict": {
    "isBkb": {
      "0": "否",
      "1": "是"
    },
    "isAutotable": {
      "0": "否",
      "1": "是"
    },
    "isSecphone": {
      "0": "否",
      "1": "是"
    },
    "isWorkGuide": {
      "0": "否",
      "1": "是"
    },
    "isOrder": {
      "0": "否",
      "1": "是"
    },
    "usValid": {
      "0": "否",
      "1": "是"
    },
    "isEnglish": {
      "0": "否",
      "1": "是"
    }
  }
}

```

### 查看部门

**请求URL:** dept/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看部门，返回实例详细信息

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|Long|主键,唯一|是|-

**请求样例:**
```

    http://localhost/dept/info?id=549

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|序号，主键，自增长|-
&emsp;tid|String|从政务系统来的部门id|-
&emsp;tname|String|从政务系统来的部门name|-
&emsp;name|String|部门名称|-
&emsp;simpleName|String|从政务系统来的别名|-
&emsp;siteId|Long|站点ID|-
&emsp;deptAbb|String|部门简称|-
&emsp;deptTelphone|String|部门电话|-
&emsp;deptNumber|String|部门编号|-
&emsp;isAutotable|Integer|填单机展示 (0.否，1.是) |-
&emsp;isOrder|Integer|预约展示 (0.否，1.是) |-
&emsp;isBkb|Integer|背靠背展示 (0.否，1.是) |-
&emsp;isWorkGuide|Integer|办事指南展示 (0.否，1.是) |-
&emsp;usValid|Integer|是否使用 (0.否，1.是) |-
&emsp;isSecphone|Integer|部门电话是否展示 (0.否，1.是) |-
&emsp;isEnglish|Integer|是否展示英文 (0.否，1.是) |-
&emsp;sort|Integer|排序|-
&emsp;createTime|Date|创建时间|-
&emsp;createUserId|Long|创建用户|-
&emsp;updateTime|Date|修改时间|-
dict|object|字典对象|-
&emsp;isAutotable|object|字典属性对象，详见附录|-
&emsp;isOrder|object|字典属性对象，详见附录|-
&emsp;isBkb|object|字典属性对象，详见附录|-
&emsp;isWorkGuide|object|字典属性对象，详见附录|-
&emsp;usValid|object|字典属性对象，详见附录|-
&emsp;isSecphone|object|字典属性对象，详见附录|-
&emsp;isEnglish|object|字典属性对象，详见附录|-


**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":3878,
            "tid":"j5vugc",
            "tname":"akwq1c",
            "name":"euai3f",
            "simpleName":"hkfv7v",
            "siteId":3415,
            "deptAbb":"w2ndhg",
            "deptTelphone":"m3tcad",
            "deptNumber":"xx3e0q",
            "isAutotable":3260,
            "isOrder":652,
            "isBkb":655,
            "isWorkGuide":4574,
            "usValid":5018,
            "isSecphone":877,
            "isEnglish":7265,
            "sort":9898,
            "createTime":"2022-01-20",
            "createUserId":715,
            "updateTime":"2022-01-20"
        }
}
```

### 保存更新部门

**请求URL:** dept/save

**请求方式:** POST


**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新部门：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
tid|String|从政务系统来的部门id|否|-
tname|String|从政务系统来的部门name|否|-
name|String|部门名称|是|-
simpleName|String|从政务系统来的别名|否|-
siteId|Long|站点ID|是|-
deptAbb|String|部门简称|否|-
deptTelphone|String|部门电话|否|-
deptNumber|String|部门编号|否|-
isAutotable|Integer|填单机展示 (0.否，1.是) |否|-
isOrder|Integer|预约展示 (0.否，1.是) |否|-
isBkb|Integer|背靠背展示 (0.否，1.是) |否|-
isWorkGuide|Integer|办事指南展示 (0.否，1.是) |否|-
usValid|Integer|是否使用 (0.否，1.是) |是|-
isSecphone|Integer|部门电话是否展示 (0.否，1.是) |否|-
isEnglish|Integer|是否展示英文 (0.否，1.是) |否|-
sort|Integer|排序|否|-

**请求样例:**
```

{
  "code": 1,
  "data": {
    "createTime": 1643006419000,
    "createUserId": 1,
    "deptAbb": "mly6ov",
    "deptNumber": "o9mdz123131w",
    "deptTelphone": "1328444586",
    "id": 1,
    "isAutotable": 1,
    "isBkb": 1,
    "isEnglish": 1,
    "isOrder": 1,
    "isSecphone": 1,
    "isWorkGuide": 1,
    "name": "测试站点部门",
    "simpleName": "测试站点部门",
    "siteId": 1,
    "sort": 1,
    "tid": "pnvi0e",
    "tname": "g8b6wr",
    "updateTime": 1643006419000,
    "usValid": 1
  }
}

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|保存后主键id|-
&emsp;entity|object|保存更新实体|对象
&emsp;&emsp;id|Long|序号，主键，自增长|-
&emsp;&emsp;tid|String|从政务系统来的部门id|-
&emsp;&emsp;tname|String|从政务系统来的部门name|-
&emsp;&emsp;name|String|部门名称|-
&emsp;&emsp;simpleName|String|从政务系统来的别名|-
&emsp;&emsp;siteId|Long|站点ID|-
&emsp;&emsp;deptAbb|String|部门简称|-
&emsp;&emsp;deptTelphone|String|部门电话|-
&emsp;&emsp;deptNumber|String|部门编号|-
&emsp;&emsp;isAutotable|Integer|填单机展示 (0.否，1.是) |-
&emsp;&emsp;isOrder|Integer|预约展示 (0.否，1.是) |-
&emsp;&emsp;isBkb|Integer|背靠背展示 (0.否，1.是) |-
&emsp;&emsp;isWorkGuide|Integer|办事指南展示 (0.否，1.是) |-
&emsp;&emsp;usValid|Integer|是否使用 (0.否，1.是) |-
&emsp;&emsp;isSecphone|Integer|部门电话是否展示 (0.否，1.是) |-
&emsp;&emsp;isEnglish|Integer|是否展示英文 (0.否，1.是) |-
&emsp;&emsp;sort|Integer|排序|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-

**响应消息样例:**
```

{
    "msg":"新增模块成功",
    "code":1,
    "data":{
            "__mortals_form_state__":"ADD",
            "id":4,
            "entity":{
                "createTime":1642486776780,
                "id":4,
                "modelCode":"phxt1",
                "modelName":"排号系统4",
                "updateTime":1642486776780
            }
    }
}

```


### 删除部门

**请求URL:** dept/delete

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除部门

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|String|字符串，多个逗号分隔|是|-

**请求样例:**
```

    http://localhost:8080/dept/delete?id=1'

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-


**响应消息样例:**
```

{
    "code":1,
	"msg":"成功"

}

```





## 站点部门窗口

### 查询站点部门窗口列表

**请求URL:** window/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询站点部门窗口

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
page|Integer|当前页|否|-
size|Integer|每页条数|否|-

**请求样例:**
```

  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;per_page|Integer|每页条数|-
&emsp;total|Integer|总条数|-
&emsp;last_page|Integer|总页数|-
&emsp;current_page|Integer|当前页|-
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长|-
&emsp;&emsp;siteId|Long|站点ID|-
&emsp;&emsp;siteName|String|站点名称|-
&emsp;&emsp;deptId|Long|部门ID|-
&emsp;&emsp;deptName|String|部门名称|-
&emsp;&emsp;name|String|窗口名称|-
&emsp;&emsp;englishName|String|英语窗口名|-
&emsp;&emsp;region|String|区域|-
&emsp;&emsp;englishRegion|String|英语区域|-
&emsp;&emsp;fromnum|String|窗口编号|-
&emsp;&emsp;hongqi|Integer|红旗窗口 (1.是，0.否)|-
&emsp;&emsp;summary|String|备注|-
&emsp;&emsp;building|Integer|楼栋|-
&emsp;&emsp;level|Integer|楼层|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-
dict|object|字典对象|-
&emsp;hongqi|object|字典属性对象，详见附录|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "per_page":10,
        "total":0,
        "data":[],
        "last_page":0,
        "current_page":1
    },
    "query":{
        "modelCode":"phxt1",
        "modelName":"排号系统"
    }
}
```

### 编辑站点部门窗口

**请求URL:** window/edit

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 编辑站点部门窗口，返回实例详细信息

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|Long|主键,唯一|是|-

**请求样例:**
```

    http://localhost/window/edit?id=549

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|序号，主键，自增长|-
&emsp;siteId|Long|站点ID|-
&emsp;siteName|String|站点名称|-
&emsp;deptId|Long|部门ID|-
&emsp;deptName|String|部门名称|-
&emsp;name|String|窗口名称|-
&emsp;englishName|String|英语窗口名|-
&emsp;region|String|区域|-
&emsp;englishRegion|String|英语区域|-
&emsp;fromnum|String|窗口编号|-
&emsp;hongqi|Integer|红旗窗口 (1.是，0.否)|-
&emsp;summary|String|备注|-
&emsp;building|Integer|楼栋|-
&emsp;level|Integer|楼层|-
&emsp;createTime|Date|创建时间|-
&emsp;createUserId|Long|创建用户|-
&emsp;updateTime|Date|修改时间|-
dict|object|字典对象|-
&emsp;hongqi|object|字典属性对象，详见附录|-


**响应消息样例:**
```
{
  "code": 1,
  "data": {
    "building": 1,
    "createTime": 1643007227000,
    "createUserId": 1,
    "deptId": 1,
    "deptName": "测试站点部门",
    "englishName": "n1mu84",
    "englishRegion": "au277n",
    "fromnum": "z7etfk",
    "hongqi": 1,
    "id": 1,
    "level": 2,
    "name": "测试窗口1",
    "region": "v3gh02",
    "siteId": 1,
    "siteName": "测试站点",
    "summary": "o0d5l4",
    "updateTime": 1643007227000
  },
  "dict": {
    "level": {},
    "building": {},
    "hongqi": {
      "0": "否",
      "1": "是"
    }
  }
}

```

### 查看站点部门窗口

**请求URL:** window/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看站点部门窗口，返回实例详细信息

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|Long|主键,唯一|是|-

**请求样例:**
```

    http://localhost/window/info?id=549

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|序号，主键，自增长|-
&emsp;siteId|Long|站点ID|-
&emsp;siteName|String|站点名称|-
&emsp;deptId|Long|部门ID|-
&emsp;deptName|String|部门名称|-
&emsp;name|String|窗口名称|-
&emsp;englishName|String|英语窗口名|-
&emsp;region|String|区域|-
&emsp;englishRegion|String|英语区域|-
&emsp;fromnum|String|窗口编号|-
&emsp;hongqi|Integer|红旗窗口 (1.是，0.否)|-
&emsp;summary|String|备注|-
&emsp;building|Integer|楼栋|-
&emsp;level|Integer|楼层|-
&emsp;createTime|Date|创建时间|-
&emsp;createUserId|Long|创建用户|-
&emsp;updateTime|Date|修改时间|-
dict|object|字典对象|-
&emsp;hongqi|object|字典属性对象，详见附录|-


**响应消息样例:**
```
{
  "code": 1,
  "data": {
    "building": 1,
    "createTime": 1643007227000,
    "createUserId": 1,
    "deptId": 1,
    "deptName": "测试站点部门",
    "englishName": "n1mu84",
    "englishRegion": "au277n",
    "fromnum": "z7etfk",
    "hongqi": 1,
    "id": 1,
    "level": 2,
    "name": "测试窗口1",
    "region": "v3gh02",
    "siteId": 1,
    "siteName": "测试站点",
    "summary": "o0d5l4",
    "updateTime": 1643007227000
  }
}

```

### 保存更新站点部门窗口

**请求URL:** window/save

**请求方式:** POST


**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新站点部门窗口：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
siteId|Long|站点ID|是|-
siteName|String|站点名称|是|-
deptId|Long|部门ID|是|-
deptName|String|部门名称|是|-
name|String|窗口名称|是|-
englishName|String|英语窗口名|是|-
region|String|区域|是|-
englishRegion|String|英语区域|是|-
fromnum|String|窗口编号|是|-
hongqi|Integer|红旗窗口 (1.是，0.否)|是|-
summary|String|备注|是|-
building|Integer|楼栋|是|-
level|Integer|楼层|是|-

**请求样例:**
```

{
        "siteId":1,
        "siteName":"测试站点",
        "deptId":1,
        "deptName":"测试站点部门",
        "name":"测试窗口1",
        "englishName":"n1mu84",
        "region":"v3gh02",
        "englishRegion":"au277n",
        "fromnum":"z7etfk",
        "hongqi":1,
        "summary":"o0d5l4",
        "building":1,
        "level":2
}

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|保存后主键id|-
&emsp;entity|object|保存更新实体|对象
&emsp;&emsp;id|Long|序号，主键，自增长|-
&emsp;&emsp;siteId|Long|站点ID|-
&emsp;&emsp;siteName|String|站点名称|-
&emsp;&emsp;deptId|Long|部门ID|-
&emsp;&emsp;deptName|String|部门名称|-
&emsp;&emsp;name|String|窗口名称|-
&emsp;&emsp;englishName|String|英语窗口名|-
&emsp;&emsp;region|String|区域|-
&emsp;&emsp;englishRegion|String|英语区域|-
&emsp;&emsp;fromnum|String|窗口编号|-
&emsp;&emsp;hongqi|Integer|红旗窗口 (1.是，0.否)|-
&emsp;&emsp;summary|String|备注|-
&emsp;&emsp;building|Integer|楼栋|-
&emsp;&emsp;level|Integer|楼层|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-

**响应消息样例:**
```

{
    "msg":"新增模块成功",
    "code":1,
    "data":{
            "__mortals_form_state__":"ADD",
            "id":4,
            "entity":{
                "createTime":1642486776780,
                "id":4,
                "modelCode":"phxt1",
                "modelName":"排号系统4",
                "updateTime":1642486776780
            }
    }
}

```


### 删除站点部门窗口

**请求URL:** window/delete

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除站点部门窗口

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|String|字符串，多个逗号分隔|是|-

**请求样例:**
```

    http://localhost:8080/window/delete?id=1'

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-


**响应消息样例:**
```

{
    "code":1,
	"msg":"成功"

}

```

### 导出站点部门窗口

**请求URL:** window/exportExcel

**请求方式:** POST


**内容类型:** application/json;charset=utf-8

**简要描述:** 导出站点部门窗口

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
idList|Arrays|id数组|否|需要导出的多项

**请求样例:**
```
{
    idList:[1,2],

}


```

**Response-example:**
```
...

```





## 工作人员

### 查询工作人员列表

**请求URL:** workman/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询工作人员

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
page|Integer|当前页|否|-
size|Integer|每页条数|否|-
deptId|Long|部门id号|否|-
deptName|String|部门名称|否|-
windowId|Long|窗口id号|否|-
windowName|String|窗口名称|否|-
siteId|Long|站点ID|否|-
siteName|String|站点名称|否|-
name|String|姓名|否|-
number|String|工号|否|-

**请求样例:**
```

  {
        "deptId":1825,
        "deptName":"3cca81",
        "windowId":2970,
        "windowName":"2shv7u",
        "siteId":4516,
        "siteName":"o4ci2j",
        "name":"to5b5a",
        "number":"qrw98p",
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;per_page|Integer|每页条数|-
&emsp;total|Integer|总条数|-
&emsp;last_page|Integer|总页数|-
&emsp;current_page|Integer|当前页|-
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长|-
&emsp;&emsp;systemUserId|Long|系统用户id号|-
&emsp;&emsp;deptId|Long|部门id号|-
&emsp;&emsp;deptName|String|部门名称|-
&emsp;&emsp;windowId|Long|窗口id号|-
&emsp;&emsp;windowName|String|窗口名称|-
&emsp;&emsp;siteId|Long|站点ID|-
&emsp;&emsp;siteName|String|站点名称|-
&emsp;&emsp;name|String|姓名|-
&emsp;&emsp;number|String|工号|-
&emsp;&emsp;userpost|String|职务|-
&emsp;&emsp;posttitle|String|职称|-
&emsp;&emsp;politicalstatus|Integer|政治面貌 （0.中共党员，1.中共预备党员，2.共青团员，3.普通居民，4.其它)|-
&emsp;&emsp;dangyuan|Integer|党员 （0.非党员，1.党员，2.党员示范岗，3.党员先锋岗)|-
&emsp;&emsp;phone|String|电话|-
&emsp;&emsp;mobile|String|手机|-
&emsp;&emsp;starlevel|Integer|星级|-
&emsp;&emsp;summary|String|个人简介|-
&emsp;&emsp;photoPath|String|照片|-
&emsp;&emsp;duty|String|岗位职责|-
&emsp;&emsp;promise|String|服务承诺|-
&emsp;&emsp;business|String|办理事项|-
&emsp;&emsp;online|Integer|是否在线（0.离线，1.在线，2.暂离,3.点击暂离,4.回归,5.登陆）|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-
dict|object|字典对象|-
&emsp;online|object|字典属性对象，详见附录|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "per_page":10,
        "total":0,
        "data":[],
        "last_page":0,
        "current_page":1
    },
    "query":{
        "modelCode":"phxt1",
        "modelName":"排号系统"
    }
}
```

### 编辑工作人员

**请求URL:** workman/edit

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 编辑工作人员，返回实例详细信息

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|Long|主键,唯一|是|-

**请求样例:**
```

    http://localhost/workman/edit?id=549

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|序号，主键，自增长|-
&emsp;systemUserId|Long|系统用户id号|-
&emsp;deptId|Long|部门id号|-
&emsp;deptName|String|部门名称|-
&emsp;windowId|Long|窗口id号|-
&emsp;windowName|String|窗口名称|-
&emsp;siteId|Long|站点ID|-
&emsp;siteName|String|站点名称|-
&emsp;name|String|姓名|-
&emsp;number|String|工号|-
&emsp;userpost|String|职务|-
&emsp;posttitle|String|职称|-
&emsp;politicalstatus|Integer|政治面貌 （0.中共党员，1.中共预备党员，2.共青团员，3.普通居民，4.其它)|-
&emsp;dangyuan|Integer|党员 （0.非党员，1.党员，2.党员示范岗，3.党员先锋岗)|-
&emsp;phone|String|电话|-
&emsp;mobile|String|手机|-
&emsp;starlevel|Integer|星级|-
&emsp;summary|String|个人简介|-
&emsp;photoPath|String|照片|-
&emsp;duty|String|岗位职责|-
&emsp;promise|String|服务承诺|-
&emsp;business|String|办理事项|-
&emsp;online|Integer|是否在线（0.离线，1.在线，2.暂离,3.点击暂离,4.回归,5.登陆）|-
&emsp;createTime|Date|创建时间|-
&emsp;createUserId|Long|创建用户|-
&emsp;updateTime|Date|修改时间|-
dict|object|字典对象|-
&emsp;online|object|字典属性对象，详见附录|-


**响应消息样例:**
```

{
    "code": 1,
    "data": {
        "id":6437,
        "systemUserId":9931,
        "deptId":7045,
        "deptName":"djp3se",
        "windowId":1546,
        "windowName":"gfsja0",
        "siteId":5506,
        "siteName":"413dp3",
        "name":"uirg7w",
        "number":"ojy1dh",
        "userpost":"s7c7md",
        "posttitle":"vs30nh",
        "politicalstatus":8139,
        "dangyuan":9909,
        "phone":"m4krqv",
        "mobile":"hdgb0u",
        "starlevel":6072,
        "summary":"8kr8m8",
        "photoPath":"tcpx3u",
        "duty":"wkvf92",
        "promise":"nlpjsc",
        "business":"hzlj1f",
        "online":1635,
        "createTime":"2022-01-20",
        "createUserId":248,
        "updateTime":"2022-01-20"
        }
}

```

### 查看工作人员

**请求URL:** workman/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看工作人员，返回实例详细信息

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|Long|主键,唯一|是|-

**请求样例:**
```

    http://localhost/workman/info?id=549

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|序号，主键，自增长|-
&emsp;systemUserId|Long|系统用户id号|-
&emsp;deptId|Long|部门id号|-
&emsp;deptName|String|部门名称|-
&emsp;windowId|Long|窗口id号|-
&emsp;windowName|String|窗口名称|-
&emsp;siteId|Long|站点ID|-
&emsp;siteName|String|站点名称|-
&emsp;name|String|姓名|-
&emsp;number|String|工号|-
&emsp;userpost|String|职务|-
&emsp;posttitle|String|职称|-
&emsp;politicalstatus|Integer|政治面貌 （0.中共党员，1.中共预备党员，2.共青团员，3.普通居民，4.其它)|-
&emsp;dangyuan|Integer|党员 （0.非党员，1.党员，2.党员示范岗，3.党员先锋岗)|-
&emsp;phone|String|电话|-
&emsp;mobile|String|手机|-
&emsp;starlevel|Integer|星级|-
&emsp;summary|String|个人简介|-
&emsp;photoPath|String|照片|-
&emsp;duty|String|岗位职责|-
&emsp;promise|String|服务承诺|-
&emsp;business|String|办理事项|-
&emsp;online|Integer|是否在线（0.离线，1.在线，2.暂离,3.点击暂离,4.回归,5.登陆）|-
&emsp;createTime|Date|创建时间|-
&emsp;createUserId|Long|创建用户|-
&emsp;updateTime|Date|修改时间|-
dict|object|字典对象|-
&emsp;online|object|字典属性对象，详见附录|-


**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":1531,
            "systemUserId":7326,
            "deptId":509,
            "deptName":"6xmgb7",
            "windowId":5461,
            "windowName":"pfjxkr",
            "siteId":3721,
            "siteName":"8sh9as",
            "name":"1ztl2b",
            "number":"gi6gfi",
            "userpost":"8tyyt3",
            "posttitle":"d2xnj5",
            "politicalstatus":6183,
            "dangyuan":1178,
            "phone":"t9ppxd",
            "mobile":"e7lwsv",
            "starlevel":685,
            "summary":"s9yt7b",
            "photoPath":"3bidqu",
            "duty":"sjdrcf",
            "promise":"0f4zz5",
            "business":"f5es91",
            "online":2501,
            "createTime":"2022-01-20",
            "createUserId":4022,
            "updateTime":"2022-01-20"
        }
}
```

### 保存更新工作人员

**请求URL:** workman/save

**请求方式:** POST


**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新工作人员：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
userName|String|用户名|是|-
password|String|密码|是|-
deptId|Long|部门id号|是|-
deptName|String|部门名称|是|-
windowId|Long|窗口id号|是|-
windowName|String|窗口名称|是|-
siteId|Long|站点ID|是|-
siteName|String|站点名称|是|-
name|String|姓名|是|-
number|String|工号|是|-
userpost|String|职务|是|-
posttitle|String|职称|是|-
politicalstatus|Integer|政治面貌 （0.中共党员，1.中共预备党员，2.共青团员，3.普通居民，4.其它)|是|-
dangyuan|Integer|党员 （0.非党员，1.党员，2.党员示范岗，3.党员先锋岗)|是|-
phone|String|电话|是|-
mobile|String|手机|是|-
starlevel|Integer|星级|是|-
summary|String|个人简介|是|-
photoPath|String|照片|是|-
duty|String|岗位职责|是|-
promise|String|服务承诺|是|-
business|String|办理事项|是|-
online|Integer|是否在线（0.离线，1.在线，2.暂离,3.点击暂离,4.回归,5.登陆）|是|-

**请求样例:**
```

{
        "userName":"workman",
        "password": "123456",
        "deptId":1,
        "deptName":"测试站点部门",
        "windowId":1,
        "windowName":"测试窗口1",
        "siteId":1,
        "siteName":"测试站点",
        "name":"w8oamz",
        "number":"8ylq9h",
        "userpost":"4nl4dx",
        "posttitle":"8qv5uh",
        "politicalstatus":1,
        "dangyuan":1,
        "phone":"sotmv2",
        "mobile":"4oj2d8",
        "starlevel":1,
        "summary":"ypajwa",
        "photoPath":"/xxxx/xx.jepg",
        "duty":"aahncs",
        "promise":"av4y8s",
        "business":"eir0kk",
        "online":1
}

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|保存后主键id|-
&emsp;entity|object|保存更新实体|对象
&emsp;&emsp;id|Long|序号，主键，自增长|-
&emsp;&emsp;systemUserId|Long|系统用户id号|-
&emsp;&emsp;deptId|Long|部门id号|-
&emsp;&emsp;deptName|String|部门名称|-
&emsp;&emsp;windowId|Long|窗口id号|-
&emsp;&emsp;windowName|String|窗口名称|-
&emsp;&emsp;siteId|Long|站点ID|-
&emsp;&emsp;siteName|String|站点名称|-
&emsp;&emsp;name|String|姓名|-
&emsp;&emsp;number|String|工号|-
&emsp;&emsp;userpost|String|职务|-
&emsp;&emsp;posttitle|String|职称|-
&emsp;&emsp;politicalstatus|Integer|政治面貌 （0.中共党员，1.中共预备党员，2.共青团员，3.普通居民，4.其它)|-
&emsp;&emsp;dangyuan|Integer|党员 （0.非党员，1.党员，2.党员示范岗，3.党员先锋岗)|-
&emsp;&emsp;phone|String|电话|-
&emsp;&emsp;mobile|String|手机|-
&emsp;&emsp;starlevel|Integer|星级|-
&emsp;&emsp;summary|String|个人简介|-
&emsp;&emsp;photoPath|String|照片|-
&emsp;&emsp;duty|String|岗位职责|-
&emsp;&emsp;promise|String|服务承诺|-
&emsp;&emsp;business|String|办理事项|-
&emsp;&emsp;online|Integer|是否在线（0.离线，1.在线，2.暂离,3.点击暂离,4.回归,5.登陆）|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-

**响应消息样例:**
```

{
    "msg":"新增模块成功",
    "code":1,
    "data":{
            "__mortals_form_state__":"ADD",
            "id":4,
            "entity":{
                "createTime":1642486776780,
                "id":4,
                "modelCode":"phxt1",
                "modelName":"排号系统4",
                "updateTime":1642486776780
            }
    }
}

```


### 删除工作人员

**请求URL:** workman/delete

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除工作人员

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|String|字符串，多个逗号分隔|是|-

**请求样例:**
```

    http://localhost:8080/workman/delete?id=1'

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-


**响应消息样例:**
```

{
    "code":1,
	"msg":"成功"

}

```

### 导入工作人员模板下载

**请求URL:** workman/downloadTemplate

**请求方式:** POST


**内容类型:** application/x-www-form-urlencoded;charset=utf-8

**简要描述:** 工作人员导入模板下载

**请求样例:**
```

    http://localhost/workman/downloadTemplate

```

**Response-example:**
```
...

```

### 导入工作人员

**请求URL:** workman/importData

**请求方式:** POST


**内容类型:** multipart/form-data

**简要描述:** 导入工作人员

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
file|file|文件流|是|-
updateSupport|boolean|相同数据项是否更新|false|-

**请求样例:**
```

    http://localhost/workman/importData --data 'updateSupport=true'

```

**Response-example:**
```
...

```

### 导出工作人员

**请求URL:** workman/exportExcel

**请求方式:** POST


**内容类型:** application/json;charset=utf-8

**简要描述:** 导出工作人员

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
idList|Arrays|id数组|否|需要导出的多项
        deptId|Long|部门id号|否|参数查询条件
        deptName|String|部门名称|否|参数查询条件
        windowId|Long|窗口id号|否|参数查询条件
        windowName|String|窗口名称|否|参数查询条件
        siteId|Long|站点ID|否|参数查询条件
        siteName|String|站点名称|否|参数查询条件
        name|String|姓名|否|参数查询条件
        number|String|工号|否|参数查询条件

**请求样例:**
```
{
    idList:[1,2],
        "deptId":2254,
        "deptName":"57gigc",
        "windowId":3055,
        "windowName":"uyot73",
        "siteId":3728,
        "siteName":"xbwmbd",
        "name":"4f2b4z",
        "number":"27m0ph",

}


```

**Response-example:**
```
...

```


## 站点业务

### 查询站点业务列表

**请求URL:** site/business/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询站点业务

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
page|Integer|当前页|否|-
size|Integer|每页条数|否|-

**请求样例:**
```

  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;per_page|Integer|每页条数|-
&emsp;total|Integer|总条数|-
&emsp;last_page|Integer|总页数|-
&emsp;current_page|Integer|当前页|-
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长|-
&emsp;&emsp;siteId|Long|站点ID|-
&emsp;&emsp;siteName|String|站点名称|-
&emsp;&emsp;ancestors|String|祖级列表，逗号分隔|-
&emsp;&emsp;businessId|Long|业务ID|-
&emsp;&emsp;isBusiness|Integer|业务类型(0.一级业务,1.二级业务)|-
&emsp;&emsp;parentId|Long|业务父级ID|-
&emsp;&emsp;businessName|String|业务名称|-
&emsp;&emsp;status|Integer|业务状态 (0.停用，1.正常)|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-
dict|object|字典对象|-
&emsp;isBusiness|object|字典属性对象，详见附录|-
&emsp;status|object|字典属性对象，详见附录|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "per_page":10,
        "total":0,
        "data":[],
        "last_page":0,
        "current_page":1
    },
    "query":{
        "modelCode":"phxt1",
        "modelName":"排号系统"
    }
}
```

### 编辑站点业务

**请求URL:** site/business/edit

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 编辑站点业务，返回实例详细信息

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|Long|主键,唯一|是|-

**请求样例:**
```

    http://localhost/site/business/edit?id=549

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|序号，主键，自增长|-
&emsp;siteId|Long|站点ID|-
&emsp;siteName|String|站点名称|-
&emsp;ancestors|String|祖级列表，逗号分隔|-
&emsp;businessId|Long|业务ID|-
&emsp;isBusiness|Integer|业务类型(0.一级业务,1.二级业务)|-
&emsp;parentId|Long|业务父级ID|-
&emsp;businessName|String|业务名称|-
&emsp;status|Integer|业务状态 (0.停用，1.正常)|-
&emsp;createTime|Date|创建时间|-
&emsp;createUserId|Long|创建用户|-
&emsp;updateTime|Date|修改时间|-
dict|object|字典对象|-
&emsp;isBusiness|object|字典属性对象，详见附录|-
&emsp;status|object|字典属性对象，详见附录|-


**响应消息样例:**
```

{
    "code": 1,
    "data": {
        "id":4649,
        "siteId":2422,
        "siteName":"fdejh1",
        "ancestors":"0xrdiq",
        "businessId":5200,
        "isBusiness":1214,
        "parentId":2541,
        "businessName":"cf3991",
        "status":5187,
        "createTime":"2022-01-20",
        "createUserId":8244,
        "updateTime":"2022-01-20"
        }
}

```

### 查看站点业务

**请求URL:** site/business/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看站点业务，返回实例详细信息

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|Long|主键,唯一|是|-

**请求样例:**
```

    http://localhost/site/business/info?id=549

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|序号，主键，自增长|-
&emsp;siteId|Long|站点ID|-
&emsp;siteName|String|站点名称|-
&emsp;ancestors|String|祖级列表，逗号分隔|-
&emsp;businessId|Long|业务ID|-
&emsp;isBusiness|Integer|业务类型(0.一级业务,1.二级业务)|-
&emsp;parentId|Long|业务父级ID|-
&emsp;businessName|String|业务名称|-
&emsp;status|Integer|业务状态 (0.停用，1.正常)|-
&emsp;createTime|Date|创建时间|-
&emsp;createUserId|Long|创建用户|-
&emsp;updateTime|Date|修改时间|-
dict|object|字典对象|-
&emsp;isBusiness|object|字典属性对象，详见附录|-
&emsp;status|object|字典属性对象，详见附录|-


**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":6359,
            "siteId":7183,
            "siteName":"ogqt4r",
            "ancestors":"9hbmif",
            "businessId":3215,
            "isBusiness":7872,
            "parentId":3603,
            "businessName":"lm7xuz",
            "status":9670,
            "createTime":"2022-01-20",
            "createUserId":3441,
            "updateTime":"2022-01-20"
        }
}
```

### 保存更新站点业务

**请求URL:** site/business/save

**请求方式:** POST


**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新站点业务：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
siteId|Long|站点ID|是|-
siteName|String|站点名称|是|-
ancestors|String|祖级列表，逗号分隔|是|-
businessId|Long|业务ID|是|-
isBusiness|Integer|业务类型(0.一级业务,1.二级业务)|是|-
parentId|Long|业务父级ID|是|-
businessName|String|业务名称|是|-
status|Integer|业务状态 (0.停用，1.正常)|是|-

**请求样例:**
```

{
    "siteId":1528,
    "siteName":"1tu3gc",
    "ancestors":"3pl8ft",
    "businessId":7906,
    "isBusiness":7336,
    "parentId":9290,
    "businessName":"7cqyft",
    "status":474,
}

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|保存后主键id|-
&emsp;entity|object|保存更新实体|对象
&emsp;&emsp;id|Long|序号，主键，自增长|-
&emsp;&emsp;siteId|Long|站点ID|-
&emsp;&emsp;siteName|String|站点名称|-
&emsp;&emsp;ancestors|String|祖级列表，逗号分隔|-
&emsp;&emsp;businessId|Long|业务ID|-
&emsp;&emsp;isBusiness|Integer|业务类型(0.一级业务,1.二级业务)|-
&emsp;&emsp;parentId|Long|业务父级ID|-
&emsp;&emsp;businessName|String|业务名称|-
&emsp;&emsp;status|Integer|业务状态 (0.停用，1.正常)|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-

**响应消息样例:**
```

{
    "msg":"新增模块成功",
    "code":1,
    "data":{
            "__mortals_form_state__":"ADD",
            "id":4,
            "entity":{
                "createTime":1642486776780,
                "id":4,
                "modelCode":"phxt1",
                "modelName":"排号系统4",
                "updateTime":1642486776780
            }
    }
}

```


### 删除站点业务

**请求URL:** site/business/delete

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除站点业务

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|String|字符串，多个逗号分隔|是|-

**请求样例:**
```

    http://localhost:8080/site/business/delete?id=1'

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-


**响应消息样例:**
```

{
    "code":1,
	"msg":"成功"

}

```

### 导出站点业务

**请求URL:** site/business/exportExcel

**请求方式:** POST


**内容类型:** application/json;charset=utf-8

**简要描述:** 导出站点业务

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
idList|Arrays|id数组|否|需要导出的多项

**请求样例:**
```
{
    idList:[1,2],

}


```

**Response-example:**
```
...

```


## 业务事项关联

### 查询业务事项关联列表

**请求URL:** business/matter/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询业务事项关联

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
page|Integer|当前页|否|-
size|Integer|每页条数|否|-
siteId|Long|站点ID|否|-
siteBusinessId|Long|业务id|否|-
matterId|Long|事项id|否|-

**请求样例:**
```

  {
        "siteId":6325,
        "siteBusinessId":8310,
        "matterId":7540,
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;per_page|Integer|每页条数|-
&emsp;total|Integer|总条数|-
&emsp;last_page|Integer|总页数|-
&emsp;current_page|Integer|当前页|-
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长|-
&emsp;&emsp;siteId|Long|站点ID|-
&emsp;&emsp;siteName|String|站点名称|-
&emsp;&emsp;siteBusinessId|Long|业务id|-
&emsp;&emsp;siteBusinessName|String|业务名称|-
&emsp;&emsp;matterId|Long|事项id|-
&emsp;&emsp;matterName|String|事项名称|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-
dict|object|字典对象|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "per_page":10,
        "total":0,
        "data":[],
        "last_page":0,
        "current_page":1
    },
    "query":{
        "modelCode":"phxt1",
        "modelName":"排号系统"
    }
}
```

### 编辑业务事项关联

**请求URL:** business/matter/edit

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 编辑业务事项关联，返回实例详细信息

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|Long|主键,唯一|是|-

**请求样例:**
```

    http://localhost/business/matter/edit?id=549

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|序号，主键，自增长|-
&emsp;siteId|Long|站点ID|-
&emsp;siteName|String|站点名称|-
&emsp;siteBusinessId|Long|业务id|-
&emsp;siteBusinessName|String|业务名称|-
&emsp;matterId|Long|事项id|-
&emsp;matterName|String|事项名称|-
&emsp;createTime|Date|创建时间|-
&emsp;createUserId|Long|创建用户|-
&emsp;updateTime|Date|修改时间|-
dict|object|字典对象|-


**响应消息样例:**
```

{
    "code": 1,
    "data": {
        "id":5149,
        "siteId":3016,
        "siteName":"xa8bsw",
        "siteBusinessId":5374,
        "siteBusinessName":"tevtz5",
        "matterId":4836,
        "matterName":"zumxgv",
        "createTime":"2022-01-20",
        "createUserId":2180,
        "updateTime":"2022-01-20"
        }
}

```

### 查看业务事项关联

**请求URL:** business/matter/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看业务事项关联，返回实例详细信息

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|Long|主键,唯一|是|-

**请求样例:**
```

    http://localhost/business/matter/info?id=549

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|序号，主键，自增长|-
&emsp;siteId|Long|站点ID|-
&emsp;siteName|String|站点名称|-
&emsp;siteBusinessId|Long|业务id|-
&emsp;siteBusinessName|String|业务名称|-
&emsp;matterId|Long|事项id|-
&emsp;matterName|String|事项名称|-
&emsp;createTime|Date|创建时间|-
&emsp;createUserId|Long|创建用户|-
&emsp;updateTime|Date|修改时间|-
dict|object|字典对象|-


**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":1854,
            "siteId":5756,
            "siteName":"0qgv9z",
            "siteBusinessId":5724,
            "siteBusinessName":"vkd4ei",
            "matterId":7383,
            "matterName":"bne31q",
            "createTime":"2022-01-20",
            "createUserId":9528,
            "updateTime":"2022-01-20"
        }
}
```

### 保存更新业务事项关联

**请求URL:** business/matter/save

**请求方式:** POST


**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新业务事项关联：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
siteId|Long|站点ID|是|-
siteName|String|站点名称|是|-
siteBusinessId|Long|业务id|是|-
siteBusinessName|String|业务名称|是|-
matterId|Long|事项id|是|-
matterName|String|事项名称|是|-

**请求样例:**
```

{
    "siteId":3701,
    "siteName":"1g9g6a",
    "siteBusinessId":5174,
    "siteBusinessName":"l9it9g",
    "matterId":3695,
    "matterName":"nx48a4",
}

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|保存后主键id|-
&emsp;entity|object|保存更新实体|对象
&emsp;&emsp;id|Long|序号，主键，自增长|-
&emsp;&emsp;siteId|Long|站点ID|-
&emsp;&emsp;siteName|String|站点名称|-
&emsp;&emsp;siteBusinessId|Long|业务id|-
&emsp;&emsp;siteBusinessName|String|业务名称|-
&emsp;&emsp;matterId|Long|事项id|-
&emsp;&emsp;matterName|String|事项名称|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-

**响应消息样例:**
```

{
    "msg":"新增模块成功",
    "code":1,
    "data":{
            "__mortals_form_state__":"ADD",
            "id":4,
            "entity":{
                "createTime":1642486776780,
                "id":4,
                "modelCode":"phxt1",
                "modelName":"排号系统4",
                "updateTime":1642486776780
            }
    }
}

```


### 删除业务事项关联

**请求URL:** business/matter/delete

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除业务事项关联

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|String|字符串，多个逗号分隔|是|-

**请求样例:**
```

    http://localhost:8080/business/matter/delete?id=1'

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-


**响应消息样例:**
```

{
    "code":1,
	"msg":"成功"

}

```


## 窗口业务

### 查询窗口业务列表

**请求URL:** window/business/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询窗口业务

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
page|Integer|当前页|否|-
size|Integer|每页条数|否|-
windowId|Long|窗口id|否|-
siteBusinessId|Long|站点业务ID|否|-

**请求样例:**
```

  {
        "windowId":608,
        "siteBusinessId":3179,
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;per_page|Integer|每页条数|-
&emsp;total|Integer|总条数|-
&emsp;last_page|Integer|总页数|-
&emsp;current_page|Integer|当前页|-
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长|-
&emsp;&emsp;windowId|Long|窗口id|-
&emsp;&emsp;windowName|String|窗口名称|-
&emsp;&emsp;siteBusinessId|Long|站点业务ID|-
&emsp;&emsp;businessName|String|业务名称|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-
dict|object|字典对象|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "per_page":10,
        "total":0,
        "data":[],
        "last_page":0,
        "current_page":1
    },
    "query":{
        "modelCode":"phxt1",
        "modelName":"排号系统"
    }
}
```

### 编辑窗口业务

**请求URL:** window/business/edit

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 编辑窗口业务，返回实例详细信息

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|Long|主键,唯一|是|-

**请求样例:**
```

    http://localhost/window/business/edit?id=549

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|序号，主键，自增长|-
&emsp;windowId|Long|窗口id|-
&emsp;windowName|String|窗口名称|-
&emsp;siteBusinessId|Long|站点业务ID|-
&emsp;businessName|String|业务名称|-
&emsp;createTime|Date|创建时间|-
&emsp;createUserId|Long|创建用户|-
&emsp;updateTime|Date|修改时间|-
dict|object|字典对象|-


**响应消息样例:**
```

{
    "code": 1,
    "data": {
        "id":9054,
        "windowId":9388,
        "windowName":"91g1pc",
        "siteBusinessId":5046,
        "businessName":"l9tl7i",
        "createTime":"2022-01-20",
        "createUserId":7999,
        "updateTime":"2022-01-20"
        }
}

```

### 查看窗口业务

**请求URL:** window/business/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看窗口业务，返回实例详细信息

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|Long|主键,唯一|是|-

**请求样例:**
```

    http://localhost/window/business/info?id=549

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|序号，主键，自增长|-
&emsp;windowId|Long|窗口id|-
&emsp;windowName|String|窗口名称|-
&emsp;siteBusinessId|Long|站点业务ID|-
&emsp;businessName|String|业务名称|-
&emsp;createTime|Date|创建时间|-
&emsp;createUserId|Long|创建用户|-
&emsp;updateTime|Date|修改时间|-
dict|object|字典对象|-


**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":609,
            "windowId":4474,
            "windowName":"ino2e2",
            "siteBusinessId":4469,
            "businessName":"3y0ohl",
            "createTime":"2022-01-20",
            "createUserId":1459,
            "updateTime":"2022-01-20"
        }
}
```

### 保存更新窗口业务

**请求URL:** window/business/save

**请求方式:** POST


**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新窗口业务：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
windowId|Long|窗口id|是|-
windowName|String|窗口名称|是|-
siteBusinessId|Long|站点业务ID|是|-
businessName|String|业务名称|是|-

**请求样例:**
```

{
    "windowId":4074,
    "windowName":"2ebok4",
    "siteBusinessId":4104,
    "businessName":"67os3n",
}

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|保存后主键id|-
&emsp;entity|object|保存更新实体|对象
&emsp;&emsp;id|Long|序号，主键，自增长|-
&emsp;&emsp;windowId|Long|窗口id|-
&emsp;&emsp;windowName|String|窗口名称|-
&emsp;&emsp;siteBusinessId|Long|站点业务ID|-
&emsp;&emsp;businessName|String|业务名称|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-

**响应消息样例:**
```

{
    "msg":"新增模块成功",
    "code":1,
    "data":{
            "__mortals_form_state__":"ADD",
            "id":4,
            "entity":{
                "createTime":1642486776780,
                "id":4,
                "modelCode":"phxt1",
                "modelName":"排号系统4",
                "updateTime":1642486776780
            }
    }
}

```


### 删除窗口业务

**请求URL:** window/business/delete

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除窗口业务

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|String|字符串，多个逗号分隔|是|-

**请求样例:**
```

    http://localhost:8080/window/business/delete?id=1'

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-


**响应消息样例:**
```

{
    "code":1,
	"msg":"成功"

}

```



## 窗口事项

### 查询窗口事项列表

**请求URL:** window/matter/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询窗口事项

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
page|Integer|当前页|否|-
size|Integer|每页条数|否|-
windowId|Long|窗口ID|否|-
siteMatterId|Long|站点事项ID|否|-
deptId|Long|部门ID|否|-

**请求样例:**
```

  {
        "windowId":4378,
        "siteMatterId":4903,
        "deptId":7226,
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;per_page|Integer|每页条数|-
&emsp;total|Integer|总条数|-
&emsp;last_page|Integer|总页数|-
&emsp;current_page|Integer|当前页|-
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长|-
&emsp;&emsp;windowId|Long|窗口ID|-
&emsp;&emsp;windowName|String|窗口名称|-
&emsp;&emsp;siteMatterId|Long|站点事项ID|-
&emsp;&emsp;matterName|String|事项名称|-
&emsp;&emsp;deptId|Long|部门ID|-
&emsp;&emsp;deptName|String|部门名称|-
&emsp;&emsp;isShow|Integer|是否显示 (1.是，0.否)|-
&emsp;&emsp;sort|Integer|排序|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-
dict|object|字典对象|-
&emsp;isShow|object|字典属性对象，详见附录|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "per_page":10,
        "total":0,
        "data":[],
        "last_page":0,
        "current_page":1
    },
    "query":{
        "modelCode":"phxt1",
        "modelName":"排号系统"
    }
}
```

### 编辑窗口事项

**请求URL:** window/matter/edit

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 编辑窗口事项，返回实例详细信息

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|Long|主键,唯一|是|-

**请求样例:**
```

    http://localhost/window/matter/edit?id=549

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|序号，主键，自增长|-
&emsp;windowId|Long|窗口ID|-
&emsp;windowName|String|窗口名称|-
&emsp;siteMatterId|Long|站点事项ID|-
&emsp;matterName|String|事项名称|-
&emsp;deptId|Long|部门ID|-
&emsp;deptName|String|部门名称|-
&emsp;isShow|Integer|是否显示 (1.是，0.否)|-
&emsp;sort|Integer|排序|-
&emsp;createTime|Date|创建时间|-
&emsp;createUserId|Long|创建用户|-
&emsp;updateTime|Date|修改时间|-
dict|object|字典对象|-
&emsp;isShow|object|字典属性对象，详见附录|-


**响应消息样例:**
```

{
    "code": 1,
    "data": {
        "id":4435,
        "windowId":7979,
        "windowName":"3snntv",
        "siteMatterId":514,
        "matterName":"9lncck",
        "deptId":2040,
        "deptName":"fk0wus",
        "isShow":4456,
        "sort":6356,
        "createTime":"2022-01-20",
        "createUserId":5285,
        "updateTime":"2022-01-20"
        }
}

```

### 查看窗口事项

**请求URL:** window/matter/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看窗口事项，返回实例详细信息

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|Long|主键,唯一|是|-

**请求样例:**
```

    http://localhost/window/matter/info?id=549

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|序号，主键，自增长|-
&emsp;windowId|Long|窗口ID|-
&emsp;windowName|String|窗口名称|-
&emsp;siteMatterId|Long|站点事项ID|-
&emsp;matterName|String|事项名称|-
&emsp;deptId|Long|部门ID|-
&emsp;deptName|String|部门名称|-
&emsp;isShow|Integer|是否显示 (1.是，0.否)|-
&emsp;sort|Integer|排序|-
&emsp;createTime|Date|创建时间|-
&emsp;createUserId|Long|创建用户|-
&emsp;updateTime|Date|修改时间|-
dict|object|字典对象|-
&emsp;isShow|object|字典属性对象，详见附录|-


**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":6053,
            "windowId":69,
            "windowName":"64rwjk",
            "siteMatterId":8665,
            "matterName":"hjnkoq",
            "deptId":1727,
            "deptName":"yckvo6",
            "isShow":9799,
            "sort":6368,
            "createTime":"2022-01-20",
            "createUserId":1039,
            "updateTime":"2022-01-20"
        }
}
```

### 保存更新窗口事项

**请求URL:** window/matter/save

**请求方式:** POST


**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新窗口事项：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
windowId|Long|窗口ID|是|-
windowName|String|窗口名称|是|-
siteMatterId|Long|站点事项ID|是|-
matterName|String|事项名称|是|-
deptId|Long|部门ID|是|-
deptName|String|部门名称|是|-
isShow|Integer|是否显示 (1.是，0.否)|是|-
sort|Integer|排序|是|-

**请求样例:**
```

{
    "windowId":8143,
    "windowName":"mtv5rh",
    "siteMatterId":6893,
    "matterName":"epawga",
    "deptId":5288,
    "deptName":"ivpfm8",
    "isShow":5062,
    "sort":4093,
}

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|保存后主键id|-
&emsp;entity|object|保存更新实体|对象
&emsp;&emsp;id|Long|序号，主键，自增长|-
&emsp;&emsp;windowId|Long|窗口ID|-
&emsp;&emsp;windowName|String|窗口名称|-
&emsp;&emsp;siteMatterId|Long|站点事项ID|-
&emsp;&emsp;matterName|String|事项名称|-
&emsp;&emsp;deptId|Long|部门ID|-
&emsp;&emsp;deptName|String|部门名称|-
&emsp;&emsp;isShow|Integer|是否显示 (1.是，0.否)|-
&emsp;&emsp;sort|Integer|排序|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-

**响应消息样例:**
```

{
    "msg":"新增模块成功",
    "code":1,
    "data":{
            "__mortals_form_state__":"ADD",
            "id":4,
            "entity":{
                "createTime":1642486776780,
                "id":4,
                "modelCode":"phxt1",
                "modelName":"排号系统4",
                "updateTime":1642486776780
            }
    }
}

```


### 删除窗口事项

**请求URL:** window/matter/delete

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除窗口事项

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|String|字符串，多个逗号分隔|是|-

**请求样例:**
```

    http://localhost:8080/window/matter/delete?id=1'

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-


**响应消息样例:**
```

{
    "code":1,
	"msg":"成功"

}

```


## 短信设置

### 查询短信设置列表

**请求URL:** sms/set/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询短信设置

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
page|Integer|当前页|否|-
size|Integer|每页条数|否|-
sign|String|短信签名|否|-
username|String|用户名|否|-
messageoff|Integer|短信开关 (1.开,0.关)|否|-
siteId|Long|站点id|否|-

**请求样例:**
```

  {
        "sign":"herm5b",
        "username":"k8rjm8",
        "messageoff":3168,
        "siteId":7832,
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;per_page|Integer|每页条数|-
&emsp;total|Integer|总条数|-
&emsp;last_page|Integer|总页数|-
&emsp;current_page|Integer|当前页|-
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长|-
&emsp;&emsp;sign|String|短信签名|-
&emsp;&emsp;lastnum|Long|剩余短信条数|-
&emsp;&emsp;username|String|用户名|-
&emsp;&emsp;messageoff|Integer|短信开关 (1.开,0.关)|-
&emsp;&emsp;siteId|Long|站点id|-
&emsp;&emsp;smsplatform|Integer|短信平台 (1.容联,2.阿里云,3.移动)|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-
&emsp;&emsp;siteName|String|站点名称|-
dict|object|字典对象|-
&emsp;messageoff|object|字典属性对象，详见附录|-
&emsp;smsplatform|object|字典属性对象，详见附录|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "per_page":10,
        "total":0,
        "data":[],
        "last_page":0,
        "current_page":1
    },
    "query":{
        "modelCode":"phxt1",
        "modelName":"排号系统"
    }
}
```

### 编辑短信设置

**请求URL:** sms/set/edit

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 编辑短信设置，返回实例详细信息

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|Long|主键,唯一|是|-

**请求样例:**
```

    http://localhost/sms/set/edit?id=549

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|序号，主键，自增长|-
&emsp;sign|String|短信签名|-
&emsp;lastnum|Long|剩余短信条数|-
&emsp;username|String|用户名|-
&emsp;messageoff|Integer|短信开关 (1.开,0.关)|-
&emsp;siteId|Long|站点id|-
&emsp;smsplatform|Integer|短信平台 (1.容联,2.阿里云,3.移动)|-
&emsp;createTime|Date|创建时间|-
&emsp;createUserId|Long|创建用户|-
&emsp;updateTime|Date|修改时间|-
&emsp;siteName|String|站点名称|-
dict|object|字典对象|-
&emsp;messageoff|object|字典属性对象，详见附录|-
&emsp;smsplatform|object|字典属性对象，详见附录|-


**响应消息样例:**
```

{
    "code": 1,
    "data": {
        "id":173,
        "sign":"lprw14",
        "lastnum":7407,
        "username":"4odtcp",
        "messageoff":7440,
        "siteId":9085,
        "smsplatform":252,
        "createTime":"2022-01-20",
        "createUserId":7406,
        "updateTime":"2022-01-20",
        "siteName":"9qysq6"
        }
}

```

### 查看短信设置

**请求URL:** sms/set/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看短信设置，返回实例详细信息

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|Long|主键,唯一|是|-

**请求样例:**
```

    http://localhost/sms/set/info?id=549

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|序号，主键，自增长|-
&emsp;sign|String|短信签名|-
&emsp;lastnum|Long|剩余短信条数|-
&emsp;username|String|用户名|-
&emsp;messageoff|Integer|短信开关 (1.开,0.关)|-
&emsp;siteId|Long|站点id|-
&emsp;smsplatform|Integer|短信平台 (1.容联,2.阿里云,3.移动)|-
&emsp;createTime|Date|创建时间|-
&emsp;createUserId|Long|创建用户|-
&emsp;updateTime|Date|修改时间|-
&emsp;siteName|String|站点名称|-
dict|object|字典对象|-
&emsp;messageoff|object|字典属性对象，详见附录|-
&emsp;smsplatform|object|字典属性对象，详见附录|-


**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":1811,
            "sign":"1ffeg2",
            "lastnum":5127,
            "username":"qt4319",
            "messageoff":7831,
            "siteId":4841,
            "smsplatform":8219,
            "createTime":"2022-01-20",
            "createUserId":2656,
            "updateTime":"2022-01-20",
            "siteName":"nq62ur"
        }
}
```

### 保存更新短信设置

**请求URL:** sms/set/save

**请求方式:** POST


**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新短信设置：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
sign|String|短信签名|是|-
lastnum|Long|剩余短信条数|是|-
username|String|用户名|是|-
messageoff|Integer|短信开关 (1.开,0.关)|是|-
siteId|Long|站点id|是|-
smsplatform|Integer|短信平台 (1.容联,2.阿里云,3.移动)|是|-
siteName|String|站点名称|是|-

**请求样例:**
```

{
    "sign":"vpi4wk",
    "lastnum":4582,
    "username":"n36o5j",
    "messageoff":322,
    "siteId":2436,
    "smsplatform":7023,
    "siteName":"td3b9x"
}

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|保存后主键id|-
&emsp;entity|object|保存更新实体|对象
&emsp;&emsp;id|Long|序号，主键，自增长|-
&emsp;&emsp;sign|String|短信签名|-
&emsp;&emsp;lastnum|Long|剩余短信条数|-
&emsp;&emsp;username|String|用户名|-
&emsp;&emsp;messageoff|Integer|短信开关 (1.开,0.关)|-
&emsp;&emsp;siteId|Long|站点id|-
&emsp;&emsp;smsplatform|Integer|短信平台 (1.容联,2.阿里云,3.移动)|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-
&emsp;&emsp;siteName|String|站点名称|-

**响应消息样例:**
```

{
    "msg":"新增模块成功",
    "code":1,
    "data":{
            "__mortals_form_state__":"ADD",
            "id":4,
            "entity":{
                "createTime":1642486776780,
                "id":4,
                "modelCode":"phxt1",
                "modelName":"排号系统4",
                "updateTime":1642486776780
            }
    }
}

```


### 删除短信设置

**请求URL:** sms/set/delete

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除短信设置

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|String|字符串，多个逗号分隔|是|-

**请求样例:**
```

    http://localhost:8080/sms/set/delete?id=1'

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-


**响应消息样例:**
```

{
    "code":1,
	"msg":"成功"

}

```



## 短信模板

### 查询短信模板列表

**请求URL:** sms/template/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询短信模板

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
page|Integer|当前页|否|-
size|Integer|每页条数|否|-
siteid|Long|站点ID|否|-
code|String|模板code|否|-

**请求样例:**
```

  {
        "siteid":5023,
        "code":"aystj7",
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;per_page|Integer|每页条数|-
&emsp;total|Integer|总条数|-
&emsp;last_page|Integer|总页数|-
&emsp;current_page|Integer|当前页|-
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长|-
&emsp;&emsp;siteid|Long|站点ID|-
&emsp;&emsp;code|String|模板code|-
&emsp;&emsp;summary|String|备注|-
&emsp;&emsp;content|String|内容|-
&emsp;&emsp;type|Integer|模板选择 (1.预约成功短信,2.取号成功短信,3.临近叫号短信)|-
&emsp;&emsp;source|Integer|系统来源(1.排号系统,2.取件系统）|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-
&emsp;&emsp;siteName|String|站点名称|-
dict|object|字典对象|-
&emsp;type|object|字典属性对象，详见附录|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "per_page":10,
        "total":0,
        "data":[],
        "last_page":0,
        "current_page":1
    },
    "query":{
        "modelCode":"phxt1",
        "modelName":"排号系统"
    }
}
```

### 编辑短信模板

**请求URL:** sms/template/edit

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 编辑短信模板，返回实例详细信息

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|Long|主键,唯一|是|-

**请求样例:**
```

    http://localhost/sms/template/edit?id=549

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|序号，主键，自增长|-
&emsp;siteid|Long|站点ID|-
&emsp;code|String|模板code|-
&emsp;summary|String|备注|-
&emsp;content|String|内容|-
&emsp;type|Integer|模板选择 (1.预约成功短信,2.取号成功短信,3.临近叫号短信)|-
&emsp;source|Integer|系统来源(1.排号系统,2.取件系统）|-
&emsp;createTime|Date|创建时间|-
&emsp;createUserId|Long|创建用户|-
&emsp;updateTime|Date|修改时间|-
&emsp;siteName|String|站点名称|-
dict|object|字典对象|-
&emsp;type|object|字典属性对象，详见附录|-


**响应消息样例:**
```

{
    "code": 1,
    "data": {
        "id":682,
        "siteid":4489,
        "code":"qqe2yk",
        "summary":"mi10as",
        "content":"2xje1r",
        "type":3219,
        "source":4692,
        "createTime":"2022-01-20",
        "createUserId":7339,
        "updateTime":"2022-01-20",
        "siteName":"18t291"
        }
}

```

### 查看短信模板

**请求URL:** sms/template/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看短信模板，返回实例详细信息

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|Long|主键,唯一|是|-

**请求样例:**
```

    http://localhost/sms/template/info?id=549

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|序号，主键，自增长|-
&emsp;siteid|Long|站点ID|-
&emsp;code|String|模板code|-
&emsp;summary|String|备注|-
&emsp;content|String|内容|-
&emsp;type|Integer|模板选择 (1.预约成功短信,2.取号成功短信,3.临近叫号短信)|-
&emsp;source|Integer|系统来源(1.排号系统,2.取件系统）|-
&emsp;createTime|Date|创建时间|-
&emsp;createUserId|Long|创建用户|-
&emsp;updateTime|Date|修改时间|-
&emsp;siteName|String|站点名称|-
dict|object|字典对象|-
&emsp;type|object|字典属性对象，详见附录|-


**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":9282,
            "siteid":286,
            "code":"ek95u9",
            "summary":"2eulo7",
            "content":"dqmtxi",
            "type":3013,
            "source":2256,
            "createTime":"2022-01-20",
            "createUserId":1265,
            "updateTime":"2022-01-20",
            "siteName":"480o1d"
        }
}
```

### 保存更新短信模板

**请求URL:** sms/template/save

**请求方式:** POST


**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新短信模板：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
siteid|Long|站点ID|是|-
code|String|模板code|是|-
summary|String|备注|是|-
content|String|内容|是|-
type|Integer|模板选择 (1.预约成功短信,2.取号成功短信,3.临近叫号短信)|是|-
source|Integer|系统来源(1.排号系统,2.取件系统）|是|-
siteName|String|站点名称|是|-

**请求样例:**
```

{
    "siteid":555,
    "code":"61ggk9",
    "summary":"pjd65w",
    "content":"c5ebwu",
    "type":4127,
    "source":2791,
    "siteName":"dl66lx"
}

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|保存后主键id|-
&emsp;entity|object|保存更新实体|对象
&emsp;&emsp;id|Long|序号，主键，自增长|-
&emsp;&emsp;siteid|Long|站点ID|-
&emsp;&emsp;code|String|模板code|-
&emsp;&emsp;summary|String|备注|-
&emsp;&emsp;content|String|内容|-
&emsp;&emsp;type|Integer|模板选择 (1.预约成功短信,2.取号成功短信,3.临近叫号短信)|-
&emsp;&emsp;source|Integer|系统来源(1.排号系统,2.取件系统）|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-
&emsp;&emsp;siteName|String|站点名称|-

**响应消息样例:**
```

{
    "msg":"新增模块成功",
    "code":1,
    "data":{
            "__mortals_form_state__":"ADD",
            "id":4,
            "entity":{
                "createTime":1642486776780,
                "id":4,
                "modelCode":"phxt1",
                "modelName":"排号系统4",
                "updateTime":1642486776780
            }
    }
}

```


### 删除短信模板

**请求URL:** sms/template/delete

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除短信模板

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|String|字符串，多个逗号分隔|是|-

**请求样例:**
```

    http://localhost:8080/sms/template/delete?id=1'

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-


**响应消息样例:**
```

{
    "code":1,
	"msg":"成功"

}

```

### 导出短信模板

**请求URL:** sms/template/exportExcel

**请求方式:** POST


**内容类型:** application/json;charset=utf-8

**简要描述:** 导出短信模板

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
idList|Arrays|id数组|否|需要导出的多项
        siteid|Long|站点ID|否|参数查询条件
        code|String|模板code|否|参数查询条件

**请求样例:**
```
{
    idList:[1,2],
        "siteid":7279,
        "code":"ehvjms",

}


```

**Response-example:**
```
...

```

## 节假日

### 查询节假日列表

**请求URL:** holiday/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询节假日

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
page|Integer|当前页|否|-
size|Integer|每页条数|否|-
siteId|Long|站点ID|否|-
name|String|节日名称|否|-
year|Integer|年份|否|-

**请求样例:**
```

  {
        "siteId":8753,
        "name":"3mddm4",
        "year":4926,
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;per_page|Integer|每页条数|-
&emsp;total|Integer|总条数|-
&emsp;last_page|Integer|总页数|-
&emsp;current_page|Integer|当前页|-
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长|-
&emsp;&emsp;siteId|Long|站点ID|-
&emsp;&emsp;name|String|节日名称|-
&emsp;&emsp;summary|String|备注|-
&emsp;&emsp;year|Integer|年份|-
&emsp;&emsp;startTime|Date|开始时间|-
&emsp;&emsp;endTime|Date|结束时间|-
&emsp;&emsp;workorholiday|Integer|是否工作日（0.节假日,1.工作日)|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-
dict|object|字典对象|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "per_page":10,
        "total":0,
        "data":[],
        "last_page":0,
        "current_page":1
    },
    "query":{
        "modelCode":"phxt1",
        "modelName":"排号系统"
    }
}
```

### 编辑节假日

**请求URL:** holiday/edit

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 编辑节假日，返回实例详细信息

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|Long|主键,唯一|是|-

**请求样例:**
```

    http://localhost/holiday/edit?id=549

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|序号，主键，自增长|-
&emsp;siteId|Long|站点ID|-
&emsp;name|String|节日名称|-
&emsp;summary|String|备注|-
&emsp;year|Integer|年份|-
&emsp;startTime|Date|开始时间|-
&emsp;endTime|Date|结束时间|-
&emsp;workorholiday|Integer|是否工作日（0.节假日,1.工作日)|-
&emsp;createTime|Date|创建时间|-
&emsp;createUserId|Long|创建用户|-
&emsp;updateTime|Date|修改时间|-
dict|object|字典对象|-


**响应消息样例:**
```

{
    "code": 1,
    "data": {
        "id":9597,
        "siteId":1626,
        "name":"mpayfr",
        "summary":"su501b",
        "year":3036,
        "startTime":"2022-01-20",
        "endTime":"2022-01-20",
        "workorholiday":6394,
        "createTime":"2022-01-20",
        "createUserId":1462,
        "updateTime":"2022-01-20"
        }
}

```

### 查看节假日

**请求URL:** holiday/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看节假日，返回实例详细信息

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|Long|主键,唯一|是|-

**请求样例:**
```

    http://localhost/holiday/info?id=549

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|序号，主键，自增长|-
&emsp;siteId|Long|站点ID|-
&emsp;name|String|节日名称|-
&emsp;summary|String|备注|-
&emsp;year|Integer|年份|-
&emsp;startTime|Date|开始时间|-
&emsp;endTime|Date|结束时间|-
&emsp;workorholiday|Integer|是否工作日（0.节假日,1.工作日)|-
&emsp;createTime|Date|创建时间|-
&emsp;createUserId|Long|创建用户|-
&emsp;updateTime|Date|修改时间|-
dict|object|字典对象|-


**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":9570,
            "siteId":6109,
            "name":"bhjyt6",
            "summary":"vwtu13",
            "year":4021,
            "startTime":"2022-01-20",
            "endTime":"2022-01-20",
            "workorholiday":9042,
            "createTime":"2022-01-20",
            "createUserId":5336,
            "updateTime":"2022-01-20"
        }
}
```

### 保存更新节假日

**请求URL:** holiday/save

**请求方式:** POST


**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新节假日：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
siteId|Long|站点ID|是|-
name|String|节日名称|是|-
summary|String|备注|是|-
year|Integer|年份|是|-
startTime|Date|开始时间|是|-
endTime|Date|结束时间|是|-
workorholiday|Integer|是否工作日（0.节假日,1.工作日)|是|-

**请求样例:**
```

{
    "siteId":2820,
    "name":"4fyqim",
    "summary":"vw50f4",
    "year":3721,
    "startTime":"2022-01-20",
    "endTime":"2022-01-20",
    "workorholiday":6137,
}

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|保存后主键id|-
&emsp;entity|object|保存更新实体|对象
&emsp;&emsp;id|Long|序号，主键，自增长|-
&emsp;&emsp;siteId|Long|站点ID|-
&emsp;&emsp;name|String|节日名称|-
&emsp;&emsp;summary|String|备注|-
&emsp;&emsp;year|Integer|年份|-
&emsp;&emsp;startTime|Date|开始时间|-
&emsp;&emsp;endTime|Date|结束时间|-
&emsp;&emsp;workorholiday|Integer|是否工作日（0.节假日,1.工作日)|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-

**响应消息样例:**
```

{
    "msg":"新增模块成功",
    "code":1,
    "data":{
            "__mortals_form_state__":"ADD",
            "id":4,
            "entity":{
                "createTime":1642486776780,
                "id":4,
                "modelCode":"phxt1",
                "modelName":"排号系统4",
                "updateTime":1642486776780
            }
    }
}

```


### 删除节假日

**请求URL:** holiday/delete

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除节假日

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|String|字符串，多个逗号分隔|是|-

**请求样例:**
```

    http://localhost:8080/holiday/delete?id=1'

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-


**响应消息样例:**
```

{
    "code":1,
	"msg":"成功"

}

```

### 导出节假日

**请求URL:** holiday/exportExcel

**请求方式:** POST


**内容类型:** application/json;charset=utf-8

**简要描述:** 导出节假日

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
idList|Arrays|id数组|否|需要导出的多项
        siteId|Long|站点ID|否|参数查询条件
        name|String|节日名称|否|参数查询条件
        year|Integer|年份|否|参数查询条件

**请求样例:**
```
{
    idList:[1,2],
        "siteId":7898,
        "name":"n5z18l",
        "year":1876,

}


```

**Response-example:**
```
...

```



## 字典附录

### isBusiness
字典参数key|字典参数值|其它
---|---|---
0|一级业务|-
1|二级业务|-

### canorder
字典参数key|字典参数值|其它
---|---|---
1|允许|-
0|不允许|-

### cantake
字典参数key|字典参数值|其它
---|---|---
1|允许|-
0|不允许|-

### datashow
字典参数key|字典参数值|其它
---|---|---
1|展示|-
0|不展示|-

### status
字典参数key|字典参数值|其它
---|---|---
0|停用|-
1|正常|-







### isAutotable
字典参数key|字典参数值|其它
---|---|---
0|否|-
1|是|-

### isOrder
字典参数key|字典参数值|其它
---|---|---
0|否|-
1|是|-

### isBkb
字典参数key|字典参数值|其它
---|---|---
0|否|-
1|是|-

### isWorkGuide
字典参数key|字典参数值|其它
---|---|---
0|否|-
1|是|-

### usValid
字典参数key|字典参数值|其它
---|---|---
0|否|-
1|是|-

### isSecphone
字典参数key|字典参数值|其它
---|---|---
0|否|-
1|是|-

### isEnglish
字典参数key|字典参数值|其它
---|---|---
0|否|-
1|是|-













### source
字典参数key|字典参数值|其它
---|---|---
0|政务网|-
1|自定义|-







### source
字典参数key|字典参数值|其它
---|---|---
0|政务网|-
1|自定义|-







### filetype
字典参数key|字典参数值|其它
---|---|---
1|示例样表|-
2|空白表格|-

### source
字典参数key|字典参数值|其它
---|---|---
0|政务网|-
1|自定义|-







### source
字典参数key|字典参数值|其它
---|---|---
0|政务网|-
1|自定义|-







### source
字典参数key|字典参数值|其它
---|---|---
0|政务网|-
1|自定义|-







### source
字典参数key|字典参数值|其它
---|---|---
0|政务网|-
1|自定义|-







### policyType
字典参数key|字典参数值|其它
---|---|---
1|法律|-
2|行政法规|-
3|地方法规|-
4|部门规章|-
5|其他|-
6|政府规章|-
7|规范性文件|-

### source
字典参数key|字典参数值|其它
---|---|---
0|政务网|-
1|自定义|-



















### messageoff
字典参数key|字典参数值|其它
---|---|---
1|开|-
0|关|-

### smsplatform
字典参数key|字典参数值|其它
---|---|---
1|容联|-
2|阿里云|-
3|移动|-







### type
字典参数key|字典参数值|其它
---|---|---
1|预约成功短信|-
2|取号成功短信|-
3|临近叫号短信|-







### online
字典参数key|字典参数值|其它
---|---|---
0|离线|-
1|在线|-
2|暂离|-
3|点击暂离|-
4|回归|-
5|登陆|-







### haveSonArea
字典参数key|字典参数值|其它
---|---|---
0|否|-
1|是|-

### workday1
字典参数key|字典参数值|其它
---|---|---
1|上班|-
0|不上|-

### workday2
字典参数key|字典参数值|其它
---|---|---
1|上班|-
0|不上|-

### workday3
字典参数key|字典参数值|其它
---|---|---
1|上班|-
0|不上|-

### workday4
字典参数key|字典参数值|其它
---|---|---
1|上班|-
0|不上|-

### workday5
字典参数key|字典参数值|其它
---|---|---
1|上班|-
0|不上|-

### workday6
字典参数key|字典参数值|其它
---|---|---
1|上班|-
0|不上|-

### workday7
字典参数key|字典参数值|其它
---|---|---
1|上班|-
0|不上|-

### isSite
字典参数key|字典参数值|其它
---|---|---
1|是|-
0|否|-

### status
字典参数key|字典参数值|其它
---|---|---
0|停用|-
1|正常|-







### hongqi
字典参数key|字典参数值|其它
---|---|---
1|是|-
0|否|-







### haveSonArea
字典参数key|字典参数值|其它
---|---|---
True|是|-
False|否|-

### haveSonDept
字典参数key|字典参数值|其它
---|---|---
True|是|-
False|否|-

### haveGetDept
字典参数key|字典参数值|其它
---|---|---
true|是|-
false|否|-

### haveGetMatterList
字典参数key|字典参数值|其它
---|---|---
true|是|-
false|否|-

### areaLevel
字典参数key|字典参数值|其它
---|---|---
1|省|-
2|地市州|-
3|区县|-
4|街道|-
5|社区|-

### status
字典参数key|字典参数值|其它
---|---|---
0|停用|-
1|正常|-







### isMust
字典参数key|字典参数值|其它
---|---|---
非必要|非必要|-
必要|必要|-
必要|容缺后补|必要|容缺后补|-
非必要|容缺后补|非必要|容缺后补|-

### materialProperty
字典参数key|字典参数值|其它
---|---|---
纸质|纸质|-
电子|电子|-
纸质|电子|纸质|电子|-

### electronicgs
字典参数key|字典参数值|其它
---|---|---
无|无|-
不限|不限|-
jpg|jpg|-
jpeg|jpeg|-
pdf|pdf|-
word|word|-
pdf|jpg|jpeg|pdf|jpg|jpeg|-
pdf|jpg|pdf|jpg|-

### materialSource
字典参数key|字典参数值|其它
---|---|---
无|无|-
申请人自备|申请人自备|-
政府部门核发|政府部门核发|-
其他|其他|-

### jianmMs
字典参数key|字典参数值|其它
---|---|---
无|无|-
减|减|-
免|免|-

### isjianm
字典参数key|字典参数值|其它
---|---|---
否|否|-
是|是|-

### isLack
字典参数key|字典参数值|其它
---|---|---
必要|必要|-
非必要|非必要|-

### source
字典参数key|字典参数值|其它
---|---|---
0|政务网|-
1|自定义|-













### isBusiness
字典参数key|字典参数值|其它
---|---|---
0|一级业务|-
1|二级业务|-

### status
字典参数key|字典参数值|其它
---|---|---
0|停用|-
1|正常|-



















### isShow
字典参数key|字典参数值|其它
---|---|---
1|是|-
0|否|-







### appoveObjectShow
字典参数key|字典参数值|其它
---|---|---
事业法人|事业法人|-
社会组织法人|社会组织法人|-
非法人企业|非法人企业|-
企业法人|企业法人|-
自然人|自然人|-
其他组织|其他组织|-

### operatScopeShow
字典参数key|字典参数值|其它
---|---|---
无|无|-
全国|全国|-
全市|全市|-
全县|全县|-
全镇[乡 街道]|全镇[乡 街道]|-
跨村[社区]|跨村[社区]|-

### appoveTimeLimitShow
字典参数key|字典参数值|其它
---|---|---
网络办件|网络办件|-
行政审批一般件|行政审批一般件|-
综合窗口件|综合窗口件|-

### handleType
字典参数key|字典参数值|其它
---|---|---
窗口办理|窗口办理|-
网上办理|网上办理|-

### isChargesShow
字典参数key|字典参数值|其它
---|---|---
否|否|-
是|是|-

### certificationLevelsShow
字典参数key|字典参数值|其它
---|---|---
实名认证|实名认证|-
单次面签|单次面签|-
每次面签|每次面签|-

### isOnlineSubscribeShow
字典参数key|字典参数值|其它
---|---|---
否|否|-
是|是|-

### isExpressTakeShow
字典参数key|字典参数值|其它
---|---|---
否|否|-
是|是|-

### isProvinceAcquisitionShow
字典参数key|字典参数值|其它
---|---|---
否|否|-
是|是|-

### isApplyProvinceShow
字典参数key|字典参数值|其它
---|---|---
否|否|-
是|是|-

### onlineType
字典参数key|字典参数值|其它
---|---|---
原件预审|原件预审|-
原件核验|原件核验|-
全程网办|全程网办|-

### onlineOperatDeep
字典参数key|字典参数值|其它
---|---|---
互联网咨询|互联网咨询|-
互联网收件|互联网收件|-
互联网预审|互联网预审|-
互联网受理|互联网受理|-
互联网办理|互联网办理|-
互联网办理结果信息反馈|互联网办理结果信息反馈|-
其他|其他|-

### isExpressTakeOnlineShow
字典参数key|字典参数值|其它
---|---|---
否|否|-
是|是|-

### isDoorTakeShow
字典参数key|字典参数值|其它
---|---|---
否|否|-
是|是|-

### eventTypeShow
字典参数key|字典参数值|其它
---|---|---
行政许可|行政许可|-
行政处罚|行政处罚|-
行政强制|行政强制|-
行政征收|行政征收|-
行政给付|行政给付|-
行政检查|行政检查|-
行政确认|行政确认|-
行政奖励|行政奖励|-
行政裁决|行政裁决|-
其他行政权力|其他行政权力|-
主动服务|主动服务|-
依申请服务|依申请服务|-
咨询查询|咨询查询|-
未归类事项|未归类事项|-

### performHierarchyShow
字典参数key|字典参数值|其它
---|---|---
省级|省级|-
市级|市级|-
县级|县级|-
镇[乡 街道]|镇[乡 街道]|-
村[社区]级|村[社区]级|-

### powerSourceShow
字典参数key|字典参数值|其它
---|---|---
法定本级行使|法定本级行使|-
上级下放|上级下放|-
上级授权|上级授权|-
同级授权|同级授权|-
上级委托|上级委托|-
同级委托|同级委托|-

### performDeptTypeShow
字典参数key|字典参数值|其它
---|---|---
法定机关|法定机关|-
授权组织|授权组织|-
受委托组织|受委托组织|-

### goveServiceCenterShow
字典参数key|字典参数值|其它
---|---|---
否|否|-
是|是|-

### isConvenientCenterShow
字典参数key|字典参数值|其它
---|---|---
否|否|-
是|是|-

### terminalHandle
字典参数key|字典参数值|其它
---|---|---
否|否|-
是|是|-

### isOnline
字典参数key|字典参数值|其它
---|---|---
否|否|-
是|是|-

### isOnlinePayShow
字典参数key|字典参数值|其它
---|---|---
否|否|-
是|是|-

### entrustmentDepartmen
字典参数key|字典参数值|其它
---|---|---
否|否|-
是|是|-

### matterStatus
字典参数key|字典参数值|其它
---|---|---
停用|停用|-
在用|在用|-

### source
字典参数key|字典参数值|其它
---|---|---
0|政务网|-
1|自定义|-






